2006-07-03  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-mode): Removed no invalid settings for
	calc embedded mode.
	(org-mode-p): New defsubst.
	(org-save-all-org-buffers): New function.
	(org-first-headline-recenter): Enclose outline-regexp in group
	delimiters.
	(org-set-tags): Keep single space after stars.

2006-07-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-shell-command): Preserve current-buffer.

2006-07-02  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/make-mode.el (makefile-macroassign-regex): Accept
	preceding keyword.
	(makefile-gmake-statements): Reorganize, now that makepp has
	"override" and also handle forgotten "override define".
	(makefile-makepp-statements): Add new "global", "override export"
	and "override global".

2006-06-30  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ada-mode.el (ada-which-compiler, ada-mode-menu)
	(ada-compile-mouse-goto-error, ada-deactivate-properties)
	(ada-no-auto-case): Fix typos in docstrings.

2006-06-30  Nick Roberts  <nickrob@snap.net.nz>

	* info.el (Info-find-node-2): Search for makeinfo version more
	carefully.

2006-06-29  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-prepare-agenda-buffers): Use
	`invisible-OK' argument for `org-end-of-subtree'.
	(org-export-cleanup-toc-line): Renamed from
	`org-html-cleanup-toc-line'.
	(org-beginning-of-item): Fixed bug in regular expression for white
	line.
	(org-export-as-html): Enforce space after bullet in plain list
	items.
	(org-set-autofill-regexps): Require space after plain list bullet
	for paragraph-start.
	(org-ts-regexp3): New constant.
	(org-at-timestamp-p): New optional argument ALSO-INACTIVE.
	(org-timestamp-up-day, org-timestamp-down-day)
	(org-timestamp-change): Work with inactive timestamps.
	(org-ts-regexp1): Don't allow brackets in time stamps.

2006-06-29  Nick Roberts  <nickrob@snap.net.nz>

	* help-mode.el (help-xref-symbol-regexp): Add property as a keyword
	for ignoring links.

	* faces.el (read-face-name): Use it.

2006-06-28  Juri Linkov  <juri@jurta.org>

	* buff-menu.el (list-buffers-noselect): Compare Info file
	with the string "dir" to detect Info directory.

	* complete.el (partial-completion-mode): In lambda for
	`choose-completion-string-functions' use full function signature
	with 4 args, and move point to the end of the minibuffer only if arg
	`mini-p' is non-nil.

2006-06-28  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer-mode): Doc fix.

2006-06-28  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-context): New contexts :item-bullet,
	:latex-fragment, :latex-preview.
	(org-overlays-at, org-overlay-start, org-overlay-end): New
	compatibility functions.
	(org-inside-LaTeX-fragment-p): More accurate matching, using the
	exact regexp that will be used during export.
	(org-latex-regexps): New variable.
	(org-cdlatex-mode): Improved advice for `texmathp'.
	(turn-on-org-cdlatex): New function.

2006-06-28  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-handle-font-selection): Change keys of
	mac-atsu-font-table from strings to numbers.
	(mac-ts-caret-position): Use also when cursor-type is nil.
	(mac-ts-update-active-input-area): Add Mac OS Classic support.
	Relax condition for using overlay strings.  Use
	mac-ts-caret-position face when cursor-type is nil.

2006-06-26  Kim F. Storm  <storm@cua.dk>

	* help.el (view-emacs-news): Declare `res' in the right let* form.

2006-06-25  Michael Albinus  <michael.albinus@gmx.de>

	* net/rcompile.el (remote-compile): Replace ange-ftp based
	implementation by Tramp functions.  Based on a patch published by
	Marc Abramowitz <msabramo@gmail.com>.

	* net/tramp.el (tramp-unload-tramp): Provide a doc string.

2006-06-24  Yoshinori Koseki  <kose@meadowy.org>

	* international/fontset.el (setup-default-fontset): Fix a typo in
	the "Oriya-Akruti" registry name.

2006-06-23  Lars Hansen  <larsh@soem.dk>

	* desktop.el (desktop-full-file-name): New function.
	(desktop-kill, desktop-save, desktop-remove, desktop-read)
	(desktop-revert): Use it.
	(desktop-clear, desktop-save, desktop-remove): Add autoload cookie.
	(desktop-after-read-hook): Add option list-buffers.
	(desktop-locals-to-save): Add tab-width.
	(desktop-save-mode, desktop-no-desktop-file-hook, desktop-save-hook):
	Fix docstring.

2006-06-23  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-cdlatex-mode-map)
	(org-cdlatex-texmathp-advice-is-done): New variables.
	(org-cdlatex-mode): New minor mode.
	(org-inside-LaTeX-fragment-p, org-try-cdlatex-tab): New functions.
	(org-cdlatex-underscore-caret, org-cdlatex-math-modify): New commands.
	(org-export-with-archived-trees): New option.
	(org-open-file): Removed the call to `convert-standard-filename'.
	(org-archive-tag, org-agenda-skip-archived-trees)
	(org-cycle-open-archived-trees)
	(org-sparse-tree-open-archived-trees): New options.
	(org-cycle-hide-archived-subtrees, org-hide-archived-subtrees)
	(org-toggle-tag, org-prepare-agenda-buffers, org-agenda-skip):
	New functions.
	(org-agenda-toggle-archive-tag, org-toggle-archive-tag): New commands.
	(org-agenda-mode-map): Add binding of `org-agenda-toggle-archive-tag'.
	(org-mode-map): Add binding for `org-toggle-archive-tag'.
	(org-timeline, org-agenda-list, org-todo-list, org-tags-view):
	Call `org-prepare-agenda-buffers'.
	(org-occur, org-scan-tags): Call `org-hide-archived-subtrees'.
	(org-file-apps, org-file-apps-defaults-gnu)
	(org-file-apps-defaults-macosx, org-file-apps-defaults-windowsnt):
	Handle remote files by forcing them to be opened in Emacs.

2006-06-23  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-diff-knows-L): New variable.
	(vc-diff-internal): Use it to handle "diff" programs that don't
	understand -L.  This works automatically, no user action is necessary.

2006-06-23  Daniel Brockman  <daniel@brockman.se>

	* net/rcirc.el (rcirc-default-user-full-name): Default to
	`rcirc-default-user-name' instead of `rcirc-user-name' (which no
	longer exists).
	(rcirc-process-list): Check `buffer-live-p' before attempting to
	switch to a buffer.

2006-06-23  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-mode): Fix initialization of coding systems
	based on rcirc-coding-system-alist.

2006-06-23  Martin Rudalics  <rudalics@gmx.at>

	* cus-edit.el (customize-apropos): A better error message.
	(top level) <debug-ignored-errors>: Extend and update the list of
	ignored error messages.

2006-06-23  Michael Ernst  <mernst@alum.mit.edu>

	* complete.el (PC-do-completion): Retain capitalization of user
	input, when possible, even if completion-ignore-case is set.

2006-06-23  Eli Zaretskii  <eliz@gnu.org>

	* generic-x.el (bat-generic-mode): Support .cmd files.

	* dos-w32.el (top level): Use find-file-not-found-functions
	instead of the obsolete find-file-not-found-hooks.

2006-06-22  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-mode-font-lock-keywords): Correct regexps
	to recognize mode name containing submodes, such as Grep/lw.

2006-06-21  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-1): Check for move-end-of-line instead of
	end-of-line when setting temporary-goal-column.

2006-06-21  Miles Bader  <miles@gnu.org>

	* play/cookie1.el (cookie): Work properly when there's only one entry.

2006-06-21  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-exited): Ensure overlay arrow gets killed.
	(gdb-frame-handler): Generalize frame regexp for templates.

2006-06-20  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-display-format): Default value must be
	one of the customize options.

2006-06-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Update key availability info.
	Bind C-return.

	* term.el (term-delete-lines, term-insert-lines): Clarify comments.

2006-06-20  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-local-variables): Run `hack-local-variables-hook'
	whether or not a local variables list is defined.

	* msb.el (msb): Move `sit-for' hack here to handle both
	"mouse-down and drag" and "mouse-up and select" situations.
	(mouse-select-buffer): Move `sit-for' hack to `msb'.

2006-06-20  Kenichi Handa  <handa@m17n.org>

	* international/characters.el (word-combining-categories):
	Add entries for 2-byte Han characters.

2006-06-19  Richard Stallman  <rms@gnu.org>

	* bindings.el (mode-line-format): Save some mode line space.

	* files.el (find-file-noselect): Improve the question wording.
	(basic-save-buffer-2): Mask UMASK against 666.

	* mouse.el (mouse-drag-vertical-line-rightward-window): New function.
	(mouse-drag-vertical-line): Call it.

	* cus-edit.el (customize-option, customize-option-other-window):
	Error if SYMBOL is nil.

2006-06-19  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el: Require noutline, also on XEmacs.
	(org-end-of-subtree): Return point.
	(org-dblock-start-re, org-dblock-end-re): New constants.
	(org-create-dblock, org-prepare-dblock, org-map-dblocks)
	(org-dblock-update, org-update-dblock, org-beginning-of-dblock)
	(org-update-all-dblocks, org-find-dblock): New functions.
	(org-collect-clock-time-entries): New function.
	(org-html-handle-time-stamps): Never export CLOCK timeranges.
	(org-fixup-indentation): Modified to deal correctly with lines
	starting with TAB.  Only one argument DIFF now.
	(org-demote, org-promote): Call `org-fixup-indentation' with just
	one argument, DIFF.
	(org-mode): Don't mark buffer as modified when aligning tables.
	(org-clock-sum): Don't mark buffer modified when adding time sum
	properties.
	(org-export-as-html): Added support for a link validation function.
	(org-archive-all-done): New function.
	(org-archive-subtree): New prefix argument.  When set, archive all
	done subtrees in this buffer.
	(org-remove-clock-overlays)
	(org-remove-occur-highlights): Use `org-inhibit-highlight-removal'.
	(org-inhibit-highlight-removal): New variable, for dynamic scoping.
	(org-put-clock-overlay): Don't swallow last headline character
	when displaying overlay.
	(org-store-link): Link to `image-mode' with just the file name.

2006-06-18  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-cmd.el (viper-special-read-and-insert-char):
	Use read-key-sequence.
	(viper-after-change-undo-hook): Misc enhancements.
	(viper-after-change-undo-hook): New hook.
	(viper-undo): Use viper-after-change-undo-hook.
	(viper-add-newline-at-eob-if-necessary): Widen before making changes.
	(viper-next-line-at-bol): If point is on a widget or a button, simulate
	clicking on that widget/button.

	* viper.el (viper-mode): Allow a separate cursor color in Emacs	state.

	* ediff-diff (ediff-test-patch-utility): Catch errors.
	(ediff-actual-diff-options, ediff-actual-diff3-options): New variables.
	(ediff-set-actual-diff-options): New function.
	(ediff-reset-diff-options, ediff-toggle-ignore-case):
	Use ediff-set-actual-diff-options.
	(ediff-extract-diffs): Catch errors.
	(ediff-whitespace): Add non-breakable space.
	(ediff-same-file-contents): Catch errors.

	* ediff-mult.el (ediff-collect-custom-diffs):
	Save coding-system-for-read.

	* ediff-vers.el (ediff-keep-tmp-versions): New variable.
	(ediff-vc-internal, ediff-vc-merge-internal):
	Use ediff-delete-version-file.
	(ediff-delete-version-file): New function.

	* ediff-wind.el (ediff-control-frame-parameters): Set frame fringes.

	* ediff.el (ediff-directories, ediff-directory-revisions)
	(ediff-merge-directories, ediff-merge-directories-with-ancestor)
	(ediff-directories-internal, ediff-merge-directory-revisions)
	(ediff-merge-directory-revisions-with-ancestor)
	(ediff-directories3): Use read-directory-name.

2006-06-18  Ralf Angeli  <angeli@caeruleus.net>

	* textmodes/tex-mode.el (tex-font-lock-match-suscript): Remove
	superfluous part of regexp for brace matching which is handled by
	`scan-lists' call.

2006-06-16  Richard Stallman  <rms@gnu.org>

	* obsolete/options.el (list-options): Put "obsolete" msg in buffer.

	* files.el (basic-save-buffer-2): For a new precious file,
	use the default modes in the return value.

	* facemenu.el (facemenu-color-alist): Doc fix.

	* cus-edit.el (custom-guess-name-alist): Recognize `-flag'.

2006-06-16  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* cus-start.el (all): Add mac-ts-script-language-on-focus.

	* term/mac-win.el (mac-text-encoding-ascii): New constant.
	(mac-utxt-to-string): Use it.
	(mac-ts-update-active-input-area): Use mac-ae-number.

2006-06-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-handle-scroll, term-delete-lines)
	(term-insert-lines): Fix off by one errors.

2006-06-15  Katsumi Yamaoka  <yamaoka@jpl.org>  (tiny change)

	* net/tramp.el (tramp-touch): Use UTC to express time.

2006-06-15  Chong Yidong  <cyd@stupidchicken.com>

	* mail/sendmail.el (mail-send): Search explicitly for
	mail-header-separator when checking for corrupted header lines.

2006-06-15  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-same-frame): New option.
	(gud-old-arrow, gdb-frame-begin, gdb-printing): New variables.
	(gdb-init-1): Initialise them.
	(gdb-starting): Reset gdb-printing
	(gdb-starting): Save value of gud-overlay-arrow-position.
	(gdb-frame-begin): Set gdb-frame-begin, gdb-printing.
	(gdb-stopped): Don't look for source if calling procedure e.g "p a ()".
	Use gdb-*-gdb-buffer conditionally on gdb-same-frame.
	(gdb-frame-gdb-buffer): Keep menu bar, tool bar for GUD buffer.

2006-06-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-retrieve-revision): Use decode-coding-inserted-region.

2006-06-13  Martin J. Reed  <mjreed@essex.ac.uk>  (tiny change)

	* net/ldap.el (ldap-ldapsearch-args): Default to SASL search.
	(ldap-search-internal): Keep error messages, and a regexp fix.

2006-06-12  Thien-Thi Nguyen  <ttn@gnu.org>

	* files.el (hack-local-variables-confirm):
	Display string value using its printed representation.

2006-06-11  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-edit): No-op if no server buffers exist.

2006-06-11  Robert J. Chassell  <bob@rattlesnake.com>

	* textmodes/page-ext.el (pages-directory-for-addresses):
	Including `pages-directory-address-mode' in the function results
	in the message "Buffer in which pages were found is deleted".

2006-06-10  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-mode-map): Add bindings for
	clocking functions.

	(org-agenda-clock-in, org-check-running-clock)
	(org-clock-out-if-current, org-remove-clock-overlays)
	(org-put-clock-overlay): New functions.
	(org-clock-marker, org-clock-file-total-minutes)
	(org-clock-overlays): New variables.
	(org-clock-display, org-clock-sum, org-clock-cancel)
	(org-clock-out, org-clock-in): New commands.
	(org-export): New function.
	(org-emph-re): New constant.
	(org-set-emph-re, org-do-emphasis-faces): New functions.
	(org-emphasis-regexp-components, org-emphasis-alist): New options.
	(org-set-font-lock-defaults): Call `org-do-emphasis-faces'.
	(org-export-html-convert-emphasize): Use the configurable emphasis.
	(org-cleaned-string-for-export): Make multiline emphasis visible
	to the exporter.  New optional argument PARAMETERS.
	(org-export-as-html): Specify :emph-multiline parameter to
	`org-cleaned-string-for-export'.

2006-06-10  Richard Stallman  <rms@gnu.org>

	* help.el (help-for-help-internal): Clean up help text.

2006-06-10  Andreas Schwab  <schwab@suse.de>

	* language/ethio-util.el (ethio-fidel-to-java-buffer): Fix quoting
	in doc string.

	* progmodes/cperl-mode.el (cperl-short-docs): Likewise.

2006-06-09  Karl Chen  <quarl@cs.berkeley.edu>

	* progmodes/make-mode.el (makefile-fill-paragraph): Don't remove
	spaces after the comment start.

2006-06-09  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* play/pong.el (pong-init-buffer):
	Fill buffer with spaces instead of ^A.

	* textmodes/ispell.el (ispell-kill-ispell): If ispell has been
	launched asynchronously, delete its process instead of being cool.
	(ispell-async-processp): Check for `delete-process' existence
	instead of `kill-process' one for consistency.

2006-06-09  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-set-gud-minor-mode-existing-buffers-1)
	(gdb-prompt, gdb-set-gud-minor-mode-existing-buffers): Show status
	in mode line at startup.

2006-06-08  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-take-first-match, ido-push-dir-first): New commands.
	(ido-init-completion-maps): Bind them to M-SPC and M-v.
	(ido-copy-current-file-name): Repeating C-w inserts whole file name.
	(ido-file-internal): Pass full file name to write-file.
	(ido-read-internal): Only pop stack elements automatically if they
	actually match an existing directory or file name.

2006-06-07  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (find-auto-coding): Don't handle the short
	name `char-trans'.

	* files.el (hack-local-variables-prop-line)
	(hack-local-variables): Cancel the previous change.

2006-06-06  Jesper Harder  <harder@phys.au.dk>

	* ediff-diff.el (ediff-test-utility): Protect against file-error.

2006-06-06  Chong Yidong  <cyd@stupidchicken.com>

	* diff-mode.el (diff-mode): Set buffer-read-only to t when
	diff-default-read-only is non-nill.
	(diff-hunk-kill, diff-file-kill, diff-split-hunk)
	(diff-refine-hunk): Set inhibit-read-only to t.

	* diff.el (diff-sentinel, diff): Set inhibit-read-only to t when
	modifying the *Diff* buffer.
	(diff-process-filter): New filter function for diff process that
	sets inhibit-read-only to t when modifying the *Diff* buffer.

2006-06-06  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-archive-subtree): Use end-of-subtree as
	insertion point and control the number of empty lines.
	(org-paste-subtree): Limit the number of empty lines at the end of
	the inserted tree.
	(org-agenda): Use buffer name of current file for narrowing.
	(org-export-as-xml): Command removed.
	(org-export-xml-type): Option removed.
	(org-mode-map): Call `org-export-as-xoxo' directly.
	(org-get-indentation): New optional argument LINE.
	(org-fix-indentation, org-remove-tabs): New functions.
	(org-export-as-ascii, org-ascii-level-start): Determine and apply
	correct indentation for headlines that are converted it items.
	(org-skip-comments): Remove table lines that contain narrowing
	cookies but no other non-empty fields.
	(org-set-tags): Allow groups of mutually exclusive tags.
	(org-cmp-time): Sort 24:21 before items without time.
	(org-get-time-of-day): Fix the interpretation of 12pm and 12am.
	(org-open-at-point): Require double colon also for numbers.

2006-06-06  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-default-file-method, ido-default-buffer-method):
	Make choice values consistent with corresponding command names.
	(ido-visit-buffer): Update accordingly.  Default to selected-window.

2006-06-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-running): Fix doc string.
	(gud-menu-map): Use :visible instead fo :enable for debugger test.
	(gud-tooltip-modes): Add python-mode.
	(gud-tooltip-print-command): Add pdb.  Remove perldb.

2006-06-05  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (bootstrap, $(lisp)/mh-e/mh-loaddefs.el):
	Quote $(EMACS).

2006-06-05  Richard Stallman  <rms@gnu.org>

	* faces.el (defined-colors): Doc fix.

2006-06-05  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc.el (vc-process-filter): Inhibit undo info collection around
	call to insert.
	(vc-setup-buffer): Likewise for call to erase-buffer.
	(vc-do-command): Likewise for call to process-file.

2006-06-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Use a conditional help echo
	for gud-go.
	(gud-common-init): Other debuggers may trigger error.

2006-06-05  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (find-auto-coding):
	Handle enable-character-translation in file header.

2006-06-04  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/authors.el (authors-aliases): Add mode aliases.
	(authors-fixed-entries): Fix spelling.
	(authors-canonical-file-name): Don't report error for wildcards.

	* help.el (view-emacs-news): Rewrite to support new NEWS,
	NEWS.major, and NEWS.1-17 file naming.  Add more intelligense,
	e.g. version 10 matches 1.10, and don't be confused by version 1.1
	begin a prefix of 1.12 (etc).  A numeric prefix arg also works.

2006-06-03  Vivek Dasmohapatra  <vivek@etla.org>

	* progmodes/sh-script.el (sh-quoted-exec): New face for quoted
	exec constructs like `foo bar`.
	(sh-quoted-subshell): New helper function to search for a possibly
	nested subshell (like `` or $()) within a "" quoted string.
	(sh-font-lock-keywords-var): Add sh-quoted-exec for Bash.
	(sh-apply-quoted-subshell): Flag quote characters inside a
	subshell, which is itself already in a quoted region, as
	punctuation, since this is the closest to what they actually are.
	(sh-font-lock-syntactic-keywords): Add sh-quoted-subshell and
	sh-apply-quoted-subshell.
	(sh-font-lock-syntactic-face-function): Apply the new face for
	text inside `` instead of the old font-lock-string-face.

2006-06-03  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ts-active-input-overlay): Add defvar.
	(mac-ae-number, mac-ae-frame, mac-ae-script-language)
	(mac-bytes-to-text-range, mac-ae-text-range-array)
	(mac-ts-update-active-input-buf, mac-split-string-by-property-change)
	(mac-replace-untranslated-utf-8-chars, mac-ts-update-active-input-area)
	(mac-ts-unicode-for-key-event): New functions.
	(mac-handle-toolbar-switch-mode): Use mac-ae-frame.
	(mac-handle-font-selection): Use mac-ae-number.
	(mac-ts-active-input-buf, mac-ts-update-active-input-area-seqno):
	New variables.
	(mac-ts-caret-position, mac-ts-raw-text, mac-ts-selected-raw-text)
	(mac-ts-converted-text, mac-ts-selected-converted-text)
	(mac-ts-block-fill-text, mac-ts-outline-text)
	(mac-ts-selected-text, mac-ts-no-hilite): New faces.
	(mac-ts-hilite-style-faces): New constant.
	(mac-apple-event-map): Bind text input events.
	(mac-dispatch-apple-event): Use command-execute instead of
	call-interactively.
	(global-map): Don't bind mac-apple-event.
	(special-event-map): Bind mac-apple-event.

2006-06-02  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (EMACS): Remove quotes from the Emacs executable
	file name.
	(emacs): Enclose the value of $(EMACS) in quotes.

2006-06-02  Juri Linkov  <juri@jurta.org>

	* international/mule.el (sgml-html-meta-auto-coding-function):
	Remove the condition `(search-forward "<html" size t)'.
	Replace `\"' with `[\"']?' in `re-search-forward'.

2006-06-02  Kenichi Handa  <handa@m17n.org>

	* files.el (hack-local-variables-prop-line): Ignore `char-trans'
	as well as `coding'.
	(hack-local-variables): Likewise.

	* international/mule.el (enable-character-translation):
	Put permanent-local and safe-local-variable properties.
	(find-auto-coding): Handle char-trans: tag.

2006-06-02  Juri Linkov  <juri@jurta.org>

	* international/mule.el (sgml-html-meta-auto-coding-function):
	Limit the search by the end of the HTML header (if any).

2006-06-01  Richard Stallman  <rms@gnu.org>

	* subr.el (with-current-buffer): Doc fix.

2006-06-02  Masatake YAMATO  <jet@gyve.org>

	* progmodes/compile.el (compilation-error-regexp-alist-alist::gcov-*):
	Almost rewrite.  Underlines over all lines of gcov output are too
	uncomfortable to read.  Suggested by Dan Nicolaescu.

2006-06-01  Luc Teirlinck  <teirllm@auburn.edu>

	* progmodes/inf-lisp.el (inferior-lisp-mode): Doc fixes.

	* shell.el (shell-mode): Use shell-mode-map in docstring.

	* comint.el (comint-send-input): Do not add help-echo and
	mouse-face to input if `comint-use-prompt-regexp' is non-nil.

2006-06-01  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el: Change x-menu-bar-start to menu-bar-open.

2006-06-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-look-up-stack): New variable.
	(gdb-stopped, gdb-info-stack-custom): If there is no source info
	look up the stack and pop up GUD buffer if necessary.
	(gdb-frames-select): Remove redundant call to gud-display-frame.
	(gdb-info-threads-custom): Keep point at start of buffer.
	(gdb-find-file-hook): Make it work for pre-GDB 6.4.

2006-05-31  Juri Linkov  <juri@jurta.org>

	* replace.el (query-replace-read-from, query-replace-read-to):
	Bind `history-add-new-input' to nil.  Call `add-to-history'.

2006-05-31  Takaaki Ota  <Takaaki.Ota@am.sony.com>

	* textmodes/table.el: Convert all HTML tags to lower case for
	XHTML compatibility.

2006-05-31  Masatake YAMATO  <jet@gyve.org>

	* progmodes/compile.el:
	(compilation-error-regexp-alist-alist::gcov-called-line):
	Don't put face on `-' lines in gcov file.  Suggested by Dan Nicolaescu.

2006-05-31  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-query-cmdline, gud-common-init):
	Revert inadvertent changes made with last commit.

2006-05-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* textmodes/flyspell.el (turn-on-flyspell, turn-off-flyspell):
	New functions.

	* textmodes/text-mode.el (text-mode-hook): Use turn-on-flyspell.

2006-05-30  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-highlight-todo): Make sure regexp
	only matches in the right place.
	(org-upcoming-deadline): New face.
	(org-agenda-get-deadlines): Use new face `org-upcoming-deadline'.
	(org-export-ascii-underline): Rename constant `org-ascii-underline'
	and make it an option.
	(org-export-ascii-bullets): New option.
	(org-export-as-html): Many changes to emit valid XHTML.
	(org-par-open): New variable.
	(org-open-par, org-close-par-maybe, org-close-li-maybe): New functions.
	(org-html-do-expand, org-section-number): Fixedcase in `replace-match'.
	(org-timeline): Pass `org-timeline-show-empty-dates' to
	`org-get-all-dates'.  Interpret empty dates returned by
	`org-get-all-dates'.
	(org-get-all-dates): New argument EMPTY.  Add dates without
	entries to the list, mark large ranges of empty dates.
	(org-point-in-group, org-context): New functions.

2006-05-30  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-stop-subjob): Make it work in all buffers.

	* progmodes/gdb-ui.el: Move gdb-mouse-toggle-breakpoint-* to
	C-mouse-1.  Move gdb-mouse-until to mouse-3, gdb-mouse-jump
	to C-mouse-3 (for 2 button mice).
	(gdb-send): Do the right thing for C-d.

	* speedbar.el (speedbar-detach): Delete.
	(speedbar-easymenu-definition-trailer): Remove speedbar-detach as
	it breaks things.
	(speedbar-reconfigure-keymaps): Always add extra items to pop up menu.

2006-05-30  Daniel Pfeiffer  <occitan@esperanto.org>

	* files.el (auto-mode-alist): Add makepp suffix and optional mk on
	Makeppfile.

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Add makepp diagnostic.

2006-05-29  Richard Stallman  <rms@gnu.org>

	* window.el (fit-window-to-buffer): Doc fix.

	* help.el (temp-buffer-max-height): Doc fix.

	* subr.el (with-current-buffer): Doc fix.

2006-05-29  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el: Bind F10 to menu-bar-start if available.

2006-05-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-if-xemacs, term-ifnot-xemacs): Delete, replace
	uses with a simple test.
	(term-set-escape-char, term-mode, term-check-kill-echo-list)
	(term-send-raw-string, term-send-raw, term-mouse-paste)
	(term-char-mode, term-line-mode, term-exec, term-sentinel)
	(term-handle-exit, term-read-input-ring)
	(term-previous-matching-input-string)
	(term-previous-matching-input-string-position)
	(term-previous-matching-input-from-input)
	(term-replace-by-expanded-history, term-send-input)
	(term-skip-prompt, term-bol, term-send-invisible)
	(term-kill-input, term-delchar-or-maybe-eof)
	(term-backward-matching-input, term-check-source)
	(term-proc-query, term-emulate-terminal)
	(term-handle-colors-array, term-process-pager, term-pager-line)
	(term-pager-bob, term-unwrap-line, term-word)
	(term-dynamic-complete-filename)
	(term-dynamic-complete-as-filename)
	(term-dynamic-simple-complete): Replace one arm ifs with whens or
	unlesses.

2006-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (hack-one-local-variable-eval-safep): Don't burp if used
	during bootstrapping.

	* emacs-lisp/ewoc.el (ewoc--current-dll): Remove.
	Basically undo the change of 2006-05-26: use extra arguments instead of
	dynamic scoping.
	(ewoc-locate): Remove unused var `footer'.

2006-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/ewoc.el (ewoc--insert-new-node): Use ewoc--refresh-node.

	* emacs-lisp/autoload.el (no-update-autoloads): Declare.
	(generate-file-autoloads): Obey it.  Return whether autoloads were
	added at point or not.
	(update-file-autoloads): Use this new return value.
	Remove redundant test for the presence of an autoload cookie.

	* emacs-lisp/autoload.el (autoload-find-file): New fun.
	This one calls hack-local-variables.
	(generate-file-autoloads, update-file-autoloads): Use it.

	* textmodes/bibtex.el (bibtex-autokey-name-case-convert-function)
	(bibtex-sort-entry-class): Add safe-local-variable predicate.
	(bibtex-sort-entry-class-alist): Don't set the global value.
	(bibtex-init-sort-entry-class-alist): New fun.
	(bibtex-sort-buffer, bibtex-prepare-new-entry): Call it to compute
	bibtex-init-sort-entry-class-alist from the buffer-local value (if any)
	of bibtex-init-sort-entry-class.

2006-05-28  Richard Stallman  <rms@gnu.org>

	* subr.el (load-history-regexp): If FILE is relative, insist
	entire last name component must match it.
	(load-history-filename-element, load-history-regexp): Doc fixes.

2006-05-29  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/bindat.el (bindat-idx, bindat-raw): Rename dynamic vars
	`pos' and `raw-data' for clarity, as eval forms may access these.

2006-05-28  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/bindat.el (bindat--unpack-u8): Use aref also for strings.

2006-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/make-mode.el (makefile-browser-map)
	(makefile-mode-syntax-table): Move initialization inside declaration.
	(makefile-fill-paragraph): Use the default comment-filling code.

2006-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* replace.el (query-replace-defaults): New variable.
	(query-replace-read-from): Use `query-replace-defaults' for
	default value, instead of history list.
	(query-replace-read-to): Update `query-replace-defaults'.

2006-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* msb.el (mouse-select-buffer): Minor fix to make popup menu work
	with no X toolkit.

2006-05-28  Nick Roberts  <nickrob@snap.net.nz>

	* tumme.el (tumme-show-all-from-dir-max-files): Fix typo.
	(tumme-show-all-from-dir): Add autoload.

2006-05-27  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el: Change a lot of `(if .. (progn ..)' to `(when ..)'.
	(tumme-remove-tag): Fix bug.

2006-05-27  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--create): No longer take HEADER and
	FOOTER args.  Update unique caller.
	(ewoc-delete): Compute last node once before looping.
	(ewoc--node-branch): Merge into unique caller.
	(ewoc--node): Don't define constructor make-ewoc--node for this
	structure.
	(ewoc): Add member `hf-pp' to this structure.
	(ewoc--wrap): New func.
	(ewoc-create): Take additional arg NOSEP.  If nil, wrap node and
	header/footer pretty-printers.  Save header/footer pretty-printer.
	(ewoc-set-hf): Use ewoc's header/footer pretty-printer.  *

	* pcvs.el (cvs-make-cvs-buffer): Specify NOSEP to `ewoc-create'.

2006-05-27  Mathias Dahl  <mathias.dahl@gmail.com>

	* dired.el (dired-mode-map): Change `tumme-tag-remove' to
	`tumme-delete-tag'.  Rename `Remove Image Tag' to `Delete Image
	Tag'.  Change "Compare directories..." to "Change Directories...".
	Move tumme commands to Operate, Regexp and Immediate menus.
	Change "Add Comment" to "Add Image Comment".  Change "Add Image
	Tag" to "Add Image Tags".

	* tumme.el (tumme-delete-tag): Rename from `tumme-tag-remove'.
	(tumme-setup-dired-keybindings): Change `tumme-add-remove' to
	`tumme-delete-tag'.

2006-05-26  Luc Teirlinck  <teirllm@auburn.edu>

	* shell.el (shell-mode): Call shell-dirtrack-mode after
	list-buffers-directory is made a local variable, to avoid setting
	the default value.

2006-05-26  Kevin Ryde  <user42@zip.com.au>

	* info.el (Info-index-next): Use where-is-internal to report
	actual binding of Info-index-next, rather than hard-coded `,'.

2006-05-26  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-apropos-menu): Move "Find Key in Manual"
	and "Find Command in Manual" to here.

	* buff-menu.el (list-buffers-noselect): For Info buffers, use
	Info-current-file as the file name.

2006-05-26  Jonathan Yavner  <jyavner@member.fsf.org>

	* ses.el (defadvice undo-more): Delete this defadvice.  The undo
	overrides will now be done a different way.
	(ses-set-parameter): Reapply this function for undo.
	(ses-set-header-row): Reconstruct header row during undo.
	(ses-widen): New function.
	(ses-goto-data, ses-reconstruct-all): Use new function.
	(ses-command-hook): Widen buffer during undo, before unupdating
	the cells.
	(ses-insert-row, ses-delete-row): Widen buffer during undo.
	(ses-load, ses-header-row): Permit empty (zero-row) spreadsheets.
	(ses-read-cell): Avoid stupid warning for RET RET on a cell whose
	formula hasn't been executed yet.

2006-05-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* comint.el (comint-kill-whole-line): Rename arg to count.
	Fix doc string.

2006-05-26  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (backup-buffer-copy): Remove deleted MUSTBENEW argument
	to copy-file.

2006-05-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* simple.el (toggle-truncate-lines): Make arg optional for
	backward compatibility.

2006-05-26  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--current-dll): New var.
	(ewoc--node-next, ewoc--node-prev, ewoc--node-nth): Don't take
	DLL arg.  Instead, use ewoc--current-dll.  Update all callers.
	(ewoc--set-buffer-bind-dll-let*): Bind ewoc--current-dll, not `dll'.
	(ewoc--adjust): Use ewoc--current-dll.
	(ewoc-next, ewoc-prev, ewoc-nth): Bind ewoc--current-dll.

2006-05-26  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-next-item, org-previous-item): Emit more
	compact error message.
	(org-tags-view): Refresh category table in each file.
	(org-table-justify-field-maybe): Remove superfluous arguments to
	`format'.
	(org-export-as-html): Insert "<p>" before postamble.
	(org-paste-subtree, org-kill-is-subtree-p): Check for empty kill ring.

2006-05-26  Kenichi Handa  <handa@m17n.org>

	* textmodes/po.el (po-find-charset): Pay attention to the case
	FILENAME is a cons (NAME . BUFFER).
	(po-find-file-coding-system-guts): Likewise.

	* arc-mode.el (archive-set-buffer-as-visiting-file):
	Call find-operation-coding-system with (FILENAME . BUFFER).

	* tar-mode.el (tar-extract): Call find-operation-coding-system
	with (FILENAME . BUFFER).

	* international/mule.el (decode-coding-inserted-region):
	Call find-operation-coding-system with (FILENAME . BUFFER).

2006-05-25  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-toggle-display): Use buffer contents to
	generate image for a remote file.

2006-05-25  Juri Linkov  <juri@jurta.org>

	* replace.el (query-replace-read-from, query-replace-read-to):
	Remove 8th arg KEEP-ALL in read-from-minibuffer.

2006-05-25  Rajesh Vaidheeswarran  <rv@gnu.org>

	* whitespace.el (whitespace-cleanup): Change to cleanup
	region if one is active.
	* whitespace.el (whitespace-cleanup-internal): New internal method.

2006-05-25  Mathias Dahl  <mathias.dahl@gmail.com>

	* dired.el (dired-mode-map): Add help-echo strings to tumme
	commands.  Bind `tumme-dired-display-image' to C-t i.

	* tumme.el (tumme-display-image): Change documentation string slightly.
	(tumme-dired-display-image): Add call to `display-buffer'.

2006-05-25  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/bindat.el (bindat-unpack, bindat-pack):
	Signal error if RAW-DATA is a multibyte string.

2006-05-24  Richard Stallman  <rms@gnu.org>

	* subr.el (with-local-quit): When handling `quit' signal,
	make a chance for quit-flag to cause a quit.

	* emacs-lisp/advice.el (ad-enable-advice, ad-activate)
	(ad-disable-advice): Add autoloads.

	* subr.el (read-passwd): Copy PROMPT before changing its properties.

2006-05-25  Mathias Dahl  <mathias.dahl@gmail.com>

	* dired.el (dired-mode-map): Change menu items for tumme as per
	suggestions in emacs-devel.

2006-05-25  Nick Roberts  <nickrob@snap.net.nz>

	* dired.el (dired-mode-map): Fix breakage.

2006-05-25  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-display-dired-image): Rename to...
	(tumme-dired-display-image): ...this.
	(tumme-track-movement): Change default value to t.
	(tumme-display-thumbs): Add new optional parameter DO-NOT-POP,
	used from `tumme-next-line-and-display' and similar commands.

	* dired.el (dired-mode-map): Add Thumbnail submenu under the
	Immediate menu.  Add some tumme commands there.

2006-05-24  Luc Teirlinck  <teirllm@auburn.edu>

	* loadup.el ("jka-cmpr-hook"): Load it before it is needed.

2006-05-24  Chong Yidong  <cyd@mit.edu>

	* menu-bar.el, international/mule-cmds.el: Remove tooltips for
	menu entries that open submenus.

2006-05-24  Alan Mackenzie  <acm@muc.de>

	* startup.el (command-line): For names of preloaded files, don't
	append ".elc" (now done in Fload), and call file-truename on the
	lisp directory.

	* subr.el (eval-after-load): Fix the doc-string.  Allow FILE to
	match ANY loaded file with the right name, not just those in
	load-path.  Put a regexp matching the file name into
	after-load-alist, rather than the name itself.

	* subr.el: New functions load-history-regexp,
	load-history-filename-element, do-after-load-evaluation.

	* international/mule.el (load-with-code-conversion): Do the
	eval-after-load stuff by calling do-after-load-evaluation.

2006-05-25  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-sentinel): Condition on GUD buffer if it
	has not been killed.

2006-05-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Set idle timer to clean up expired Apple events.
	(mac-ae-get-url): Redispatch Apple event on unknown scheme.
	(mac-dispatch-apple-event): Resume Apple event if it is suspended.
	Optionally set error message in reply.

2006-05-24  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-open-at-point): Use renamed variable
	`org-confirm-shell-link-function'.
	(org-confirm-shell-link-function): Rename from
	`org-confirm-shell-links'.
	(org-export-directory): New function.
	(org-export-as-ascii, org-export-as-html, org-export-as-xoxo)
	(org-export-icalendar): Use `org-export-directory'.
	(org-indent-item): Keep cursor position.
	(org-link-file-path-type): New option.
	(org-export-as-html): Fix bug with plain lists starting in
	column 0.
	(org-export-as-html): Remove deadline formatting, this happens
	now already in `org-html-handle-time-stamps'.
	(org-export-html-style): Deadline class removed.
	(org-insert-labeled-timestamps-at-point): New option.
	(org-cycle, org-occur, org-scan-tags): Use `org-overview' instead
	of `hide-sublevels 1', in case the first headline is not level 1.
	(org-overview, org-content): New fuction.
	(org-cycle-global-status, org-cycle-subtree-status): Make these
	variables buffer-local.
	(org-global-cycle): New command.
	(org-shifttab): Use `org-global-cycle'.
	(org-insert-heading, org-insert-item): Go to end of new
	headline/item after creating it.
	(org-export-visible): Rename from `org-export-copy-visible'.
	Now creates a temporary org-file and applies an exporting command
	to it.
	(org-table-eval-formula): Support for lisp forms.
	(org-agenda-todo-ignore-scheduled): New option.
	(org-agenda-get-todos): Use new option
	`org-agenda-todo-ignore-scheduled'.
	(org-export-html-inline-images): New value `maybe'.
	(org-export-as-html): Inlining of images dependent on link description.
	(org-archive-subtree): Check for end-of-buffer before trying
	`kill-line'.
	(org-agenda-follow-mode): New option.
	(org-export-with-tags, org-export-with-timestamps): New options.
	(org-html-handle-time-stamps): New function.
	(org-keyword-time-regexp): New variable.
	(org-agenda-get-todos): Use `org-agenda-todo-list-sublevels'.
	(org-agenda-todo-list-sublevels): New option.
	(org-html-level-start): When TITLE is nil, just close all levels.
	(org-parse-key-lines, org-parse-export-options): Remove functions,
	replaced by `org-infile-export-plist'.
	(org-combine-plists, org-infile-export-plist)
	(org-default-export-plist): New functions.
	(org-export-html-preamble, org-export-html-postamble)
	(org-export-html-auto-preamble, org-export-html-auto-postamble):
	New variables.
	(org-export-publishing-directory): New option.
	(org-export-as-html, org-export-as-ascii): Use the new property
	lists for settings.
	(org-export-copy-visible, org-export-as-xoxo):
	Respect `org-export-publishing-directory'.
	(org-link-search, org-store-link, org-file-apps): Support for
	links to BibTeX database entries..
	(org-get-current-options, org-set-regexps-and-options):
	Implement logging as a startup option.
	(org-store-link): Make sure context string is never empty
	(org-insert-link): Use relative path when possible.
	(org-at-item-checklet-p): New function.
	(org-shifttab, org-shiftmetaleft, org-shiftmetaright)
	(org-shiftmetaup, org-shiftmetadown, org-metaleft)
	(org-metaright, org-metaup, org-metadown, org-shiftup)
	(org-shiftdown, org-shiftright, org-shiftleft)
	(org-ctrl-c-ctrl-c, org-cycle, org-return, org-meta-return):
	Dispatch using `call-interactively'.
	(org-call-with-arg): New defsubst.
	(org-tag-alist, org-use-fast-tag-selection): New options.
	(org-complete): Use `org-tag-alist'.
	(org-fast-tag-insert, org-fast-tag-selection): New functions.
	(org-next-item, org-previous-item): New commands.
	(org-beginning-of-item, org-end-of-item): Add (interactive) to
	make command.
	(org-shiftup, org-shiftdown): Accommodate the item-navigation commands.

2006-05-23  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-delete): New function.
	(ewoc-filter): Use `ewoc-delete'.

	* emacs-lisp/bindat.el (bindat-pack): Doc fix.

2006-05-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/bibtex.el (bibtex-format-entry, bibtex-clean-entry):
	Signal more user-friendly error messages.

	* complete.el (PC-do-completion): Undo the addition of implicit
	wildcards if they did not lead to finding any match.
	(read-file-name-internal): Don't add the final > if the completion is
	not finished.

2006-05-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* textmodes/bibtex.el (bibtex-maintain-sorted-entries):
	Quote safe-local-variable predicate.

2006-05-22  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-set-data): New function.

2006-05-21  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-maintain-sorted-entries): Mark as safe.

	* progmodes/make-mode.el (makefile-special-targets-list)
	(makefile-macro-table, makefile-target-table): Mark as risky.
	(makefile-query-one-target-method): Make this the alias for the
	following variable.
	(makefile-query-one-target-method-function): Make this the real name.

	* textmodes/artist.el (artist-text-renderer): Make this the alias
	for the following variable.
	(artist-text-renderer-function): Make this the real name.

	* textmodes/flyspell.el (flyspell-generic-check-word-p): Make this
	the alias for the following variable.
	(flyspell-generic-check-word-predicate): Make this the real name.

	* textmodes/ispell.el (ispell-format-word): Make this the alias
	for the following variable.
	(ispell-format-word-function): Make this the real name.
	(ispell-message-text-end): Mark as risky.

	* skeleton.el (skeleton-transformation, skeleton-filter)
	(skeleton-pair-filter): Make these the aliases for the following
	variables.
	(skeleton-transformation-function, skeleton-filter-function)
	(skeleton-pair-filter-function): Make these the real names.

	* progmodes/sh-script.el (sh-mode): Use skeleton-filter-function
	and skeleton-pair-filter-function.

	* textmodes/sgml-mode.el (sgml-transformation): Make this the
	alias for the following variable.
	(sgml-transformation-function): Make this the real name.
	(sgml-tag-alist): Mark as risky.

2006-05-21  Richard Stallman  <rms@gnu.org>

	* simple.el (kill-region): Interactively, pass point, then mark.

2006-05-22  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-create): Add autoload cookie.

2006-05-21  Romain Francoise  <romain@orebokech.com>

	* dired-x.el (dired-mode-map): Don't bind M-g.

2006-05-20  Richard Stallman  <rms@gnu.org>

	* dired.el (dired-mode-map): Put dired-goto-file on j, not M-g.
	(dired-goto-file): Doc fix.

2006-05-21  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el: Mention customizing cua-mode as alternative
	way to enable built-in cua-mode if user loads older CUA-mode package.

	* ido.el (ido-read-file-name): Bind ido-show-dot-for-dired to nil
	if default-filename is specified.

2006-05-20  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-manuals-menu) <info-apropos>: New menu item.

	* info.el (info-apropos): Make sure current-file and current-node
	have non-nil values.  Speed up by using add-to-list instead of
	manual consing.

2006-05-20  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* progmodes/make-mode.el (makefile-mode): Doc fix.

2006-05-20  Eli Zaretskii  <eliz@gnu.org>

	* dired-aux.el (dired-do-shell-command): Doc fix.

2006-05-20  Kevin Ryde  <user42@zip.com.au>

	* info-xref.el (info-xref-check-all-custom): Skip :tag part of
	``(custom-manual :tag "Foo" "(foo)Node")''.

2006-05-20  Karl Chen  <quarl@cs.berkeley.edu>

	* progmodes/cc-vars.el (c-backslash-column): Mark as safe if its
	value is an integer.

2006-05-20  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-mime-charset-pattern): Add "?:" before
	"format".
	(rmail-convert-to-babyl-format): Undo the change from 2006-04-19.

2006-05-20  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/hideif.el (show-ifdef-block): Fix bug where parts of
	a hidden block remained hidden if `hide-ifdef-lines' is non-nil.

2006-05-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/gud.el (gdb-script-font-lock-keywords): Use a stricter
	regexp for keywords.

2006-05-20  Masayuki FUJII  <boochang@m4.kcn.ne.jp>  (tiny change)

	* dnd.el (dnd-get-local-file-name): Specify LITERAL in
	replace-regexp-in-string.

	* term/w32-win.el (w32-drag-n-drop): Substitute '/' for '\',
	encode, and escape file name on conversion to URL.

2006-05-20  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* dnd.el (dnd-handle-one-url): Change 3rd arg ARG to URL.
	Don't unescape URL.
	(dnd-get-local-file-name): Unescape URL on conversion to file name.

	* x-dnd.el (x-dnd-handle-file-name): Encode and escape file names
	on conversion to URLs.

	* net/browse-url.el (browse-url-file-url): Encode file name on
	conversion to URL.

	* term/mac-win.el (mac-ae-open-documents): Escape file name on
	conversion to URL.

2006-05-19  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/cc-styles.el (c-style-alist): Doc fix.

2006-05-19  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-bytes-to-digits): Remove function.
	(mac-handle-toolbar-switch-mode): Use coercion instead of it.

2006-05-19  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-bahai-date)
	(list-bahai-diary-entries, mark-bahai-diary-entries)
	(mark-bahai-calendar-date-pattern): Not interactive.
	(add-to-diary-list): New optional arg LITERAL.  Doc fix.
	(diary-entries-list): Change format of 4th element in each entry.
	(diary-list-entries): Use add-to-diary-list.
	(diary-goto-entry): Handle the case where the buffer visiting the
	diary has been killed.
	(fancy-diary-display): Add 'locator to button rather than 'marker.
	Only generate temp-face when there are marks to apply.
	(list-sexp-diary-entries): Pass literal to add-to-diary-list.
	(diary-fancy-date-pattern): New variable.
	(diary-time-regexp): Doc fix.
	(diary-anniversary, diary-time): New faces.
	(fancy-diary-font-lock-keywords): Use diary-fancy-date-pattern and
	diary-time-regexp.  Add font-lock-multiline property where needed.
	Use new faces diary-anniversary and diary-time.
	(diary-fancy-font-lock-fontify-region-function): New function, to
	handle multiline font-lock pattern in fancy diary.
	(fancy-diary-display-mode): Set font-lock-fontify-region-function.
	(diary-font-lock-keywords): Tweak time regexp.  Use new face
	diary-time.

2006-05-19  Alexander Shopov  <ash@contact.bg>  (tiny change)

	* international/code-pages.el (mik): Table corrected.

2006-05-18  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-find): Don't check grep-find-command
	before running command (breaks non-interactive usage).

2006-05-18  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--adjust): New func.
	(ewoc--insert-new-node): Don't insert trailing newline.
	Instead, adjust successor nodes's start markers.
	(ewoc--refresh-node): Delete all text from current node's start
	marker to the next one's; adjust successor nodes's start markers.
	(ewoc--create): Doc fixes.
	(ewoc--refresh): Don't insert newline.
	(ewoc--set-hf): Use `ewoc--set-buffer-bind-dll-let*'.
	* pcvs.el (cvs-make-cvs-buffer):
	Specify extra newline for ewoc's header and footer.
	(cvs-update-header): Update initial header recognition.
	Append newline to final header and footer values.
	* pcvs-info.el (cvs-fileinfo-pp): Insert trailing newline.

2006-05-17  Richard Stallman  <rms@gnu.org>

	* files.el (file-name-extension): Doc fix.

2006-05-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* shell.el (shell-dirtrack-mode): Make it into a proper minor mode, so
	we can explicitly enable/disable rather than toggle.
	(shell-mode): Use it.
	(shell-cd): Don't try to reproduce what `cd' does.

2006-05-17  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-read-internal): Use only nondirectory part of
	default item.

2006-05-17  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-data): Add docstring.
	(ewoc-nth): Doc fix.

	(ewoc-map, ewoc-invalidate): Compute PP before looping.

2006-05-16  Eli Zaretskii  <eliz@gnu.org>

	* international/mule.el (auto-coding-alist): Add .lha to files
	read with no-conversion.

	* files.el (auto-mode-alist): Add .lha files to archive file
	extensions.

	* arc-mode.el (archive-arc-summarize, archive-lzh-summarize):
	Convert csize to integer when computing offsets within the
	compressed archive file.

2006-05-16  Kim F. Storm  <storm@cua.dk>

	* subr.el (add-to-history): Add KEEP-ALL arg and align functionality
	with read-from-minibuffer.

2006-05-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* emacs-lisp/bytecomp.el (byte-compile-warnings-safe-p): New function.
	(byte-compile-warnings): Fix safe-local-variable property.

2006-05-16  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-show-bodies, allout-old-style-prefixes)
	(allout-stylish-prefixes, allout-numbered-bullet)
	(allout-file-xref-bullet, allout-use-hanging-indents): Use simple
	predicates to qualify `safe-local-variable' property, when
	available, else use equivalent lambda.
	(allout-current-topic-collapsed-p): Do the right thing regarding
	trailing blank lines.

2006-05-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-start): Only create a directory if needed.
	(server-edit, server-unload-hook): server-start => server-mode.
	(kill-emacs-hook): Cleanup upon exit.

2006-05-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hexl.el (hexlify-buffer): Encode process arguments manually.

2006-05-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-tooltip-tips): Add missing argument to
	call to gdb-tooltip-print.

2006-05-15  Romain Francoise  <romain@orebokech.com>

	* dired-x.el (dired-guess-shell-gnutar): On GNU and GNU/Linux
	systems, default to "tar" since those systems probably have GNU tar.

2006-05-14  Lars Hansen  <larsh@soem.dk>

	* desktop.el (desktop-missing-file-warning): Fix docstring.
	(desktop-restore-file-buffer): Correct question asked on missing file.

2006-05-14  Kim F. Storm  <storm@cua.dk>

	* progmodes/cc-subword.el (c-forward-subword, c-backward-subword):
	Add CUA move property.

2006-05-13  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (custom-push-theme): Load the variable before checking
	its `standard-value'.

2006-05-13  Lars Hansen  <larsh@soem.dk>

	* desktop.el (desktop-save): Use with-temp-buffer.

2006-05-12  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-menu.el (calendar-mode-map, calendar-mouse-3-map):
	* calendar/calendar.el (calendar-mode-map):
	* calendar/diary-lib.el (include-other-diary-files,diary-mail-entries):
	* calendar/appt.el (appt-check, appt-make-list): Refer to
	diary-view-entries, diary-list-entries, diary-show-all-entries
	rather than obsolete aliases.

2006-05-12  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-finish): Avoid calling point motion hooks
	while processing intangibility.

2006-05-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Fix typo.

2006-05-12  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-view-change-hook): Mark as being deprecated,
	to be replaced by `allout-exposure-change-hook'.
	(allout-exposure-change-hook): New, replacing
	`allout-view-change-hook'.
	(allout-flag-region): Run new hook `allout-exposure-change-hook',
	in addition to `allout-view-change-hook'.
	(allout-show-bodies, allout-old-style-prefixes)
	(allout-stylish-prefixes, allout-use-hanging-indents): Quote the
	lambda forms to prevent their showing up in variable help
	presentations as inscrutable byte-compiled code.
	(allout-numbered-bullet, allout-file-xref-bullet, allout-layout):
	Use string-or-null-p to qualify safe-local-variable values.
	(allout-reindent-bodies): Use memq to qualify matches against
	valid safe-local-variable values.  Also, quote the lambda as above.
	(allout-use-mode-specific-leader): Add missing candidate-value
	symbols, use memq, and quote the lambda.
	(allout-overlay-interior-modification-handler): Remove unused
	variables `msg' and 'opened'.
	(allout-hidden-p): Constrain invisibility consideration to allout's
	invisibility spec, disregarding invisibility for other reasons.

2006-05-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.el (version-control): Correct safe values.

2006-05-12  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-refresh): Compute PP once before looping.

	(ewoc--node-enter-before, ewoc--create-node): Delete funcs.
	(ewoc--insert-new-node): New func.
	Update callers of deleted funcs to use it, instead.

2006-05-11  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-show-all-entries): Do not refer to
	obsolete alias `show-all-diary-entries'.
	(make-diary-entry): Not interactive.
	(cal-tex-cursor-month, cal-tex-cursor-month-landscape)
	(cal-tex-cursor-day, cal-tex-cursor-week, cal-tex-cursor-week2)
	(cal-tex-cursor-week-iso, cal-tex-cursor-week-monday)
	(cal-tex-cursor-filofax-2week, cal-tex-cursor-filofax-week)
	(cal-tex-cursor-year-landscape, cal-tex-cursor-filofax-year)
	(cal-tex-cursor-filofax-daily, cal-tex-cursor-year): Interactive.

2006-05-11  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* calendar/calendar.el (calendar-french-date-string)
	(calendar-mayan-date-string, calendar-chinese-date-string)
	(calendar-astro-date-string, calendar-iso-date-string)
	(calendar-islamic-date-string, calendar-bahai-date-string)
	(calendar-hebrew-date-string, calendar-coptic-date-string)
	(calendar-ethiopic-date-string, calendar-persian-date-string):
	These functions are not interactive.

2006-05-11  Luc Teirlinck  <teirllm@auburn.edu>

	* files.el: Balance parentheses.

2006-05-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.el, newcomment.el, outline.el, simple.el,
	emacs-lisp/bytecomp.el, progmodes/cc-compat.el,
	progmodes/cc-vars.el, progmodes/compile.el:
	Move `safe-local-variable' declarations to the respective files.

	* help-fns.el (describe-variable): Don't print safe-var if it is
	byte-code.  Improve wording as suggested by Luc Teirlinck.

2006-05-11  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-reset): Update speedbar if necessary.
	(gdb-var-evaluate-expression-handler, gdb-var-update-handler):
	Use a token for pending-triggers to ensure gdb-var-update
	gets called once per user input again for pre-GDB 6.4.
	(gdb-var-delete): Match on more complex expressions.
	(gdb-var-list-children-handler, gdb-var-create-handler):
	Use a token for consistency.

2006-05-11  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-read-date, org-goto-calendar)
	(org-agenda-goto-calendar):
	Bind `view-calendar-holidays-initially' to nil.

2006-05-11  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--refresh-node): No longer save-excursion.
	Update all callers to do it there, instead.

2006-05-10  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-basic-setup): Set day to 1 in
	prefix arg case, to avoid view-diary-entries-initially error.
	Reported by Stephen Berman <Stephen.Berman at gmx.net>.
	(calendar-date-is-legal-p): Handle dates with no day part.

2006-05-11  Nick Roberts  <nickrob@snap.net.nz>

	* comint.el (comint-insert-input): Just make it when
	comint-use-prompt regexp is nil (default) and with the mouse.
	(comint-copy-old-input): Reinstate from 2004-06-23.
	(comint-mode-map): Bind C-c C-m to it.

2006-05-10  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-shell.el (idlwave-shell-move-or-history):
	Remove spurious move to point-max (new comint behavior fixes).

	* progmodes/idlwave.el (idlwave-push-mark): Removed obsolete
	compatibility function (Emacs 18/19).
	(idlwave-is-continuation-line): Always return point at start of
	previous non-blank continuation line.
	`keyword-parameters': Fix continued comment font-lock matcher.
	(idlwave-font-lock-fontify-region): Written, use as
	font-lock-fontify-region-function, to fix continued keyword
	fontification issues.

2006-05-10  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-font-panel-mode): Doc fix.
	(mac-service-selection, mac-service-open-file)
	(mac-service-open-selection, mac-service-mail-selection)
	(mac-service-mail-to, mac-service-insert-text): Rename from
	mac-services-*.  All uses changed.
	(mac-apple-event-map): Rename event symbol `services' to `service'.

2006-05-10  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--dll-create, ewoc--node-delete)
	(ewoc--node-enter-first, ewoc--node-enter-last)
	(ewoc--delete-node-internal): Merge funcs into unique callers.

2006-05-09  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/crm.el (completing-read-multiple): Properly handle
	return value of read-from-minibuffer for empty input.

2006-05-09  Miles Bader  <miles@gnu.org>

	* comint.el (comint-insert-input): Remove redundant calls to setq
	and goto-char.

2006-05-10  Nick Roberts  <nickrob@snap.net.nz>

	* comint.el (comint-insert-input): Make it work when
	comint-use-prompt-regexp is t.

2006-05-10  Miles Bader  <miles@gnu.org>

	* subr.el (field-at-pos): New function.

	* comint.el (comint-insert-input): Use it.

2006-05-09  Juri Linkov  <juri@jurta.org>

	* battery.el (battery-linux-proc-acpi): Also try
	`/proc/acpi/thermal_zone/THR2/temperature'.

	* files.el <safe-local-variable>: Remove `eval' and `let' binding
	for now unused lambda `string-or-null'.

	* add-log.el (change-log-default-name): Put `string-or-null-p'
	instead of lambda on `safe-local-variable' property.

	* diff-mode.el (diff-context->unified): Use `region-beginning' and
	`region-end' instead of `mark' and `point'.
	(diff-unified->context, diff-reverse-direction, diff-fixup-modifs):
	Operate on region in Transient Mark mode when the mark is active.
	Use `region-beginning' and `region-end' instead of `mark' and
	`point'.
	(diff-hunk-text, diff-goto-source): Doc fix.

	* startup.el (fancy-splash-screens, normal-splash-screen): Use
	face `mode-line-buffer-id' for mode-line buffer face instead of
	hard-coded `(:weight bold)'.

	* arc-mode.el (archive-set-buffer-as-visiting-file): Bind
	buffer-undo-list to t (undo-ask is reproducible by visiting
	nested archives).

2006-05-09  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (rgrep): Set default directory of *grep*
	buffer if we start M-x rgrep in the *grep* buffer and choose
	a different base directory.

2006-05-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-register-file-name-handlers): Enable Tramp
	completion also when ido is loaded.

2006-05-09  Masatake YAMATO  <jet@gyve.org>

	* font-lock.el (cpp-font-lock-keywords-source-directives): Addded
	"warning" and "import".
	(cpp-font-lock-keywords): Added "warning".

2006-05-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add more key bindings.

2006-05-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mwheel.el (mwheel-scroll): Make sure that when scrolling multiple
	pages at a time, if we signal the end, we should indeed reach that end.

2006-05-08  David Reitter  <david.reitter@gmail.com>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Only preserve messages
	output during execution of the body.

2006-05-08  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (lgrep, rgrep): Doc fixes.

2006-05-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--set-buffer-bind-dll-let*):
	Use with-current-buffer.

2006-05-07  Kim F. Storm  <storm@cua.dk>

	* subr.el (add-to-history): Remove keep-dups arg.

	* kmacro.el (kmacro-push-ring): Let-bind history-delete-duplicates
	to nil around call to add-to-history.

2006-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/syntax.el (syntax-ppss): Flush the cache before rather
	than after a buffer modification.

2006-05-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-create-handler): Move speedbar
	call to...
	(gud-watch): ...here so speedbar is raised for already watched
	expressions.
	(gdb-speedbar-refresh): Delete function.
	(gdb-speedbar-update, gdb-speedbar-timer-fn): New functions.
	Use speedbar-timer-fn instead of speedbar-refresh (reverting
	earlier change).
	(gdb-var-evaluate-expression-handler)
	(gdb-var-list-children-handler-1, gdb-var-update-handler-1): Use it.

	* speedbar.el (speedbar-timer-fn): Remove save-window-excursion.
	Update localized contents for all buffers except ignored modes.

2006-05-07  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-utxt-to-string): Use `eq' instead of `='.
	(mac-atsu-font-table, mac-font-panel-mode): Add defvars.
	(mac-bytes-to-digits, mac-handle-toolbar-switch-mode)
	(mac-handle-font-panel-closed, mac-handle-font-selection):
	New functions.
	(mac-font-panel-mode): New minor mode.
	(mac-apple-event-map): Add bindings for toolbar toggle button and
	font panel.
	(menu-bar-showhide-menu): Add mac-font-panel-mode.

2006-05-07  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer-compressed-file-name-regexp):
	Avoid `regexp-opt'; simplify regexp for readability.

2006-05-06  Eli Zaretskii  <eliz@gnu.org>

	* ldefs-boot.el (dired-do-redisplay, dired-maybe-insert-subdir):
	* files.el (buffer-stale-function):
	* dired-aux.el (dired-do-redisplay, dired-maybe-insert-subdir):
	* autorevert.el (global-auto-revert-non-file-buffers): Point Info
	links to the main manual, not to emacs-xtra.

2006-05-06  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-utxt-to-string): Don't make adjustment for
	MacJapanese if text is ASCII-only.

2006-05-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-goto-breakpoint): Use or instead of
	unless so nil isn't returned.
	(gdb-setup-windows, gdb-restore-windows): Reset gdb-source-window.

2006-05-06  Kim F. Storm  <storm@cua.dk>

	* subr.el (add-to-history): New function.

	* ediff.el (ediff-files, ediff-files3, ediff-merge-files)
	(ediff-merge-files-with-ancestor):
	* env.el (setenv):
	* isearch.el (isearch-update-ring):
	* server.el (server-visit-files):
	* progmodes/grep.el (lgrep, rgrep):
	* progmodes/vhdl-mode.el (vhdl-generate-makefile-1):
	* progmodes/xscheme.el (xscheme-insert-expression):
	Use add-to-history.

	* kmacro.el (kmacro-push-ring): Use add-to-history.
	(kmacro-ring-length): Remove unused defun.
	(kmacro-start-macro): Use kmacro-push-ring.

2006-05-06  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-create, ewoc-set-hf): Use `insert'
	directly instead of a lambda expression that calls it.

2006-05-06  Kim F. Storm  <storm@cua.dk>

	* avoid.el (mouse-avoidance-point-position): Use posn-at-point
	instead of compute-motion.

2006-05-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* ibuffer.el (ibuffer-compressed-file-name-regexp): Undo previous
	change.

2006-05-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* startup.el (command-line-1): Refer to "Pure Storage" on
	pure-space-overflow.

2006-05-05  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/re-builder.el (reb-update-overlays): Cycle through
	provided faces once they all have been used up.

2006-05-05  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (normal-splash-screen, fancy-splash-screens-1): Add a
	reference to the Lisp manual to the warning about pure space
	overflow.

2006-05-05  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* textmodes/ispell.el (ispell-buffer-local-dict): Add a `no-reload'
	argument to avoid the call to `ispell-internal-change-dictionary'
	when not needed.
	(ispell-change-dictionary): Use this argument and call
	`ispell-internal-change-dictionary' after the possible change
	to `ispell-local-dictionary'.
	(ispell-internal-change-dictionary): Check for a change in
	personal dictionary use too.
	Cosmetic changes from Agustin Martin
	<agustin.martin@hispalinux.es>.

2006-05-05  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (command-line): On MS-Windows, probe "~", not
	"~USER", for warning about non-existent home directory

	* arc-mode.el (archive-l-e): New optional argument `float' means
	generate a float value.
	(archive-arc-summarize, archive-lzh-summarize)
	(archive-zip-summarize, archive-zoo-summarize): Invoke archive-l-e
	with 3rd argument non-nil when file's size is being computed.
	Format the file sizes with %8.0f instead of %8d.

2006-05-05  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* cus-start.el (all): Add mac-dnd-known-types.

	* term/mac-win.el (mac-utxt-to-string, mac-string-to-utxt)
	(mac-TEXT-to-string, mac-string-to-TEXT, mac-furl-to-string)
	(mac-TIFF-to-string): New functions.
	(x-get-selection, x-selection-value)
	(mac-select-convert-to-string): Use them.
	(mac-text-encoding-mac-japanese-basic-variant):	New constant.
	(mac-dnd-types-alist): New customization variable.
	(mac-dnd-handle-furl, mac-dnd-handle-hfs, mac-dnd-insert-utxt)
	(mac-dnd-insert-TEXT, mac-dnd-insert-TIFF, mac-dnd-drop-data)
	(mac-dnd-handle-drag-n-drop-event): New functions.
	(mac-drag-n-drop): Remove function.
	(global-map): Bind drag-n-drop and M-drag-n-drop to
	mac-dnd-handle-drag-n-drop-event.

2006-05-04  Karl Chen  <quarl@NOSPAM.quarl.org>

	* progmodes/perl-mode.el (perl-beginning-of-function):
	Skip anonymous subs.

2006-05-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* ibuffer.el (ibuffer-compressed-file-name-regexp): Avoid loading
	regexp-opt at run time.

	* term.el (term-handle-ansi-escape): Fix off by one error.

2006-05-04  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-force-update): Delete variable...
	(gdb-init-1, gdb-post-prompt): ...and references to it.
	(gdb-frame-handler): Strip directory name from filename if present.

	* progmodes/gud.el (gdb-force-update): Delete defvar
	(gud-speedbar-buttons): ...and references to it.  Use window-start
	to try to keep positon in watch expression.

2006-05-03  Richard Stallman  <rms@gnu.org>

	* simple.el (next-history-element, previous-history-element): Doc fix.

	* isearch.el (isearch-update-ring): Doc fix.

2006-05-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* isearch.el (isearch-update-ring): Take history-delete-duplicates
	into consideration.  Replace one arm ifs with whens.

2006-05-03  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-watch): Let user select an expression.
	(menu): Fix typo.

2006-05-02  Miles Bader  <miles@gnu.org>

	* replace.el (occur-engine): Bind `inhibit-field-text-motion' to t.

2006-05-02  Jay Belanger  <belanger@truman.edu>

	* calc/calc-embed.el (calc-override-minor-modes-map)
	(calc-override-minor-modes): New variables.
	(calc-do-embedded): Make sure that Calc keystrokes aren't
	overwritten by minor modes.

2006-05-02  Chong Yidong  <cyd@mit.edu>

	* msb.el (msb): If EVENT is a down event, read and discard the up event.

2006-05-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* startup.el (command-line-1): Refer to Lisp manual when
	pure-space-overflow occurs.

	* files.el (byte-compile-dynamic, byte-compile-dynamic-docstrings)
	(byte-compile-warnings, find-file-visit-truename, indent-tabs-mode)
	(left-margin, no-byte-compile, no-update-autoloads, truncate-lines)
	(version-control): Don't use `t' for safe-local-variable declarations.

2006-05-01  Richard Stallman  <rms@gnu.org>

	* diff-mode.el (diff-mode-shared-map): Don't bind M-W, M-U, M-C,
	M-r, M-R, M-A, M-SPC or M-DEL.
	(diff-mode-map): diff-refine-hunk now on C-c C-w
	(diff-mode-map): Bind C-c C-e, C-c C-n, C-c C-r, C-c C-u.

	* help-mode.el (help-mode): view-exit-action calls delete-window
	only when it is safe and possible.

	* simple.el (undo-outer-limit-truncate): Put quotes around buffer name
	in messages.

	* emacs-lisp/warnings.el (display-warning, lwarn): Doc fixes.

	* tool-bar.el (tool-bar-setup): Put Help and Preferences items
	in the default tool-bar-map.

2006-05-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-completion-file-name-handler-alist)
	(tramp-run-real-handler, tramp-completion-run-real-handler)
	(tramp-completion-handle-file-name-all-completions)
	(tramp-completion-handle-file-name-completion): Autoload them.
	(tramp-completion-handle-file-exists-p)
	(tramp-completion-handle-file-name-directory)
	(tramp-completion-handle-file-name-nondirectory)
	(tramp-completion-handle-expand-file-name): Remove them.
	(tramp-handle-file-name-directory): Return the real directory name.
	Returning "/" only doesn't need to be necessary any longer.
	(tramp-file-name-handler): Make special attention when in hostname
	completion mode.
	(tramp-completion-file-name-handler): Revert patch from 2006-04-28.
	(tramp-register-file-name-handlers):
	Register `tramp-completion-file-name-handler' only when
	`partial-completion-mode' is enabled.
	(tramp-completion-handle-file-name-all-completions):
	Delete directory part from results.
	(tramp-get-completion-methods, tramp-get-completion-user-host):
	Discard deleting "/", it doesn't work after the change of
	`tramp-handle-file-name-directory' above.

2006-05-01  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-expand-template): Use save-match-data
	and symbol-value.

2006-05-01  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ae-open-documents, mac-drag-n-drop):
	Use select-frame-set-input-focus instead of raise-frame.
	(global-map): Bind M-drag-n-drop to mac-drag-n-drop.

2006-05-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-def): Add %c case.
	(gud-speedbar-buttons): Don't bind case-fold-search unnecessarily.
	(gud-format-command): Make match case sensitive.  Match on %F.

2006-04-30  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-tex.el (cal-tex-preamble-extra): New variable.
	(cal-tex-preamble): Use cal-tex-preamble-extra.
	(cal-tex-list-diary-entries): Refer to `diary-list-entries' rather
	than alias `list-diary-entries'.

2006-04-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* help-fns.el (describe-variable): Add info about safe local variables.

2006-04-29  Richard Stallman  <rms@gnu.org>

	* bindings.el (mode-line-format): help-echo doc fixes.

	* net/tramp.el (tramp-file-name-handler-alist): Delete
	expand-file-name and other operations that can cause spurious loading.

2006-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (safe-local-variable-p): Remove support for the special
	value t.

	* textmodes/paragraphs.el (sentence-end-without-space):
	Fix safety predicate.
	(sentence-end-double-space, sentence-end-without-period)
	(paragraph-ignore-fill-prefix):
	* textmodes/fill.el (colon-double-space):
	* abbrev.el (abbrev-mode): Tighten the safety predicate.

	* subr.el (booleanp): New fun.

	* textmodes/reftex-vars.el (reftex-guess-label-type):
	Tighten the safety predicate.

2006-04-28  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (defgroup grep): Doc fix.
	(grep-auto-highlight): Remove.
	(grep-template): New defcustom.
	(grep-find-template): Rename from grep-tree-template.
	(grep-files-aliases): Rename from grep-tree-files-aliases.
	Remove "all" alias, add "l" alias.
	(grep-tree-ignore-case, grep-tree-ignore-CVS-directories): Remove.
	(grep-find-ignored-directories): New defcustom to replace
	grep-tree-ignore-CVS-directories, to facilitate ignoring
	subdirectories for multiple version control systems.
	(grep-mode-map): Add Recursive grep item to GREP menu.
	(grep-regexp-history, grep-files-history): New defvars.
	(grep-probe): New helper function.
	(grep-compute-defaults): Use it to simplify code.
	Adapt to name changes.
	Use `.' as base in grep-find-template rather than <D>.
	(grep): Remove superfluous highlight-regexp arg.  Fix doc.
	Call grep-compute-defaults unconditionally.
	(grep-expand-keywords): New defconst.
	(grep-expand-template): Rename from grep-expand-command-macros.
	Simplify via grep-expand-keywords.  Look at case-fold-search instead
	of grep-tree-ignore-case to add -i option.
	Bind case-fold-search to nil while matching keywords.
	(grep-tree-last-regexp, grep-tree-last-files): Remove.
	(grep-read-regexp, grep-read-files): New helper functions.
	(rgrep): Rename from grep-tree.  Rework to use proper histories.
	Adapt to changes in defcustoms and functions above.
	(lgrep): New command, as grep, but using same interactive UI as rgrep.

2006-04-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-completion-file-name-handler):
	Disable Tramp's functionality while loading Tramp itself.
	(tramp-register-file-name-handlers): That's a defsubst now.
	Code from `tramp-repair-jka-compr' moved here.  Apply it via
	`after-init-hook'.
	(tramp-repair-jka-compr): Remove.

2006-04-27  Jay Belanger  <belanger@truman.edu>

	* calc-embed.el (calc-embedded-make-info): Use `math-read-expr' to
	read expression when `math-read-big-expr' doesn't work.

2006-04-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* startup.el (command-line-1): Display warning when
	pure-space-overflow is non-nil.

2006-04-26  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-user-optional-fields): Mark as
	risky.

2006-04-26  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-url): New optional arg no-browse.
	Return the URL or nil if none can be generated.

2006-04-27  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-comint-buffer): Move forward to stop
	byte compiler warnings.
	(gud-basic-call, gud-find-expr): Let user select an expression
	for printing.  Print expression as well as value in GUD buffer.

2006-04-17  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el: Remove local autoload declaration for
	pgg-gpg-symmetric-key-p, since that's now done in pgg-gpg.el.
	(allout-show-bodies, allout-header-prefix, allout-primary-bullet)
	(allout-plain-bullets-string, allout-distinctive-bullets-string)
	(allout-use-mode-specific-leader, allout-old-style-prefixes)
	(allout-stylish-prefixes, allout-numbered-bullet)
	(allout-file-xref-bullet, allout-presentation-padding)
	(allout-use-hanging-indents, allout-reindent-bodies): Mark as
	safe-local-variable with suitable value spec, and add autoload
	cookie for loaddefs inclusion.  We now use an explicit spec everywhere.
	(move-beginning-of-line, move-end-of-line): Repair so these compat
	functions now actually resituate the point, when appropriate.

2006-04-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-subword.el (c-subword-mode-map): Use command remapping.

	* add-log.el (add-log-iso8601-time-zone): Make parameter optional.
	(add-log-iso8601-time-string): Fix call to format-time-string.

2006-04-26  Kim F. Storm  <storm@cua.dk>

	* subr.el (posn-string, posn-image, posn-object): Doc fix.

2006-04-26  Masatake YAMATO  <jet@gyve.org>

	* progmodes/asm-mode.el (asm-mode, asm-mode-syntax-table):
	Add support for "//" style comments.  Remove `b' flag
	from ?* in `asm-mode-syntax-table'.

2006-04-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* follow.el: Use (featurep 'xemacs) everywhere.
	(follow-mode): Use define-minor-mode.
	(follow-mode-map): Move initialization into the declaration.
	Use command remapping.
	(follow-emacs-version-xemacs-p): Remove.
	(follow-submit-feedback): Remove.

	* allout.el (allout-layout, allout-passphrase-verifier-string)
	(allout-passphrase-hint-string): Tighten up a bit the safety predicate.

	* textmodes/reftex-vars.el (reftex-vref-is-default)
	(reftex-fref-is-default, reftex-guess-label-type):
	Tighten up a bit the safety predicate.

	* textmodes/paragraphs.el (sentence-end-double-space)
	(sentence-end-without-period, sentence-end-without-space)
	(page-delimiter, paragraph-ignore-fill-prefix):
	Tighten up a bit the safety predicate.

	* textmodes/fill.el (colon-double-space): Tighten up the safety pred.

	* progmodes/python.el (python-continuation-line-p)
	(python-beginning-of-statement): syntax-ppss may return
	a negative depth.
	(python-mode): Don't forcefully enable font-lock.

	* time-stamp.el (time-stamp-start, time-stamp-end)
	(time-stamp-inserts-lines): Tighten up a bit the safety predicate.

	* add-log.el: Remove spurious * in docstrings.
	(add-log-time-zone-rule): Rename from change-log-time-zone-rule.
	(add-change-log-entry): Use it here, since it's not specific
	to iso8601.
	(add-log-iso8601-time-string): Don't use it here any more.
	(change-log-indent-text, change-log-indent): Rename from add-log-*.

	* abbrev.el (abbrev-mode): Tighten up a bit the safety predicate.

2006-04-25  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-print): Revert last change with ignored nicks.
	(rcirc-toggle-low-priority): Doc fix.
	(rcirc-handler-NOTICE): Remove beginning of line anchor in
	ChanServ regexp.
	(rcirc-startup-channels-alist): Connect to #rcirc by default, not
	#emacs.
	(rcirc-bright-nick-regexp, rcirc-dim-nick-regexp): Add variables.
	(rcirc-decode-coding-system): Use utf-8 as the default.
	(rcirc-multiline-minor-mode): Set the fill-column.
	(rcirc-format-response-string): Display bright and dim nicks.
	(rcirc-browse-url): Update interactive spec to fill ARG.
	(rcirc-bright-nick, rcirc-dim-nick): Add faces.
	(rcirc-print): Ignore dim-nick messages wrt modeline-activity.

2006-04-24  J.D. Smith  <jdsmith@as.arizona.edu>

	* textmodes/bibtex.el (bibtex-find-entry): Don't demand matching
	case for @Article, etc.

2006-04-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-register-file-name-handlers): New defun.
	Added with autoload cookie.
	(tramp-unload-file-name-handlers): Rename from
	`tramp-unload-file-name-handler-alist'.

2006-04-23  Romain Francoise  <romain@orebokech.com>

	* comint.el (comint-match-partial-filename): Doc fix.

2006-04-21  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-menu.el (calendar-mode-map): Refer to
	`diary-view-entries' rather than alias `view-diary-entries'.
	* calendar/diary-lib.el (view-other-diary-entries): Ditto.

2006-04-21  Luc Teirlinck  <teirllm@auburn.edu>

	* progmodes/antlr-mode.el (antlr-default):
	* cus-edit.el (custom-documentation):
	* faces.el (scroll-bar, border, cursor, mouse): Avoid nil spec
	in defface.

2006-04-21  Kim F. Storm  <storm@cua.dk>

	* image.el (image-type): New defun split out of create-image.
	(create-image): Use it.

2006-04-21  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-mode-map): Catch conflict with old allout.el.
	(org-open-at-point): Remove the "...done" message to keep output
	in the echo area visible.
	(org-export-as-xoxo): Fix call to `indent-region'.

2006-04-21  Kevin Ryde  <user42@zip.com.au>

	* international/mule.el (keyboard-coding-system): defcustom
	info-link fixes: "Specify Coding" has been split, keyboard now in
	"Terminal Coding", and "Single-Byte Character Support" is now
	"Unibyte Mode".

2006-04-21  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-data-list-register-values-handler):
	Use font-lock-warning-face for any errors e.g. no stack.
	(gdb-stack-list-locals-handler): Display any errors e.g. no stack.

2006-04-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/sh-script.el (sh-shell): Mark as safe.

	* newcomment.el (comment-start, comment-start-skip)
	(comment-end-skip, comment-end): Mark as safe.

2006-04-20  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-deadline-announce): Face removed.
	(org-level-faces, org-n-levels): Convert to constant.
	(org-compatible-face): New function.
	(org-hide, org-level-1, org-level-2, org-level-3, org-level-4)
	(org-level-5, org-level-6, org-level-7, org-level-8)
	(org-special-keyword, org-warning, org-headline-done, org-link)
	(org-date, org-tag, org-todo, org-done, org-table, org-formula)
	(org-scheduled-today, org-scheduled-previously, org-time-grid):
	Face definition revised for better color tty support.
	(org-bold-re, org-italic-re, org-underline-re): New constants.
	(org-set-font-lock-defaults): Use the new constants.
	(org-agenda-highlight-todo): New function.
	(org-agenda-todo): Fix bug with point at end of line.
	(org-agenda-change-all-lines, org-finalize-agenda-entries):
	Fontify TODO keywords.
	(org-insert-link): Preserve relative path in ../ links.
	(org-export-as-html): Convert links pointing to .org files into
	links that will work beteen the exported HTML files.
	(org-todo-list): Fix bug when arg=0.
	(org-insert-heading): More fine-tuning.

2006-04-19  Romain Francoise  <romain@orebokech.com>

	* mail/rmail.el (rmail-convert-to-babyl-format): Use second group
	from `rmail-mime-charset-pattern'.

2006-04-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/python.el (python-mode): Fix typo.

2006-04-18  J.D. Smith  <jdsmith@as.arizona.edu>

	* comint.el (comint-previous-input): Don't clobber input line
	when moving off either end of the input history ring.
	(comint-delete-input): New function, used by
	`comint-previous-input' and others.
	(comint-previous-matching-input):
	Use `coming-delete-input'.  Save the partial input if leaving the
	edit line.  Goto point-max before deleting input to avoid
	partial input fragments hanging around.
	(comint-restore-input): New function, used by `comint-previous-input'.

2006-04-18  Luc Teirlinck  <teirllm@auburn.edu>

	* imenu.el (imenu--index-alist): Balance parentheses.

2006-04-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/python.el (python-mode): Add support for hs-minor-mode.

2006-04-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* abbrev.el (read-abbrev-file): Use abbrev-file-name if optional
	file is nil.

2006-04-18  Richard Stallman  <rms@gnu.org>

	* tooltip.el (tooltip-mode, tooltip-use-echo-area): Doc fixes.

	* imenu.el (imenu-create-index-function, imenu--index-alist)
	(imenu--last-menubar-index-alist, imenu--make-index-alist)
	(imenu-default-create-index-function, imenu--generic-function):
	Doc fixes.

	* image-mode.el (image-toggle-display): Handle tar and arc subfiles.

	* help-mode.el (help-mode): Set view-exit-action to delete window.

	* env.el (setenv): Get rid of arg UNSET.  Interactive unsetting
	now works by passing nil as arg.

	* apropos.el (apropos-print): Don't do where-is on self-insert-command.

	* abbrev.el (edit-abbrevs-redefine): Temporarily widen.
	(read-abbrev-file): Provide default when reading filename.

	* files.el (enable-local-variables): Allow :all as value.
	(hack-local-variables): Implement that value.
	(safe-local-variable-values, safe-local-eval-forms)
	(enable-local-variables): Mark as risky.
	(find-file-visit-truename, kept-old-versions): Mark safe.

	* time-stamp.el (time-stamp-format, time-stamp-line-limit)
	(time-stamp-start, time-stamp-end, time-stamp-inserts-lines)
	(time-stamp-count, time-stamp-pattern): Add safe-local-variable prop.

2006-04-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/tcl.el (tcl-send-string, tcl-send-region):
	Use forward-line so as to get to BOL even in the presence of fields.
	(tcl-eval-region): Strip surrounding space to avoid multiple prompts
	in return.
	(inferior-tcl): Tell tclsh to work in interactive mode.

	* complete.el (partial-completion-mode):
	Use 'choose-completion-string-functions to make sure that
	choose-completion fills the minibuffer properly.

	* complete.el (PC-old-read-file-name-internal): Remove.
	(PC-read-include-file-name-internal): Remove.  Turn it into an advice
	of read-file-name-internal.
	(partial-completion-mode): Enable/disable this advice.

2006-04-18  Juanma Barranquero  <lekktu@gmail.com>

	* net/tramp.el (tramp-completion-file-name-handler): Revert change
	of 2006-04-17.

2006-04-18  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-insert-heading): Insert heading before
	current if at beginning of line.
	(org-todo, org-date): New faces.
	(org-table-align): Make sure tooltip window contains full text.
	(org-no-properties): New defsubst.
	(org-set-font-lock-defaults): Use new faces.

2006-04-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-item-info): Display frame address
	for root variables.

	* progmodes/gdb-ui.el (gdb-pc-address): Rename from gdb-frame-address.
	(gdb-frame-address): Re-use to identify frame for watch expression.
	(gdb-var-list, gdb-var-create-handler): Add frame address for root
	variables.
	(gdb-init-1, gdb-source, gdb-post-prompt)
	(gdb-assembler-custom, gdb-invalidate-assembler): Use gdb-pc-address.
	(gdb-frame-handler): Get gdb-frame-address.

2006-04-17  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.53.

	* net/tramp.el (tramp-completion-mode): ?\t has event-modifier
	'control.  Reported by Matthias F,bv(Brste <slashdevslashnull@gmx.net>.
	(tramp-completion-file-name-handler): Add autoload cookie for
	adding to `file-name-handler-alist'.

	* net/tramp-smb.el (tramp-smb-wait-for-output): Wait always for
	the prompt.  If it returns earlier (when detecting an error
	message), the rest of the output will merge accidently with the
	output of the next command.  Reported by M Jared Finder
	<jared@hpalace.com>.

	* net/tramp-vc.el (vc-user-login-name): Wrap defadvice with a test
	for `process-file', in order to let it work for older Emacsen too.

2006-04-17  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* textmodes/tex-mode.el (tex-font-lock-match-suscript): New function.
	(tex-font-lock-keywords-3): Use it.

2006-04-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* newcomment.el (comment-add): New function.
	(comment-region-default, comment-dwim): Use it.

2006-04-15  Michael Olson  <mwolson@gnu.org>

	* emacs-lisp/tq.el: Improve comments.
	(tq-queue-head-question): New accessor function.
	(tq-queue-head-regexp, tq-queue-head-closure, tq-queue-head-fn):
	Update for modified queue structure.
	(tq-queue-add): Accept `question' argument.
	(tq-queue-pop): If a question is pending, send it.
	(tq-enqueue): Accept new optional argument `delay-question'.
	If this is non-nil, and at least one other question is pending a
	response, queue the question rather than sending it immediately.

2006-04-15  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* calendar/appt.el (appt-add): Check whether an appointment is
	already present in appt-time-msg-list.  Simplify code.

2006-04-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-langs.el (c-mode-menu):
	Don't presume c-subword-mode is bound.

2006-04-13  Bill Wohler  <wohler@newt.com>

	* cus-edit.el (customize-package-emacs-version-alist): Update docstring.
	(customize-package-emacs-version): Use cdr instead of cadr now
	that alists use dotted pairs.

	* custom.el (defcustom): Fix docstring for :package-version.

2006-04-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-display-shell-command-buffer): New defvar.
	(tramp-handle-shell-command): Display output buffer only when
	`tramp-display-shell-command-buffer' is true.
	(tramp-handle-process-file): Set `tramp-display-shell-command-buffer'.

2006-04-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-autofill-regexps): Set only the local
	values of `adaptive-fill-regexp' and `adaptive-fill-function'.

2006-04-13  Romain Francoise  <romain@orebokech.com>

	* pcvs-parse.el (cvs-parse-table): Use `with-temp-buffer' to avoid
	leaving temporary .cvsignore buffers behind.

2006-04-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-regexps-and-options)
	(org-get-current-options): Better names for the startup folding
	options.

2006-04-13  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc.el (vc-annotate): Arrange for point to end up at the same
	line number as in the original, but only when using a new buffer.

2006-04-12  Stuart Herring  <herring@lanl.gov>  (tiny change)

	* files.el (hack-one-local-variable-eval-safep):
	Recognize `edebug-form-spec' for `put', but only if it passes
	`edebug-basic-spec'.  Generalize `put' handling.

	* emacs-lisp/edebug.el (edebug-basic-spec): New function for
	vetting file-local form specs.

	* allout.el (allout-layout): Autoload its `safe-local-variable'
	property.

2006-04-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-ctrl-c-ctrl-c): Improve documentation string.
	(org-agenda-mouse-1-follows-link)
	(org-mouse-1-follows-link): New options.
	(org-format-agenda-item): Fix bug if TAGS is nil.
	(org-agenda-get-scheduled): Quote `priority' symbol in plist.

2006-04-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-set-gud-minor-mode-existing-buffers):
	GDB 6.1+ gives full filename for "info sources" so use
	file-name-nondirectory.

2006-04-12  Romain Francoise  <romain@orebokech.com>

	* subr.el (read-passwd): Bind `message-log-max' to nil.

2006-04-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/perl-mode.el (perl-indent-new-calculate):
	Recompute parse-start after jumping backward by a whole sexp.

2006-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-ensure-vc-buffer): Only change current-buffer, not the
	window configuration.
	(vc-annotate-display-select): Select the buffer so that current-buffer
	(and selected-window) is the output buffer at the end of vc-annotate.

2006-04-11  J.D. Smith  <jdsmith@as.arizona.edu>

	* vc.el (vc-annotate-color-map): Add custom TTY color map for
	8-color terminals, to use all of the colors in a sensible order.
	256-color terminals work well with the standard map.
	(vc-annotate-lines): Only strip the first color character if it
	is "#", to allow for terminal-style named colors.
	(vc-annotate-warp-version): Pass buf to `goto-line' to ensure
	the correct buffer is scrolled.

2006-04-11  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-file):
	Bind enable-local-variables to :safe, and make normal-mode obey it.

	* files.el (enable-local-variables): Allow value :safe.
	(normal-mode): Doc fix.
	(hack-local-variables): Implement enable-local-variables = :safe.
	(hack-local-variables-confirm): Don't prevent quitting.

2006-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* loadhist.el (unload-feature): A bit of sanity check of
	load-history entries.  Cancel timer-vars before unbinding them.

	* hexl.el (hexl-isearch-search-function): Fix regexp-building code to
	quote special chars, and make the trick work on the hex part of the
	buffer as well.
	(hexl-mode, hexl-save-buffer, hexl-mode-exit)
	(hexl-maybe-dehexlify-buffer): Use restore-buffer-modified-p.

	* startup.el (normal-splash-screen): Fix last change so we don't wait
	2 minutes if we don't show the splash screen.

2006-04-11  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-export-plain-list-max-depth)
	(org-table-spaces-around-separators)
	(org-radio-targets, org-activate-camels)
	(org-table-spaces-around-invisible-separators): Options removed.
	(org-time-stamp-rounding-minutes, org-remember-templates)
	(org-ellipsis, org-activate-links, org-descriptive-links):
	New options.
	(org-remember-apply-template, org-current-time)
	(org-finish-edit-table-field)
	(org-link-unescape, org-link-escape)
	(org-string-width, org-table-clean-line, org-html-do-expand)
	(org-edit-agenda-file-list, org-store-new-agenda-file-list)
	(org-read-agenda-file-list): New functions.
	(org-table-edit-field)
	(org-table-create-or-convert-from-region): New commands
	(org-table-toggle-vline-visibility): Command removed.
	(org-table-convert-region): Made a command.
	(orgtbl-deleta-backward-char,orgtbl-delete-char): Remove commands.
	Replace with the normal org- functions.
	(org-self-insert-command): Don't trigger realign unnecessarily
	when blanking a field that is not full.
	(org-mode): `Set buffer-invisibility-spec' for links.
	(org-activate-links2): Hide link part and only show descriptive
	part of the link.
	(org-insert-link): Modify for new linking system.
	(org-store-link): Store description separately, for use by
	`org-insert-link'.
	(org-table-align): Use `org-string-width'.
	(defgroup): Completely new group structure for custom variables.
	(org-agenda-files): Option: Single file name allowed.  Function:
	Optional argument unrestrited means ignore any restricitons.
	(org-install-agenda-files-menu): Find a buffer in Org-mode before
	trying to modify the menu.  Use generalized access to
	`org-agenda-files.'
	(org-agenda-list, org-todo-list, org-cycle-agenda-files)
	(org-agenda-file-to-front, org-remove-file, org-diary)
	(org-tags-view, org-export-icalendar-all-agenda-files)
	(org-export-icalendar-combine-agenda-files): Use generalized
	access to `org-agenda-files'.
	(org-remember-handler): Correctly preserve heading if present.
	(org-table-insert-row, org-table-insert-hline): Deal with
	invisible characters.

2006-04-10  J.D. Smith  <jdsmith@as.arizona.edu>

	* vc.el (vc-annotate-display-mode): Made default 'fullscale.
	(vc-annotate-color-map): New 18 element constant
	value/saturation, rotating hue colormap, from red->blue.
	(vc-annotate-mode-menu): "Default" -> "By Color Map Range".
	(vc-annotate-display-select): Switch to annotate-mode elsewhere.
	(vc-annotate): To avoid killing the required local variables,
	set them before the end of `with-output-to-temp-buffer', and
	after first switching to annotate-mode.
	(vc-annotate-warp-version): Add buffer argument in goto-line to
	ensure annotation, not source, is scrolled.

2006-04-10  Bill Wohler  <wohler@newt.com>

	* custom.el (defcustom, custom-handle-keyword):
	Add :package-version keyword.
	(custom-add-package-version): New function.  Sets value of new
	property 'custom-package-version from :package-version keyword.
	(defcustom): Create Common Keywords section in docstring.
	(defface, defgroup): Replace definitions of a select few keywords
	with a reference to the Common Keywords in defcustom.
	(defcustom, defface, defgroup): Replace reference to Customization
	chapter in manual with hyperlink.

	* cus-edit.el (customize-package-emacs-version-alist):
	New variable.
	(customize-changed-options): Add check for custom-package-version.
	(customize-package-emacs-version): New function to look up Emacs
	version corresponding to the given package version.

	* emacs-lisp/find-func.el (find-function-regexp): Allow dashes in
	defun name, in similar fashion to find-variable-regexp.

2006-04-10  Eli Zaretskii  <eliz@gnu.org>

	* international/mule-cmds.el (set-locale-environment): Fix last
	change for when the locale's preferences don't specify any encoding.

2006-04-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/find-func.el (find-function-search-for-symbol): Fix regexp
	so the defined var/fun doesn't need to be quoted.

2006-04-10  Richard Stallman  <rms@gnu.org>

	* finder.el (finder-mode-map): Add n and p bindings.

2006-04-10  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-init-1): Re-initialise gdb-main-file to nil.
	(gdb-get-version): Make it work for pre "interpreter mi" (GDB 5.3?).
	(gdb-setup-windows): Put something in source window if we can't find
	the source file.
	(gdb-frame-handler): Make it work again with just assembly.
	(gdb-data-list-register-values-handler): Make it work when there is
	no stack.

2006-04-09  Richard Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-mime-charset-pattern): Ignore format and delsp
	specs while looking for charset.

	* textmodes/picture.el (picture-mode-exit): Run picture-mode-exit-hook.

	* play/landmark.el (lm-font-lock-face-O, lm-font-lock-face-X):
	Make them faces.
	(lm-font-lock-keywords): Update appropriately.

2006-04-10  Kim F. Storm  <storm@cua.dk>

	* simple.el (filter-buffer-substring): Add NOPROPS arg, so
	it can also replace buffer-substring-no-properties.

	* emulation/cua-base.el (cua-delete-region, cua-paste)
	(cua-repeat-replace-region): Use filter-buffer-substring.

	* emulation/cua-gmrk.el (cua-copy-region-to-global-mark)
	(cua-cut-region-to-global-mark): Likewise.

	* emulation/cua-rect.el (cua--extract-rectangle)
	(cua-incr-rectangle, cua--rectangle-aux-replace): Likewise.

2006-04-09  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-entry-update): New optional arg
	entry-type.  Add field delimiters to numerical fields if they are
	not present.

2006-04-09  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-find-text-internal): Add new element
	string-const to return value.
	(bibtex-remove-delimiters): Use it.

2006-04-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-form): Don't call
	cl-byte-compile-compiler-macro unless it exists.

2006-04-08  Eli Zaretskii  <eliz@gnu.org>

	* files.el (hack-local-variables-confirm) <offer-save>:
	Clarify message text.  Suggested by Ralf Angeli.

2006-04-08  Michael Cadilhac  <michael.cadilhac@lrde.org>

	* rect.el (kill-rectangle): Don't barf if `kill-read-only-ok' is set.
	(delete-extract-rectangle-line): Use `filter-buffer-substring'
	instead of `buffer-substring' and `delete-region'.  (Most of the
	code actually copied from `kill-region'.)

2006-04-08  Ryan Yeske  <rcyeske@gmail.com>

	* rcirc.el (rcirc-default-server): Rename from rcirc-server.
	(rcirc-default-port): Rename from rcirc-port.
	(rcirc-default-nick): Rename from rcirc-nick.
	(rcirc-default-user-name): Rename from rcirc-user-name.
	(rcirc-default-user-full-name): Rename from rcirc-user-full-name.
	(rcirc-low-priority-flag): New variable.
	(rcirc-decode-coding-system): New defcustom.
	(rcirc-encode-coding-system): New defcustom.
	(rcirc-coding-system-alist): New defcustom.
	(rcirc-multiline-major-mode): New defcustom.
	(rcirc-nick): New internal variable.
	(rcirc-process): Remove variable.
	(rcirc-server-buffer): New variable.
	(rcirc): Update to use rcirc-default-* variables above.
	(rcirc-connect): Do not add window-configuration-hook-here.
	(rcirc-server): New internal variable.
	(rcirc-connect): Do not send keepalive pings if
	rcirc-keepalive-seconds is nil.
	(with-rcirc-server-buffer): New macro.
	(rcirc-send-string): Encode with rcirc-encode-coding-system.
	(rcirc-server-name): Rename from rcirc-server.
	(rcirc-buffer-process): New function.
	(rcirc-buffer-nick): New function.
	(rcirc-buffer-target): Remove function.
	(set-rcirc-decode-coding-system, set-rcirc-encode-coding-system):
	New commands.
	(rcirc-mode-map): Change binding of C-c C-l to
	rcirc-toggle-low-priority.
	(rcirc-mode): Initialize coding system based on
	rcirc-coding-system-alist.  New change-major-mode-hook to part the
	channel on a mode change.  Make kill-buffer-hook buffer-local.
	(rcirc-change-major-mode-hook): New function.
	(rcirc-clean-up-buffer): Rename from rcirc-kill-buffer-hook-1.
	(rcirc-last-post-time): New variable.
	(rcirc-process-message): Store the last time user posted a message
	to this target.
	(rcirc-multiline-minor-mode): New mode.
	(rcirc-multiline-minor-mode-map): New mode map.
	(rcirc-edit-multiline): Put multiline-edit buffer in
	rcirc-multiline-major-mode along with rcirc-multiline-minor-mode.
	(rcirc-print): Ignore any line starting with an ignored nick.
	(rcirc-print): Decode using rcirc-decode-coding-system.
	(rcirc-track-minor-mode): Update global-mode-string when disabling
	this mode.
	(minor-mode-alist): Add LowPri indicator.
	(rcirc-toggle-low-priority): New function.
	(rcirc-last-non-irc-buffer): Prefix arg now no means switch to
	next lowpriority buffer with activity.
	(rcirc-record-activity): Sort buffers in rcirc-activity by the
	last time the user posted a message in to the target.
	(rcirc-update-activity-string): New formatting for low priority
	buffers.
	(rcirc-split-activity): New function.
	(rcirc-handler-PART, rcirc-handler-KICK)
	(rcirc-handler-PART-or-KICK): Kick responses are printed properly.
	(rcirc-nick-away-alist): New variable.
	(rcirc-handler-301): New handler.  Away messages are printed once
	per change.

2006-04-08  Eli Zaretskii  <eliz@gnu.org>

	* info.el (Info-follow-nearest-node): Doc fix.

	* international/mule-cmds.el (set-locale-environment): Make sure
	the coding-system preferred by the locale's language has the same
	EOL conversion type as the original buffer-file-coding-system.
	(locale-language-names): Add a few MS Windows language codes.

2006-04-07  Richard Stallman  <rms@gnu.org>

	* simple.el (eval-expression): Doc fix.

	* emacs-lisp/lisp-mode.el (eval-print-last-sexp, eval-last-sexp)
	(eval-defun): Doc fixes.

2006-04-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* pgg-gpg.el: Revert to revision 1.8 to allow the use of gpg-agent.

2006-04-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-init-2): Set current filename using
	GDB list command without argument for greater generality.

2006-04-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* subr.el (string-or-null-p): New function.

	* textmodes/paragraphs.el (sentence-end): Use string-or-null-p.

	* textmodes/ispell.el (ispell-local-dictionary): Use string-or-null-p.

	* files.el: Update comment about safe-local-variable declarations.

2006-04-06  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el: Updated to IDLWAVE version 6.0.
	See idlwave.org.

	* progmodes/idlw-shell.el: Updated to IDLWAVE version 6.0.
	See idlwave.org.  Includes code to obsolete idlw-rinfo.el.

	* progmodes/idlw-help.el: Updated to IDLWAVE version 6.0.
	See idlwave.org.

	* progmodes/idlw-complete-structtag.el: Updated to IDLWAVE
	version 6.0 (minimal changes).  See idlwave.org.

	* progmodes/idlw-toolbar.el: Updated to IDLWAVE version
	6.0 (minimal changes).  See idlwave.org.

	* progmodes/idlw-rinfo.el: File obsoleted and removed.

2006-04-06  Romain Francoise  <romain@orebokech.com>

	* pgg-gpg.el: Sync back with Gnus 5.10, reverting changes that add
	symmetric encryption features and a new asynchronous interface to
	GnuPG.  This new version is version 1.4, plus whitespace changes.

2006-04-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.el: Move some `safe-local-variable' declarations to the
	respective files.

	* textmodes/ispell.el (ispell-check-comments)
	(ispell-local-dictionary): Mark as safe.

	* abbrev.el (abbrev-mode): Mark as safe.

	* add-log.el (change-log-default-name): Mark as safe.

	* textmodes/reftex-vars.el (reftex-vref-is-default)
	(reftex-fref-is-default, reftex-level-indent)
	(reftex-guess-label-type): Mark as safe.

	* textmodes/fill.el (colon-double-space): Mark as safe.

	* textmodes/paragraphs.el (paragraph-start, paragraph-separate)
	(sentence-end-double-space, sentence-end-without-period)
	(sentence-end-without-space, sentence-end, sentence-end-base)
	(page-delimiter, paragraph-ignore-fill-prefix): Mark as safe.

2006-04-06  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-mode): Remove ido-ignore-unc-host-regexps from
	the :set-after list.
	(ido-downcase-unc-hosts): New user option.  Default on.
	(ido-ignore-unc-host-regexps): Don't reset ido-unc-hosts-cache
	when it is set, as regexps are now applied on the fly.
	(ido-unc-hosts): Keep all known hosts in ido-unc-hosts-cache.
	Make C-a DTRT--filter hosts through ido-ignore-unc-host-regexps
	on the fly, but only when ido-process-ignore-lists is set.
	Do case insensitive filtering if ido-downcase-unc-hosts is set.
	Only downcase names if ido-downcase-unc-hosts is set.

2006-04-06  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-unc-hosts-cache): Fix typo in docstring.

	* woman.el (WoMan-xref-man-page): Fix call to `substring'.

2006-04-05  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-mode): Set after ido-unc-hosts and
	ido-ignore-unc-host-regexps.
	(ido-save-history): Save ido-unc-hosts-cache.
	(ido-load-history): Load ido-unc-hosts-cache.
	(ido-reread-directory): Refresh unc hosts cache in // dir.

	* startup.el (fancy-splash-screens): Set emulation-mode-map-alists
	to nil while displaying slash screen.

2006-04-05  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-encrypt-region, pgg-gpg-sign-region):
	Wait for BEGIN_SIGNING too, new in GnuPG 1.4.3.

2006-04-05  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Setup cases of Latin, Greek, and
	Cyrillic characters in CJK charsets.

2006-03-29  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-start-process): Don't bind
	default-enable-multibyte-characters.  This reverts the change from
	revision 6.17 which is no longer necessary because the passphrase
	is sent separately now.  GnuPG messages are unreadable under
	multibyte locales with default-enable-multibyte-characters set to nil.

2006-04-04  Andreas Schwab  <schwab@suse.de>

	* files.el: Mark `left-margin', `byte-compile-dynamic-docstrings'
	and `byte-compile-warnings' as `safe-local-variable'.

2006-04-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* man.el (Man-mode-map): Restore the \r binding.
	(Man-abstract-xref-man-page): If Man-target-string is a function,
	call it.
	(Man-highlight-references): Use Man-default-man-entry to get the
	target.  Deal with xrefs too.
	(Man-highlight-references0): Don't call the target function.

	* woman.el (WoMan-xref-man-page): Strip the section number, woman
	cannot deal with it.

2006-04-04  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el: Clean up process buffers every time gpg processes
	complete.

2006-04-04  Kenichi Handa  <handa@m17n.org>

	* sort.el (sort-build-lists): Don't bind inhibit-field-text-motion
	here.
	(sort-lines, sort-numeric-fields, sort-fields, sort-columns):
	Temporarily bind inhibit-field-text-motion to t.

2006-04-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* startup.el (normal-splash-screen): Only set mode-line-format in the
	splash buffer, so as not to interfere when debugging the code.
	Ignore errors when switching buffer.

2006-04-03  Romain Francoise  <romain@orebokech.com>

	* dired.el (dired-dnd-protocol-alist): Fix typo.

2006-04-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* savehist.el (savehist): Add :version.
	(savehist-ignored-variables): New variable.
	(savehist-minibuffer-hook): Don't save variables listed in
	`savehist-ignored-variables'.

	* dired.el (dired-dnd-protocol-alist): Mention that change does
	only apply to new buffers in doc string.

2006-04-03  Lennart Borgman  <lennart.borgman.073@student.lu.se>  (tiny change)

	* recentf.el (recentf-open-files-item): Include newline in button
	field, so opening a file will work, when the point is at the end
	of the file name.  Allow, for example, to [i]search a file by
	extension and just push RET to open it.

2006-04-03  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-filter)
	(pgg-gpg-wait-for-completion): Check if buffer is alive.

	* pgg-gpg.el (pgg-gpg-process-sentinel): Don't remove GNUPG:
	lines, temporary fix.

2006-04-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* ibuf-macs.el (define-ibuffer-column): Document the new parameter.

2006-04-02  Richard Stallman  <rms@gnu.org>

	* progmodes/compile.el (compilation-message-face): Make it defcustom.

2006-04-02  Dan Nicolaescu  <dann@ics.uci.edu>

	* ibuf-macs.el (define-ibuffer-column): Add a new key:
	header-mouse-map.

	* ibuffer.el (ibuffer-name-header-map, ibuffer-size-header-map)
	(ibuffer-mode-header-map): New keymaps.
	(ibuffer-update-title-and-summary): Enable mouse face highlighting
	and keybindings for column headers.
	(name,size,mode) <define-ibuffer-column>: Add a header-mouse-map
	property.

2006-04-02  Drew Adams  <drew.adams@oracle.com>  (tiny change)

	* speedbar.el (speedbar-after-create-hook): Doc fix.

2006-04-02  Michael Ernst  <mernst@alum.mit.edu>

	* shell.el (shell-directory-tracker)
	(shell-dynamic-complete-command): Doc fixes.

2006-04-01  Matt Hodges  <MPHodges@member.fsf.org>

	* pcomplete.el (pcomplete-show-completions): Recognize TAB on text
	terminals.

2006-04-01  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-unc-hosts-cache): New defvar.
	(ido-unc-hosts): If value of defcustom is a function, call it to
	get list of UNC hosts.  Add function-item choices to specify
	ido-unc-hosts-net-view or user function.
	(ido-ignore-unc-host-regexps): New defcustom.
	(ido-unc-hosts-net-view, ido-unc-hosts): New functions.
	(ido-is-unc-root, ido-is-unc-host, ido-file-name-all-completions)
	(ido-exhibit): Call ido-unc-hosts to get list of UNC hosts.

2006-03-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-util.el (cvs-insert-strings): Fix bug with strings longer than
	wwidth.

2006-03-31  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-cache-unc-host-shares-time, ido-report-no-match)
	(ido-max-work-file-list, ido-switch-buffer)
	(ido-read-file-name-as-directory-commands):
	Fix typos in docstrings.

2006-03-30  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-system-coding-system): Define and use after
	Mac-specific coding systems are ready.

2006-03-27  Romain Francoise  <romain@orebokech.com>

	* net/rcirc.el (rcirc-connect): Add autoload cookie.

	* ldefs-boot.el: Update.

2006-03-27  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el: Invoke gpg asynchronous, to avoid querying for
	passphrases when it is not needed.
	(pgg-gpg-use-agent): Add, to hard code that pgg shouldn't wait for
	passphrase stuff from gpg, should only be necessary when you use
	gpg with a smartcard.

2006-03-27  Nick Roberts  <nickrob@snap.net.nz>

	* comint.el (comint-dynamic-list-completions): Allow user to
	select *Completions* buffer.

2006-03-27  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-get-level-face): Fix bug with level counting.

2006-03-26  Andreas Schwab  <schwab@suse.de>

	* progmodes/gud.el (gdb): Only complain about multiple debugging
	when the gdb process is still running.

2006-03-25  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (tool-bar-map): Defvar it.
	(rmail-tool-bar-map): Tool-bar buttons for Rmail.
	(rmail-perm-variables): Make rmail-tool-bar-map a local variable.

2006-03-25  Sven Joachim  <svenjoac@gmx.de>  (tiny change)

	* help.el (print-help-return-message): Suggest to use
	display-buffer instead of switch-to-buffer-other-window to restore
	the previous window without selecting it.

2006-03-25  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* frame.el (select-frame-by-name): Call x-focus-frame also when
	window-system is mac.

	* term/mac-win.el: Adjust Courier font specifications in
	x-fixed-font-alist.
	(mac-select-convert-to-string): Use utf-16be-mac or utf-16le-mac
	when directly encoding to UTF-16 in native byte order, no BOM.

2006-03-25  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-rectangle-mark-key): New defcustom.
	(cua--init-keymaps): Use it instead of fixed C-return.
	(cua-mode): Set after it.

	* emulation/cua-rect.el (cua--init-rectangles):
	Use cua-rectangle-mark-key instead of fixed C-return.

2006-03-25  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdba): Revert 2006-03-10 change for case of
	"run" in .gdbinit.
	(gdb-var-create-regexp): Remove "^done" prefix for gdb-mi.el.

2006-03-24  Romain Francoise  <romain@orebokech.com>

	* files.el (ctl-x-5-map): Really bind C-x 5 C-o to
	`display-buffer-other-frame'.

2006-03-24  Kim F. Storm  <storm@cua.dk>

	* apropos.el (apropos-synonyms): Add selection => region.

2006-03-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-create-regexp)
	(gdb-var-list-children-regexp, gdb-var-update-regexp)
	(gdb-var-list-children-regexp-1, gdb-var-update-regexp-1)
	(gdb-data-list-register-values-regexp)
	(gdb-stack-list-locals-regexp, gdb-stack-list-locals-handler):
	Future proof against new fields being added to MI output.
	(gdb-send): Don't treat backslashes for program input as
	continuations.
	(gdb-assembler-handler): Don't use window-start for this handler.
	(gdb-frame-handler): Don't change to hollow arrow if overlay
	arrow doesn't move to new frame.

2006-03-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-continuation): Declare earlier to
	prevent compiler warnings.
	(gdb-stopped): Check for gud-last-last-frame (case: signal).
	(breakpoint-disabled): Make lighter for contrast with overlay arrow.
	(gdb-assembler-custom): Use hollow-right-triangle for assembler
	buffer too.

2006-03-23  Reiner Steib  <reinersteib+gmane@imap.cc>

	* pgg-gpg.el (pgg-gpg-update-agent): Check for
	make-network-process, so we can use the same code in Gnus v5-10
	too and have this file fully synchronized with that release.

2006-03-23  Romain Francoise  <romain@orebokech.com>

	* ibuf-ext.el (ibuffer-read-filter-group-name):
	Use `ibuffer-generate-filter-groups' to make completion list match
	the filter groups that are really displayed in the Ibuffer buffer.
	(ibuffer-generate-filter-groups): Add new args noempty, nodefault.

2006-03-23  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (sort-coding-systems): Describe that
	the argument is modified in docstring.

2006-03-22  Sascha Wilde  <wilde@sha-bang.de>

	* pgg-gpg.el (pgg-gpg-use-agent): Disable by default.
	(pgg-gpg-update-agent): New function.
	(pgg-gpg-use-agent-p): New function.
	(pgg-gpg-process-region, pgg-gpg-encrypt-region)
	(pgg-gpg-encrypt-symmetric-region, pgg-gpg-decrypt-region)
	(pgg-gpg-sign-region): Use it.

2006-03-21  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-face-set): Call custom-push-theme before
	face-spec set so that `changed' theme is correctly saved.
	(custom-face-reset-standard): Reset to recalculated face rather
	than defface spec.

	* custom.el (custom-push-theme): Only save `changed' theme if the
	current face does not match the defface specs.

2006-03-21  Simon Josefsson  <jas@extundo.com>

	* pgg-gpg.el: Ideas below based on patch from Sascha Wilde
	<wilde@sha-bang.de>.
	(pgg-gpg-use-agent): New variable.
	(pgg-gpg-process-region): Use it.
	(pgg-gpg-encrypt-region): Likewise.
	(pgg-gpg-encrypt-symmetric-region): Likewise.
	(pgg-gpg-decrypt-region): Likewise.
	(pgg-gpg-sign-region): Likewise.
	(pgg-gpg-possibly-cache-passphrase): Don't cache a nil password.

2006-03-21  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-open-at-point): Fix bug in wiki-style
	bracket links.

2006-03-21  Kim F. Storm  <storm@cua.dk>

	* progmodes/gdb-ui.el (gdb-reset): Set buffer local value of
	fringe-indicator-alist instead of modifying global value.
	(gdb-frame-handler): Likewise.

2006-03-21  Nick Roberts  <nickrob@snap.net.nz>

	* diff-mode.el (diff-function): Make it inherit from diff-header
	instead of diff-context.

	* progmodes/gdb-ui.el (hollow-right-triangle): Define as fringe
	bitmap.
	(gdb-info-stack-custom): Rename from gdb-info-frames-custom and
	change names in macro above for consistency.
	(gdb-frame-handler): Use hollow-right-triangle for all selected
	frames which except the innermost (where execution has stopped).
	(gdb-reset): Reset buffer-local values of overlay-arrow.

2006-03-20  Richard Stallman  <rms@gnu.org>

	* simple.el (set-mark-command): Doc fix.

	* files.el (display-buffer-other-frame): New command.
	(ctl-x-4-map): Bind C-x 5 C-o to it.

2006-03-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* jit-lock.el (jit-lock-function): Check for the actual defer-timer
	rather than just defer-time, in case defer-time has been changed but
	the timer isn't running yet.
	(jit-lock-deferred-fontify): Correspondingly let-bind defer-timer.

2006-03-19  Luc Teirlinck  <teirllm@auburn.edu>

	* help-mode.el (help-follow-symbol): New function.
	Essentially identical to the old `help-follow', but do not let
	`push-button' do the work when on an xref.
	(help-mode-map): Bind `help-follow-symbol' to "C-c C-c".

2006-03-19  Richard Stallman  <rms@gnu.org>

	* help-mode.el (help-xref-symbol-regexp): Make no xref for symbol
	preceded by the word `program'.
	(help-follow-mouse, help-follow): Throw error if not on xref.
	Delete no longer used args.

2006-03-20  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-stopped): Even when there is no source
	annotation ensure gud-overlay-arrow-position is redisplayed.

2006-03-19  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-include-OPTkey)
	(bibtex-entry-field-alist, bibtex-generate-url-list): Mark as risky.
	(bibtex-autokey-name-case-convert)
	(bibtex-autokey-titleword-case-convert): Make these the aliases
	for the following two variables.
	(bibtex-autokey-name-case-convert-function)
	(bibtex-autokey-titleword-case-convert-function): Make these the
	real names.
	(bibtex-font-lock-keywords): Make bibtex-font-lock-url and
	bibtex-font-lock-crossref sublists.
	(bibtex-mode): Revert 2005-12-30 change (which made
	completion-ignore-case buffer-local).
	(bibtex-url): Simplify.

2006-03-19  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-rect.el (cua--highlight-rectangle): Set overlay
	cursor property value to 2 (to align with C level change).

2006-03-19  Bill Wohler  <wohler@newt.com>

	* image.el (image-load-path-for-library): Shorten first line in
	docstring.

2006-03-18  Richard Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-reply-regexp): Undo previous change.

2006-03-18  Ben North  <ben@redfrontdoor.org>  (tiny change)

	* isearch.el (isearch-other-meta-char): Handle user bindings for
	shifted control characters.

2006-03-18  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-skip-region-alist): Add "_+" to the
	part that matches email addresses, file names, etc.

2006-03-18  Eli Zaretskii  <eliz@gnu.org>

	* term/w32-win.el (mouse-set-font):
	Mention w32-list-proportional-fonts in the doc string.

2006-03-18  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-cache-ftp-work-directory-time): Doc fix.
	(ido-unc-hosts): New user option to explicitly define list of know
	UNC-style hosts for completion.
	(ido-cache-unc-host-shares-time): New user option.
	(ido-is-unc-root, ido-is-unc-host, ido-cache-unc-valid):
	New helper functions for UNC file-name support.
	(ido-may-cache-directory): Check for UNC host.  Simplify.
	(ido-wash-history): Clean out old UNC hosts.
	(ido-nonreadable-directory-p): UNC hosts are always readable.
	(ido-directory-too-big-p): UNC hosts are never too big.
	(ido-set-current-directory): Handle UNC root path.
	(ido-file-name-all-completions): Complete UNC host names from
	ido-unc-hosts list.  Cache UNC host shares.
	(ido-make-file-list-1): Don't filter UNC root.
	(ido-exhibit): Check for // in root directory, and switch to UNC
	mode by setting ido-current-directory to //.

2006-03-17  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (customize-changed-options): Mention explicit
	version number as default in prompt.

2006-03-17  Bill Wohler  <wohler@newt.com>

	* image.el (image-load-path-for-library): Minor docstring fix.

2006-03-17  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-read-date): Include subgroup 5 into
	replacement text.
	(org-popup-calendar-for-date-prompt): Fix customization type.

2006-03-17  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-watch): Provide completion.
	(gdb-continuation): New variable.
	(gdb-send): Deal with continuation lines.

	* progmodes/gud.el (gud-gdb-complete-command)
	(gud-gdb-run-command-fetch-lines): Adapt for use with watch
	expressions.
	(gud-tooltip-mode): Use buffer-local value.

2006-03-16  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-edit-input): Use selected match, if any.

2006-03-16  Bill Wohler  <wohler@newt.com>

	* image.el (image-load-path-for-library): Prefer user's images in
	image-load-path.

2006-03-16  Martin Rudalics  <rudalics@gmx.at>

	* mouse.el (mouse-drag-vertical-line): Use window-inside-edges
	when checking for attempt to drag leftmost or rightmost scrollbar.

2006-03-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-inferior-status): New variable.
	(gdb-force-mode-line-update): New function.
	(gdb-resync, gdb-starting, gdb-signal, gdb-exited, gdb-stopped)
	(gdb-exited): Use them.
	(gdb-signal): New function.
	(gdb-annotation-rules): Provide a rule for it.

2006-03-16  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (auto-coding-regexp-alist): Add entries
	for Unicode BOM.

	* sort.el (sort-build-lists): Temporarily bind
	inhibit-field-text-motion to t.

2006-03-15  Luc Teirlinck  <teirllm@auburn.edu>

	* locate.el (locate-command, locate-make-command-line)
	(locate-fcodes-file, locate-update-command)
	(locate-prompt-for-command, locate, locate-with-filter)
	(locate-get-file-positions): Doc fixes.
	(locate-buffer-name, locate-header-face): Remove leading `*' in
	defcustom.
	(locate-filter-output): Use `keep-lines' instead of its alias
	`delete-non-matching-lines'.
	(locate-get-filename, locate-get-dirname): Add introductory comment.
	(locate-find-directory-other-window): Give appropriate error
	message if used outside main listing.

2006-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-lines-before): Delete variable, subsumed by
	the new extend-region feature.
	(font-lock-after-change-function): Update correspondingly.
	* jit-lock.el (jit-lock-after-change): Update correspondingly.
	* progmodes/grep.el (font-lock-lines-before): Don't disable.

2006-03-15  Bill Wohler  <wohler@newt.com>

	* image.el (image-load-path-for-library): Fix example by not
	recommending that one binds image-load-path.  Just defvar it to
	placate compiler and only use it if previously defined.

2006-03-15  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-insert-centered): Use `string-width' to
	make underlining work for wide characters.
	(org-goto-map, org-agenda-mode-map, org-mode-map): Explicitly bind
	TAB to `org-cycle', to make sure that no binding in
	`outline-mode-map' can supercede it.

2006-03-14  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el: Increment version to 2.2.1 in file commentary.

	(allout-version): Increment to 2.2.1.

	(allout-default-layout): New customization variable, used when the
	file lacks a specific allout-layout.  Uses allout-layout-type for
	recursively nested definition.

	(allout-layout-type): Widget defining allout layouts, necessary for
	self-recursive definition.

	(allout-mode): Incorporate allout-default-layout as fallback for
	allout-layout.

	(allout-layout): Mark as 'safe-local-variable', and refer mention
	fallback to `allout-default-layout' in absence of a specified value.
	(allout-passphrase-verifier-string)
	(allout-passphrase-hint-string): Mark as 'safe-local-variable'.

	(allout-file-passphrase-verifier-string): Obsolete variable, removed.

	(allout-get-encryption-passphrase-verifier): Use correct name of
	passphrase verifier in docstring.

2006-03-15  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-list): Change order of first two
	elements.
	(gdb-find-watch-expression): Make it work for arrays too.
	Follow change to gdb-var-list.
	(gud-watch): Allow the user to enter variable name with a prexix
	arg.  Create keybindings.
	(gdb-var-create-handler, gdb-var-evaluate-expression-handler)
	(gdb-var-list-children-handler, gdb-var-update-handler)
	(gdb-var-delete, gdb-edit-value, gdb-speedbar-expand-node)
	(gdb-var-list-children-handler-1, gdb-var-update-handler-1):
	Follow change to gdb-var-list.
	(gdb-starting): Don't show the overlay arrows when program is running.

	* progmodes/gud.el (gud-speedbar-buttons): Follow change to
	gdb-var-list.

2006-03-14  Bill Wohler  <wohler@newt.com>

	* image.el (image-load-path-for-library): Pass value of path
	rather than symbol.  Always return list of directories.
	Guarantee that image directory comes first.

2006-03-14  Alan Mackenzie  <acm@muc.de>

	* font-core.el (font-lock-extend-region\(-function\)?.):
	New function/variable.

	* font-lock.el (font-lock-after-change-function):
	Call font-lock-extend-region.  Obey font-lock-lines-before.
	(font-lock-default-fontify-region): Remove reference to
	font-lock-lines-before.

	* jit-lock.el (jit-lock-after-change):
	Call font-lock-extend-region.  Obey font-lock-lines-before.

2006-03-14  David Ponce  <david@dponce.com>

	* tree-widget.el (tree-widget-themes-load-path)
	(tree-widget-themes-directory, tree-widget-theme): Doc fix.

2006-03-13  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc) <defgroup>: Add link to manual.
	(rcirc-print): Mark the start of text at the end of the prompt.
	(rcirc-track-minor-mode): Add autoload cookie.
	(rcirc-update-activity-string): Add space to front of mode-line
	indicator.

2006-03-13  Miles Bader  <miles@gnu.org>

	* net/rcirc.el (rcirc-nick-abbrevs): Remove variable.
	(rcirc-abbrev-nick): Remove function.
	(rcirc-format-response-string): Don't call `rcirc-abbrev-nick'.

2006-03-13  David Ponce  <david@dponce.com>

	* tree-widget.el: Handle themes across all occurrences of the main
	themes sub-directory found in tree-widget-themes-load-path.
	(tree-widget-themes-directory, tree-widget-theme): Doc fix.
	(tree-widget--locate-sub-directory): Return all occurrences.
	(tree-widget-themes-path): New function.
	Replace tree-widget-themes-directory, and return a list of directories.
	(tree-widget-set-parent-theme)
	(tree-widget-lookup-image): Use it.

2006-03-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-link-search): Avoid self-matching of
	links, allow target text to be distributed over several lines.
	(org-search-not-link): New function.
	(org-set-regexps-and-options, org-get-current-options):
	New startup options.
	(org-export-as-html): Take odd-level setting from local variable.
	(org-fontify-emphasized-text): New option.
	(org-set-font-lock-defaults): Include emphasized text.
	(org-follow-mhe-link): Allow folder-only links, fix folder name.
	(org-font-lock): Customize group renamed from `org-faces'.

2006-03-13  John Paul Wallington  <jpw@pobox.com>

	* ibuf-ext.el (ibuffer-never-show-predicates): Add `require'
	keyword; require `ibuf-ext' feature.  Thanks to Zhang Wei.

2006-03-12  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-start.el (all): Delete :version keyword for members of the
	fringe group, since the entire group is new in 22.1.

2006-03-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-stack-list-locals-handler): Add local
	map if value is hexadecimal (an address).
	(gud-watch): Only search roots for existing watch expressions.
	(gdb-speedbar-refresh): Bind speedbar-shown-directories to nil to
	prevent caching problems with speedbar-update-directory-contents.

2006-03-12  Juri Linkov  <juri@jurta.org>

	* battery.el (battery-linux-proc-acpi): Check `capacity' for non-nil
	before comparing with `low' and `warn'.

	* info.el (Info-dir-remove-duplicates): Move point to the
	beginning of the current line after deleting the entries from
	redundant heading.  Use marker for `limit' and compare it with
	point before calling `re-search-forward'.

2006-03-11  Luc Teirlinck  <teirllm@auburn.edu>

	* simple.el (yank): Fix typo in docstring.

2006-03-11  Ryan Yeske  <rcyeske@gmail.com>

	* mail/rmailsum.el (rmail-summary-next-msg): Skip deleted
	messages, where "D" is the 6th character.

2006-03-11  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (yank): Fix last change.

2006-03-11  David Ponce  <david@dponce.com>

	* ispell.el (ispell-find-aspell-dictionaries): Add aliases before
	merging elements from the standard ispell-dictionary-alist.
	(ispell-aspell-add-aliases): Add aliases to the passed dictionary
	alist, and return the new alist.

2006-03-11  Richard Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-ignored-headers): Discard DomainKey-Signature.

	* eshell/eshell.el (eshell-prefer-to-shell): Variable deleted;
	the way it is implemented is too unclean.

	* simple.el (kill-region, yank): Doc fix.

	* battery.el (battery-echo-area-format): Doc fix.
	(battery-mode-line-format): Likewise.
	(battery-linux-proc-apm, battery-linux-proc-acpi): Likewise.
	(battery-linux-proc-acpi): Ignore batteries that say "charged".

2006-03-11  Kurt Hornik  <Kurt.Hornik@wu-wien.ac.at>

	* progmodes/octave-mod.el (octave-indent-for-comment):
	Behave according to do string.

2006-03-11  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-menu-map-needed) [ispell-message]:
	Be visible only if major mode is Mail Mode.

	* textmodes/flyspell.el (flyspell-external-point-words)
	(flyspell-process-localwords): Fix last changes.

2006-03-11  Eli Zaretskii  <eliz@gnu.org>

	* calendar/holidays.el (list-holidays): Doc fix.

	* international/mule.el (auto-coding-alist): Add .odt
	(OpenOffice's open document) files.

	* files.el (auto-mode-alist): Add .odt (OpenOffice's open
	document) files.  Mention in the doc string the need to sync with
	auto-coding-alist.

2006-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-local-variables-confirm): Don't prompt for ! if
	enable-local-variables is set to always query, or there is no
	savable variable.

2006-03-10  Bill Wohler  <wohler@newt.com>

	* image.el (image-load-path-for-library): Merge at least three
	functions from Gnus and MH-E into this one function that can now
	be shared.

2006-03-11  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-remove-text-properties): Rename from
	gdb-remove-mouse-face and remove help-echo too.
	(gdb-enqueue-input): Correct conditional clause.

2006-03-10  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-holidays): Doc fix.
	* calendar/holidays.el (list-holidays): Doc fix.

2006-03-10  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdba): Don't call gdb-init-1 explicitly as
	it gets called in gdb-prompt anyway.
	(gdb-use-separate-io-buffer): Only restore window arrangement for
	gdb-many-windows.
	(gdb-enqueue-input): Make it harder to send GDB input when program
	is running.
	(gdb-buffer-list): New variable.
	(gdb-remove-mouse-face): New function.
	(gdb-starting): Use it when GDB input won't get sent.

2006-03-08  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (view-lossage): Remove trailing whitespace before
	inserting "\n".

2006-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-local-variables-confirm):
	Set coding-system-for-read to nil before writing to .emacs.

	* arc-mode.el (archive-extract): Check if an existing buffer name
	comes from a different archive.

	* help.el (describe-key-briefly): If KEY is a down event, read and
	discard the up event.

2006-03-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-buttons): Allow pointers to
	be edited and use font-lock-warning-face for any changes.

	* progmodes/gdb-ui.el (gdb-edit-value-handler): New function.
	(gdb-edit-value): Use it to report any errors.

2006-03-07  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (describe-key): Remove leftover test code.

2006-03-07  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el: Move defvars out of eval-when-compile.
	Use buffer-file-name variable.
	(org-agenda-file-to-end, org-agenda-file-to-front): Remove unused
	arg `file'.
	(org-level-faces): Remove startup dependency.
	(org-cycle, org-map-tree, org-scan-tags)
	(org-remember-handler): Don't call `outline-level' directly.
	(org-mhe-search-all-folders): New option.
	(org-mhe-get-message-folder-from-index)
	(org-mhe-get-message-folder): Fix indexing search.
	(org-format-agenda-item): Handle nil TAGS argument.
	(org-cleaned-string-for-export, org-activate-target-links)
	(org-make-target-link-regexp): Deal with empty radio target list.
	(org-tag): New face.
	(org-get-level-face): New function.
	(org-set-font-lock-defaults): Simplify setup for headlines.
	(org-complete): Pass common substring to `display-completion-list'.

2006-03-06  David Ponce  <david@dponce.com>

	* tree-widget.el: Update Commentary header.
	(tree-widget-theme-name): Ignore parent themes.
	(tree-widget-set-parent-theme): New function.
	(tree-widget-set-theme): Use it.
	(tree-widget-set-image-properties): Move definition.  Does nothing
	if image properties have already been set.
	(tree-widget-image-properties): Move definition.  Receive an image
	name.  Set the :pointer property.
	(tree-widget-lookup-image): Doc fix.  Search in parent themes.
	Don't set the :pointer image property.
	(tree-widget-convert-widget): New function.  Handle :dynargs
	compatibility here.
	(tree-widget): Use it to :convert-widget.  Add the :expander-p
	predicate to control when the :expander function is entered.
	Thanks to Ken Manheimer <ken.manheimer@gmail.com> for the idea.
	(tree-widget-value-create): Handle :expander-p.  widget-apply
	:expander.
	(tree-widget-expander-p): New function.  Default value of the
	:expander-p property.

2006-03-06  Chong Yidong  <cyd@stupidchicken.com>

	* help.el (describe-key): Properly handle the return value of
	read-key-sequence when grabbing an up-event.  Cleanup mouse-1
	remaps.  Handle string and vector `follow-link' values.

2006-03-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* complete.el (PC-expand-many-files): Try be more careful when parsing
	the shell's output.

2006-03-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* outline.el (hide-sublevels): Provide better interactive default.

2006-03-06  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (create-fontset-from-fontset-spec):
	Fix regexp for paring FONTSET-SPEC (allow spaces after `:').

2006-03-05  Luc Teirlinck  <teirllm@auburn.edu>

	* progmodes/gud.el (gud-jdb-marker-filter): Quote `[' with two
	backslashes instead of one in regexp.
	(gud-tooltip-dereference): Add missing optional argument.

2006-03-04  John Paul Wallington  <jpw@pobox.com>

	* wdired.el (toplevel): Require `cl' at compile-time.

2006-03-04  Andreas Schwab  <schwab@suse.de>

	* server.el (server-process-filter): Handle errors during
	evaluation of the argument.

2006-03-03  John Paul Wallington  <jpw@pobox.com>

	* t-mouse.el (t-mouse-drag-start, t-mouse-swap-alt-keys): Doc fix;
	escape parentheses at beginning of line.
	(t-mouse-tty, t-mouse-make-event): Doc fix; use imperative.
	(t-mouse-mode): Remove period from end of error message.

2006-03-03  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-process-localwords):
	Be case-sensitive.

2006-03-03  Martin Rudalics  <rudalics@gmx.at>

	* cus-edit.el (custom-quote): Remove function, since it has been
	moved to custom.el.

	* font-lock.el (lisp-font-lock-keywords-2)
	* emacs-lisp/rx.el (rx-check-any, rx-check-not)
	* generic-x.el (reg-generic-mode): Quote "]"s in regexps when
	they have no special meaning.

	* midnight.el (clean-buffer-list): Handle case where base-buffer of
	indirect buffer gets killed before indirect buffer.  Use dolist.

2006-03-03  Ken Manheimer  <ken.manheimer@gmail.com>

	* emacs-lisp/edebug.el (edebug-display): Use `edebug-sit-for-seconds'
	value instead of a literal constant (1) on more pauses.

2006-03-03  Slawomir Nowaczyk  <slawomir.nowaczyk.847@student.lu.se>  (tiny change)

	* textmodes/flyspell.el (flyspell-external-point-words):
	Be case-sensitive.

2006-03-03  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-url-regexp): Match entire url when it starts
	with "www".

2006-03-03  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el: Restablish intermediate missing comment header to
	preserve outline structure.
	(allout-beginning-of-current-entry): Skip invisible text.
	(allout-open-topic): Fix opening a topic at end-of-buffer.
	(allout-minor-mode): Move nearer to allout-mode function.

2006-03-02  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-paste-subtree): Remove (debug) form.

2006-03-02  Nick Roberts  <nickrob@snap.net.nz>

	* dframe.el (dframe-frame-mode): Don't burp when menu-bar-lines
	is nil.

	* progmodes/gud.el (gud-speedbar-menu-items):
	Use buffer-local-value and add missing :visible keyword.

	* progmodes/gdb-ui.el (gdb-speedbar-refresh): Quieten speedbar-refresh.

2006-03-01  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/reftex-index.el (reftex-index-map): `follow-mouse'
	must be `follow-link'.

	* textmodes/reftex-toc.el (reftex-toc-map): Likewise.

	* textmodes/org.el (org-export-as-html): Fix bugs in HTML
	formatting: No nested anchors.
	(org-all-targets): Fix bug with XEmacs compatibility.
	(org-read-date): Add (require 'parse-time).
	(org-set-tags): Fix bug with extra inserted space.
	(org-export-html-style): Define a style class for targets.
	(org-agenda-keymap, org-mouse-map): Add a binding for `follow-link'.
	(org-hide-leading-stars): New option.
	(org-hide): New face.
	(org-set-font-lock-defaults): Allow to hide leading stars.
	(org-get-legal-level, org-tr-level): New functions.
	(org-odd-levels-only): New option.
	(org-level-faces, org-paste-subtree, org-convert-to-odd-levels)
	(org-demote, org-promote): Deal with double-star levels.
	(org-convert-to-odd-levels): New command.

2006-03-01  Nick Roberts  <nickrob@snap.net.nz>

	* speedbar.el (speedbar-update-localized-contents): Try to
	preserve window-start.
	(speedbar-update-directory-contents): Try to preserve window-start
	and window-point.
	(speedbar-update-special-contents): Don't move back to start of	window.

	* progmodes/gdb-ui.el (gdb-speedbar-refresh): Rename from
	gdb-speedbar-timer-fn.  Use speedbar-refresh instead of
	speedbar-timer-fn.
	(gdb-var-update-handler, gdb-var-update-handler-1): Use it.
	(gdb-speedbar-expand-node): Use speedbar-delete-subblock
	instead of gdb-speedbar-timer-fn.

2006-02-28  Jay Belanger  <belanger@truman.edu>

	* calc/calccomp.el (math-compose-tex-matrix): Add a latex option.
	(math-compose-expr): Use latex option when calling
	`math-compose-tex-matrix' for latex mode.

2006-02-28  Nick Roberts  <nickrob@snap.net.nz>

	* speedbar.el: Re-instate comments about developing for speedbar
	[this is what info and gdb-ui use even if better methods exist now].

	* t-mouse.el: New file.
	(t-mouse-tty): Use with-temp-buffer.  Add more terminal types.
	(t-mouse-lispy-buffer-posn-from-coords): Remove.
	(t-mouse-make-event-element): Use posn-at-x-y instead.
	(t-mouse-make-event): Deal with Fedora Core 3.
	(t-mouse-make-event): Don't sink the `stupid text mode menubar'.
	(t-mouse-mouse-position-function): New function.  Use it instead
	of advising mouse-position.
	(t-mouse-mode): New minor mode.
	(t-mouse-stop, t-mouse-run): Remove.  Use t-mouse-mode instead.

2006-02-27  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-holidays): Doc fix.

2006-02-27  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-source-window): New variable.
	Re-introduce the concept of a source window.
	(gdb-get-buffer-create): Rename from gdb-get-create-buffer for
	consistency with get-buffer-create.
	(def-gdb-auto-update-handler, gdb-info-locals-handler)
	(gdb-data-list-register-values-handler)
	(gdb-stack-list-locals-handler): Try to preserve window-start as
	well as window-point.
	(gdb-display-source-buffer): New function (old concept).
	(gdb-goto-breakpoint): Use it.

	* progmodes/gud.el (gud-display-line): Use gdb-display-source-buffer
	for gdb-ui/gdb-mi (old concept).

2006-02-27  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/reftex-index.el (reftex-index-map): Add `follow-mouse'
	binding.

	* textmodes/reftex-toc.el (reftex-toc-map): Add `follow-mouse' binding.

	* textmodes/reftex-sel.el (reftex-select-label-map)
	(reftex-select-bib-map): Add `follow-mouse' binding.

2006-02-26  Luc Teirlinck  <teirllm@auburn.edu>

	* jka-cmpr-hook.el (jka-compr-compression-info-list)
	(jka-compr-mode-alist-additions, jka-compr-load-suffixes):
	Give :set functions to provide automatic updating.
	Update docstring.  Give compiler defvars early in the file
	and move the defcustoms to a later spot where all called functions
	are defined.
	(jka-compr-file-name-handler-entry): Doc fix.
	(jka-compr-compression-info-list--internal)
	(jka-compr-mode-alist-additions--internal)
	(jka-compr-load-suffixes--internal): New variables.
	(jka-compr-install): Set the three above variables.
	Update `load-file-rep-suffixes' instead of `load-suffixes'.
	(jka-compr-update, jka-compr-set): New functions.
	(auto-compression-mode): Doc fix.

	* jka-compr.el (jka-compr-uninstall): Replace `mapcar' with `mapc'.
	Update `load-file-rep-suffixes' instead of `load-suffixes'.
	Use jka-compr-compression-info-list--internal,
	jka-compr-mode-alist-additions--internal and
	jka-compr-load-suffixes--internal.

	* files.el (load-library):
	* loadhist.el (file-loadhist-lookup):
	* startup.el (command-line):
	* subr.el (locate-library):
	* emacs-lisp/autoload.el (update-directory-autoloads):
	* emacs-lisp/find-func.el (find-library-suffixes):
	Use `get-load-suffixes' instead of `load-suffixes'.

	* subr.el (locate-library):
	* emacs-lisp/find-func.el (find-library-name):
	Use `load-file-rep-suffixes' instead of '("").

2006-02-26  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-save-history, ido-load-history): Simplify.
	Don't use find-file-noselect to avoid interference from other modes.

2006-02-25  Thien-Thi Nguyen  <ttn@gnu.org>

	* progmodes/sh-script.el (sh-mode): Fix bug: Arrange
	to use the default shell if filename is not available.
	Reported by Giorgos Keramidas.

2006-02-25  John Williams  <jrw@pobox.com>  (tiny change)

	* progmodes/etags.el (tags-completion-table): Do completion from
	all the tables in the current list, as documented in the manual.

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* CC Mode Update to 5.31.3.

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-mode.el (c-postprocess-file-styles):
	Bind inhibit-read-only to t, around the call to
	c-remove-any-local-eval-or-mode-variables, so that it works on a
	RO file.

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-awk.el: Correct a typo.

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-cmds.el, cc-mode.el: Rename c-hungry-backspace to
	c-hungry-delete-backwards, at the request of RMS.  Leave the old
	name as an alias.

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-mode.el: Correct a typo.

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-defs.el: Update the version number to 5.31.3.

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-cmds.el (c-electric-brace): Fix clean-up
	brace-else-brace (error due to mbeg, mend being undefined).

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-mode.el: File Local variables: Solve the problem
	where both `mode' and c-file-offsets are specified: `mode' will
	overwrite c-f-o's settings:
	(c-remove-any-local-eval-or-mode-variables): New function.
	(c-postprocess-file-styles): Call the above new function, within
	c-tentative-buffer-change, to splat `mode' and `eval' before the
	second hack-local-variables.

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-mode.el:
	[Supersedes patch to cc-engine.el V 1.45]
	(c-after-change): Protect the match data with save-match-data.
	It was getting corrupted by c-after-change-check-<>-operators.

	* cc-defs.el: [Supersedes patch V1.38]:
	(top level): Check for a buggy font-lock-compile-keywords ONLY in
	XEmacs.  GNU Emacs 22 now has a check which would throw an error here.

	* progmodes/cc-awk.el (c-awk-after-change): Protect the match data
	with save-match-data.  It was being corrupted when Font Lock was
	not enabled.

2006-02-24  Alan Mackenzie  <bug-cc-mode@gnu.org>

	* progmodes/cc-langs.el (c-mode-menu): Add menu items for Electric
	Mode and Subword Mode.

	* progmodes/cc-engine.el (c-beginning-of-statment-1): Distinguish
	real labels ("case 1:" or "foo:") from non-labels ("public:").
	(c-forward-objc-directive): Replace c-forward-token-2 with crude
	coding; c-f-t-2 doesn't move over a token at EOB.

	* progmodes/cc-defs.el (c-version): Update version number to 5.31.2.

	* progmodes/cc-cmds.el, cc-mode.el, cc-engine.el
	(c-update-modeline): Concatenate the minor mode indicators
	directly onto mode-name, removing c-submode-indicators.
	Sometimes, c-s-i got separated from the mode name on the mode line.

	* progmodes/cc-cmds.el (c-electric-brace, c-electric-semi&comma)
	(c-electric-colon): Correct doc-strings: "/ln" -> "/la".

2006-02-24  Martin Stjernholm  <bug-cc-mode@gnu.org>

	* progmodes/cc-langs.el (c-make-init-lang-vars-fun): Improve the
	error message when there's an evaluation error to show whether
	it's loaded from source or not.
	(c-filter-ops): Make it available at runtime too to work when
	`c-make-init-lang-vars-fun' needs to evaluate from source.

2006-02-24  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (help): Revert last part of 2006-02-23 change (deletion
	of the `provide' call).

2006-02-23  Juri Linkov  <juri@jurta.org>

	* compare-w.el (compare-windows-highlight): Add new value
	`persistent' and change :type from `boolean' to `choice'.
	(compare-windows-overlays1, compare-windows-overlays2):
	New internal variables.
	(compare-windows-highlight): If compare-windows-highlight is
	`persistent', add current overlays to compare-windows-overlays[12]
	instead of adding compare-windows-dehighlight to pre-command-hook.
	(compare-windows-dehighlight): Delete all overlays from
	compare-windows-overlays[12].

	* info.el (Info-search): Don't bind search-spaces-regexp to
	Info-search-whitespace-regexp in non-regexp isearch mode.

2006-02-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help.el (describe-mode): Pass `mode-name' to format-mode-line.

2006-02-23  Juanma Barranquero  <lekktu@gmail.com>

	* textmodes/org.el (org-xemacs-p)
	(org-export-html-show-new-buffer, org-table-may-need-update)
	(org-insert-item, org-mhe-get-message-real-folder)
	(org-mhe-get-message-folder-from-index)
	(org-mhe-get-message-folder, org-mhe-get-message-num)
	(org-mhe-get-header, org-make-org-heading-search-string)
	(org-make-org-heading-camel, org-table-sort-lines)
	(org-format-org-table-html, org-format-table-table-html):
	Fix typos in docstrings.

2006-02-23  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-cleaned-string-for-export)
	(org-solidify-link-text): New function.
	(org-add-hook): Use `add-local-hook' instead of `make-local-hook' for
	XEmacs, just to silence the compiler.
	(org-export-as-ascii, org-export-as-html-and-open):
	Use `org-cleaned-string-for-export' and create internal links.
	(org-follow-mhe-link): Require mh-e, use folder.

2006-02-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-buttons): Use shadow face properly.

	* progmodes/gdb-ui.el (gdb-debug-ring-max): Rename from
	gdb-debug-log-length.
	(gdb-debug-ring): Rename from gdb-debug-log-ring.  Don't make
	it a real ring but...
	(gud-gdba-marker-filter): ...make it work like mark-ring.
	(gdb-enable-debug): Rename from gdb-enable-debug-log.
	(gdb-mouse-jump): New function.  Add bindings.

2006-02-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-signalled): New variable and function.
	(gdb-debug-log-ring): Rename from gdb-debug-log and make a ring.
	(gdb-send, gdb-send-item, gud-gdba-marker-filter): Use it.
	(gdb-debug-log-length): Customize it's length.
	(gud-watch, gdb-var-create-handler): Display function::var format
	but don't use to create variable object.
	(gdb-var-create-handler): Use message-box in place of message.
	(gdb-stopped): Call gdb-exited if signalled.

2006-02-22  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/reftex.el (reftex-locate-file): Remove duplicate function.

	* textmodes/reftex-vars.el (reftex-try-all-extensions): New option.

	* textmodes/reftex.el (reftex-locate-file): Search all extensions
	if `reftex-try-all-extensions' is set.

	* textmodes/reftex-dcr.el (reftex-view-crossref): New argument to
	fail silently when there is no valid argument at point.
	(reftex-view-crossref-when-idle): Call `reftex-view-crossref' with
	`fail-silently' argument.  From a patch by David Reiter.

	* textmodes/org.el (org-mark-ring-push, org-mark-ring-goto):
	New commands.
	(org-mark-ring): New variable.
	(org-mark-ring-length): New option.
	(org-open-at-point, org-goto, org-open-file): Push old position
	onto the mark ring.
	(org-add-hook): New function.
	(org-export-table-remove-special-lines): New option.
	(org-skip-comments, org-format-org-table-html): Respect new
	option `org-export-table-remove-special-lines'.
	(org-open-file): Allow special command configuration for
	directory link.
	(org-file-apps): Fix bugs in customize type, added setting
	for directories.
	(org-activate-tags, org-format-agenda-item, org-complete)
	(org-get-tags-at, org-scan-tags, org-make-tags-matcher)
	(org-get-tags, org-get-buffer-tags, org-open-at-point)
	(org-link-search, org-make-org-heading-search-string)
	(org-make-org-heading-camel): Allow @ and 0-9 as tags characters.
	(org-radio-targets, org-file-link-context-use-camel-case)
	(org-activate-camels): New options.
	(org-update-radio-target-regexp, org-all-targets)
	(org-make-target-link-regexp, org-activate-target-links):
	New functions.
	(org-make-org-heading-search-string): New function.
	(org-store-link, org-insert-link): Use new option
	`org-file-link-context-use-camel-case'.
	(org-activate-camels): Use new option `org-activate-camels'.
	(org-link-regexp): Add mhe prefix.
	(org-open-at-point, org-store-link): Support for mhe links.
	(org-mhe-get-message-real-folder, org-mhe-get-message-folder)
	(org-mhe-get-message-folder-from-index, org-mhe-get-message-num)
	(org-mhe-get-header, org-follow-mhe-link): New functions.
	(org-remove-angle-brackets, org-add-angle-brackets):
	New functions.
	(org-bracket-link-regexp): New constant.
	(org-read-date): Fix bug that was rejecting all typed dates.
	(org-link-search): Make hierarchy above visible after a match.
	(org-follow-bbdb-link): Inhibit electric mode for BBDB.
	(org-store-link): Fix bug with link creation when cursor is in
	an empty line.
	(org-open-at-point): Fix bug with matching a link.
	Fixed buggy argument sequence in call to `org-view-tags'.
	(org-compile-prefix-format): Set `org-prefix-has-tag'.
	(org-prefix-has-tag): New variable.
	(org-format-agenda-item): Remove tags from headline
	if appropriate.
	(org-agenda-remove-tags-when-in-prefix): New option.

2006-02-21  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-diff.el (ediff-setup-diff-regions, ediff-setup-diff-regions3):
	Fix the regular expressions.

2006-02-21  Richard M. Stallman  <rms@gnu.org>

	* progmodes/sh-script.el (sh-mode): Set shell type based on file name
	if there's no other specific basis.

	* emacs-lisp/unsafep.el (unsafep): Don't treat &rest or &optional
	as variables at all.
	(unsafep-variable): Rename arg; doc fix.

	* abbrevlist.el (list-one-abbrev-table): Add autoload.

	* calendar/appt.el (diary-selective-display): Add defvar.

	* sort.el (sort-columns): Use Posix arg syntax for `sort'.

	* isearch.el (search-whitespace-regexp): Fix custom type.

	* help.el (describe-key-briefly): Compute interactive args
	in same was as before previous change.

	* files.el (enable-local-variables): Doc fix.

2006-02-21  Kim F. Storm  <storm@cua.dk>

	* fringe.el: Cleanup as file is now pre-loaded.
	(fringe-bitmaps): Initialize unconditionally.
	(fringe-mode, set-fringe-style): Remove autoload cookies.

2006-02-21  Giorgos Keramidas  <keramida@ceid.upatras.gr>  (tiny change)

	* fringe.el (fringe-bitmaps): Rename `horisontal-bar' to
	`horizontal-bar'.
	(fringe-cursor-alist): Use `horizontal-bar'.

2006-02-20  Kim F. Storm  <storm@cua.dk>

	* fringe.el (fringe-bitmaps): Update to new bitmap names.
	(fringe-indicator-alist, fringe-cursor-alist): Initialize.

	* loadup.el: Load "fringe" on window systems.

2006-02-20  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-buttons): Use shadow face for all
	out of scope components.

	* progmodes/gdb-ui.el (gdb-speedbar-auto-raise): Don't enable by
	default.

2006-02-20  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (customize-mark-to-save, customize-mark-as-set):
	Load the symbol first.

2006-02-20  Juanma Barranquero  <lekktu@gmail.com>

	* buff-menu.el (list-buffers-noselect): Turn also "\n" into a
	strech spec so it doesn't display as "^J" on the header line
	when `Buffer-menu-use-header-line' is t.

2006-02-20  Nick Roberts  <nickrob@snap.net.nz>

	* speedbar.el (speedbar-make-button): Keep text properties
	of string arguments if desired.

	* progmodes/gud.el (gud-speedbar-buttons): Fontify watch
	expessions.

	* progmodes/gdb-ui.el (gdb-speedbar-expand-node): Force update
	of speedbar.

2006-02-19  Ryan Yeske  <rcyeske@gmail.com>

	* ffap.el (ffap-read-file-or-url): Bind `completion-ignore-case'
	to value of `read-file-name-completion-ignore-case'.

2006-02-19  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (customize-mark-as-set): Push to `user' theme.

	* cus-edit.el (custom-save-variables): Allow unthemed values.
	(customize-set-variable): Push setting to `user' theme.

2006-02-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el: Don't require font-lock as it's now
	automatically loaded.
	(gud-speedbar-buttons): Replace gdb-var-changed with
	gdb-force-update.

	* progmodes/gdb-ui.el (gdb-force-update): Rename from
	gdb-var-changed.
	(gdb-post-prompt): Use it.
	(gdb-var-create-handler, gdb-var-evaluate-expression-handler)
	(gdb-var-update-handler, gdb-var-delete)
	(gdb-speedbar-expand-node, gdb-var-list-children-handler-1)
	(gdb-var-update-handler-1): Don't set gdb-var-changed, just set
	gdb-force-update in gdb-post-prompt.
	(gdb-reset): Clear watch expressions from speedbar when quitting.

2006-02-19  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-cmd.el (viper-insert-state-post-command-sentinel)
	(viper-change-state-to-vi, viper-change-state-to-emacs):
	Make aware of cursor coloring in the Emacs state.
	(viper-special-read-and-insert-char): Use read-char-exclusive.
	(viper-minibuffer-trim-tail): Workaround for fields in minibuffer.

	* viper-init.el (viper-emacs-state-cursor-color): New variable.

	* viper-util.el (viper-save-cursor-color)
	(viper-get-saved-cursor-color-in-replace-mode)
	(viper-get-saved-cursor-color-in-insert-mode)
	(viper-restore-cursor-color): Make aware of the cursor color in Emacs
	state.
	(viper-get-saved-cursor-color-in-emacs-mode): New function.

	* ediff-diff.el (ediff-ignore-case, ediff-ignore-case-option)
	(ediff-ignore-case-option3, ediff-actual-diff-options)
	(ediff-actual-diff3-options): New variables to control case sensitivity.
	(ediff-make-diff2-buffer, ediff-setup-fine-diff-regions)
	(ediff-setup-diff-regions3): Make aware of case-sensitivity.
	(ediff-toggle-ignore-case): New function.
	(ediff-extract-diffs, ediff-extract-diffs3): Preserve point in buffers.

	* ediff-help.el (ediff-long-help-message-narrow2)
	(ediff-long-help-message-compare2, ediff-long-help-message-compare3)
	(ediff-long-help-message-word-mode): Add ignore-case command.
	(ediff-help-for-quick-help): Add ignore-case command.

	* ediff-merg.el: Move provide to the end.

	* ediff-ptch.el: Move provide to the end.

	* ediff-wind.el: Move provide to the end.

	* ediff-mult.el: Move provide to the end.
	(ediff-set-meta-overlay): Enable follow-link.

	* ediff.el: Move provide to the end.
	Break recursive load cycle in eval-when-compile.
	(ediff-patch-buffer): Better heuristics.

	* ediff-util.el: Move provide to the end.
	Break recursive load cycle in eval-when-compile.
	(ediff-setup-keymap): Add binding for #c.  Replace some defsubsts with
	defuns.
	(ediff-submit-report): Pass the values of ediff-diff3-program,
	ediff-diff3-options.

2006-02-19  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el (help-do-arg-highlight): Recognize also ARG- followed by
	the opening bracket of the following bracketing pairs: {}, [], (), <>,
	`' (for example, in the docstring of `windmove-default-keybindings').

2006-02-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-buttons): Update properly for
	shadow face.  Don't provide binding to edit variable when it is
	out of scope.

	* progmodes/gdb-ui.el (gdb-var-evaluate-expression-handler)
	(gdb-var-update-handler): Detect out of scope variables with pre
	GDB 6.4 too.
	(gdb-post-prompt): Revert change from 2006-02-17 (force update).
	Reset status of variable objects to nil in update handlers.
	(gdb-var-update-handler-1): Detect when a variable object comes
	in scope.  setcar on var changes gdb-var-list directly.

2006-02-17  Juri Linkov  <juri@jurta.org>

	* ffap.el (ffap) <defface>: Add explicit face declaration.
	(ffap-highlight): Use face `ffap' directly instead of checking
	for its existence.

	* icomplete.el (icomplete-get-keys): Use `t' for the second arg
	`visible-ok' of `other-buffer' to find the right original buffer.

	* info.el (Info-search): Skip `Local Variables' node.

2006-02-17  Juri Linkov  <juri@jurta.org>

	* info.el (Info-find-file): Check for symbols `apropos', `history',
	`toc' in the input filename, and return these symbols as is.
	(Info-find-node-2): Set Info-current-file to symbols `apropos',
	`history', `toc' instead of strings.
	(Info-set-mode-line): For non-string Info-current-file use the
	symbol's name inside **.
	(Info-isearch-push-state): Add quote before Info-current-file and
	Info-current-node.
	(Info-isearch-pop-state): Use `equal' instead of `string='.
	(Info-extract-pointer, Info-following-node-name): Use
	`match-string-no-properties' instead of `match-string'.
	(Info-up): Check `old-file' for `stringp'.
	(Info-history): Use `equal' instead of `string-equal'.
	Check `file' for `stringp'.
	(Info-history): Use symbol `history' instead of string as first arg
	of `Info-find-node'.
	(Info-toc): Check `Info-current-file' for `stringp'.  Use symbol
	`toc' instead of string.
	(Info-extract-menu-node-name): Use `buffer-substring-no-properties'
	instead of `buffer-substring', and `match-string-no-properties'
	instead of `match-string'.
	(Info-index-nodes): Check for symbols `apropos', `history', `toc'
	instead of strings.
	(info-apropos): Use `Info-find-node' instead of `Info-goto-node'.
	Use symbol `apropos' instead of string.
	(Info-copy-current-node-name): Check `Info-current-file' for
	`stringp' and construct a command with `Info-find-node' from it.
	(Info-fontify-node): Use `match-string-no-properties' instead of
	`match-string' and check file names for `stringp'.
	(Info-desktop-buffer-misc-data): Check for symbols `apropos',
	`history', `toc' instead of strings.

2006-02-17  Chong Yidong  <cyd@stupidchicken.com>

	* files.el: Rearrange functions and variables in the file local
	variables section.

2006-02-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.el: Add truncate-lines, ispell-check-comments and
	ispell-local-dictionary as safe local variables.

2006-02-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-buttons): Use shadow face for
	out of scope variables.
	(gud-speedbar-buttons): Use unless.

	* progmodes/gdb-ui.el (gdb-var-list): Update doc string.
	(gdb-init-1, gdb-var-changed): Set gdb-var-changed to t initially.
	(gdb-show-changed-values): Also use for out of scope variables.
	(gdb-var-update-handler-1): Note if variable goes out of scope.

2006-02-17  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-connect): Make all arguments optional, and
	default to global variable values for unsupplied args.
	(rcirc-get-buffer-create): Fix bug with setting the target.
	(rcirc-any-buffer): Rename from rcirc-get-any-buffer, and include
	test for rcirc-always-use-server-buffer-flag here.
	(rcirc-response-formats): Add %N, which is a facified nick.  %n
	uses the default face.  Change the ACTION format string.  If the
	"nick" is the server, don't print anything for that field.
	Comment fixes.
	(rcirc-target-buffer): Don't test
	rcirc-always-use-server-buffer-flag here.
	(rcirc-print): Squeeze extra spaces out of the text before message.
	(rcirc-put-nick-channel): Strip potential "@" char from nick
	before adding them to nick table.
	(rcirc-url-regexp): Improve to match address like "foo.com".

2006-02-17  Eli Zaretskii  <eliz@gnu.org>

	* allout.el (allout-hidden-p): Move this defsubst before
	allout-overlay-interior-modification-handler, where it is first
	used.

2006-02-17  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el: Use allout invisible-text overlays instead of
	selective display for concealed text.  Also, lots of general
	cleanup, and improved compatibility code.

	(allout-version) Incremented, corrected, revised, and refined
	module commentary.

	(provide 'allout): Moved to the bottom, added a require of overlay.

	(allout-encrypt-unencrypted-on-saves): Defaults to t instead of
	`except-current'.
	(allout-write-file-hook-handler): Minimize delay.
	(count-trailing-whitespace-region): New function so
	auto-encryption of current topic can resituate cursor exactly.
	PGP/GPG encryption trims trailing whitespace from lines, which
	must be accounted for across encryption then decryption.

	(allout-command-prefix): Now defaults to "\C-c<space>" rather than
	just plain "\C-c", to avoid intruding on user's keybinding space.

	(allout-toggle-current-subtree-encryption): Pass along fetch-pass
	parameter, so user request to provide a new password is done.

	(allout-outside-normal-auto-fill-function, allout-auto-fill):
	Refined mechanism for auto-filling behavior while in allout mode.

	(allout-mode): Explicitly specify the mode map in the docstring.
	Clarify provision for various write-file hook var names.
	Adjusted for invisible-text overlays instead of	selective-display.

	(allout-depth): Really return 0 if not within any topic.  This
	rectifies `allout-beginning-of-level' and sequence numbering
	errors that occur when cutting and pasting numbered topics.
	Changed from a in-line subst to a regular function, as well.

	(allout-pre-next-prefix): Renamed from allout-pre-next-preface.

	(allout-end-of-subtree, allout-end-of-subtree)
	(allout-end-of-entry, allout-end-of-current-heading)
	(allout-next-visible-heading, allout-open-topic, allout-show-entry)
	(allout-show-children, allout-show-to-offshoot)
	(allout-hide-current-entry, allout-show-current-entry): Rectified
	handling of trailing blank lines between items.

	(allout-line-boundary-regexp, set-allout-regexp, allout-depth)
	(allout-current-depth, allout-unprotected, allout-hidden-p)
	(allout-on-current-heading-p, allout-listify-exposed)
	(allout-chart-subtree, allout-goto-prefix)
	(allout-back-to-current-heading, allout-get-body-text)
	(allout-snug-back, allout-flag-current-subtree, allout-show-all)
	(allout-hide-region-body, allout-toggle-subtree-encryption)
	(allout-encrypt-string, allout-encrypted-key-info)
	(allout-next-topic-pending-encryption, allout-encrypt-decrypted)
	(allout-file-vars-section-data): Adjusted for use with
	invisible-text overlays instead of selective-display.

	(allout-kill-line, allout-kill-topic, allout-yank-processing):
	Reworked for use with invisible text overlays.

	(allout-current-topic-collapsed-p): New function.

	(allout-hide-current-subtree): Use allout-current-topic-collapsed-p
	to know when to close the containing topic.

	(allout-pre-command-business, allout-post-command-business):
	Simplify undo-batching and dynamic isearch exposure.

	(allout-set-overlay-category): New for invisible-text overlays.
	Sets properties of allout-overlay-category, used by
	allout-flag-region to set invisible-text overlay properties.
	(allout-get-invisibility-overlay): Get the first qualifying
	invisibility overlay, so we can find the extent of it.
	(allout-back-to-visible-text): Get to just before the beginnining
	of the current invisibility overlay, if any.

	(allout-overlay-insert-in-front-handler)
	(allout-overlay-interior-modification-handler)
	(allout-before-change-handler, allout-isearch-end-handler): New
	functions to handle extraordinary actions affecting concealed
	text.

	(allout-flag-region): Use overlays instead of selective-display
	for invisible text - by inheritence from the properties of
	allout-overlay-category in mainline Emacs, and applied
	property-by-property in XEmacs, some recent versions of which
	don't inherit the properties from the category.  Provisions to
	respond to concealed-text edits simplified drastically.

	(allout-isearch-rectification, allout-isearch-was-font-lock)
	(allout-isearch-expose, allout-enwrap-isearch)
	(allout-isearch-abort, allout-pre-was-isearching)
	(allout-isearch-prior-pos, allout-isearch-did-quit)
	(allout-isearch-dynamic-expose)
	(allout-hide-current-entry-completely): Functions deleted.

	(allout-undo-aggregation): Explicit undo aggregation no longer
	necessary due to transition away from selective-display.

	(set-allout-regexp, allout-up-current-level)
	(allout-next-visible-heading, allout-forward-current-level)
	(allout-open-topic, allout-reindent-body, allout-rebullet-topic)
	(allout-kill-line, allout-yank-processing, allout-show-children)
	(allout-expose-topic, allout-old-expose-topic)
	(allout-listify-exposed, allout-insert-latex-header)
	(allout-toggle-subtree-encryption, allout-encrypt-string)
	(remove-from-invisibility-spec, allout-hide-current-subtree):
	Ditched unused variables.

2006-02-17  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-change-dictionary): Call
	ispell-buffer-local-dict instead of
	ispell-accept-buffer-local-defs.
	(ispell-local-dictionary-alist): Accept as valid any coding-system
	supported by Emacs.
	(ispell-dictionary-alist-3): Esperanto dictionary's coding system
	changed to iso-8859-3.

2006-02-17  Nick Roberts  <nickrob@snap.net.nz>

	* speedbar.el (speedbar-frame-width): Make an inline function
	instead of a macro.  Use frame-width.
	(speedbar-try-completion, speedbar-update-contents)
	(speedbar-timer-fn): Use consp.
	(speedbar-update-localized-contents): Try to preserve point.

	* progmodes/gdb-ui.el (gdba, gdb-var-list): Improve doc strings.
	(menu): Re-order menu items.
	(gdb-var-update-regexp, gdb-var-update-regexp-1): Match "in_scope"
	field.
	(gdb-var-update-handler-1): Use it for GDB 6.4+.
	(gdb-post-prompt): Speed things by not forcing update.

2006-02-16  Chong Yidong  <cyd@stupidchicken.com>

	* wid-edit.el (widget-button-click): For mouse-1, cancel button
	press and perform default action if we get a mouse movement event.

2006-02-16  Juanma Barranquero  <lekktu@gmail.com>

	* calendar/icalendar.el (icalendar--get-event-property)
	(icalendar--get-event-property-attributes): Fix typos in
	docstrings.

	* progmodes/flymake.el (flymake-fix-file-name): Fix typo in
	docstring.

2006-02-15  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs-mode): Use `buffer-disable-undo'.
	(bs--get-file-name): Simplify.
	(bs-show-in-buffer): Mark the buffer as not modified.

2006-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* wid-edit.el (widget-keymap): Bind down-mouse-1 to
	widget-button-click.

	* cus-edit.el (custom-mode-map): Remove mouse-1 binding.
	(custom-mode): Update docstring.

	* cus-theme.el (custom-new-theme-mode-map): Remove mouse-1
	binding.

	* files.el (hack-local-variables-confirm): Allow scrolling if the
	file variable list is too long.  Kill temp buffer after use.

2006-02-15  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Improve doc string.
	(gdb-script-font-lock-keywords): Expand allowed character set.

	* progmodes/gdb-ui.el (gdb-use-separate-io-buffer)
	(gdb-display-separate-io-buffer, gdb-frame-separate-io-buffer)
	(gdb-separate-io-interrupt, gdb-separate-io-quit)
	(gdb-separate-io-stop, gdb-separate-io-eof):
	Rename from gdb-inferior-* to gdb-separate-*.
	(gdb-set-gud-minor-mode-existing-buffers-1): Improve doc string.

2006-02-14  Jay Belanger  <belanger@truman.edu>

	* calc/calc-arith.el (math-check-known-scalarp): Make sure
	expression is a symbol before checking that it is bound.

	* calc/calcalg2.el (math-integrate-by-parts): Do a more careful
	test to see if equation can be solved.

2006-02-14  Chong Yidong  <cyd@stupidchicken.com>

	* wid-edit.el (widget-button-click): Use :pressed-face property
	for overlay face, if it exists.

	* cus-edit.el (custom-manual, custom-add-see-also)
	(custom-add-parent-links, custom-group-link): Add :pressed-face
	property to links.

	* files.el (hack-local-variables): Remove ignored variables before
	checking if any variables need setting.

2006-02-14  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Add x-gtk-whole-detached-tool-bar.

2006-02-14  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (where-is): Fix message for remapped commands.

	* mwheel.el (mouse-wheel-click-event, mouse-wheel-mode):
	Fix typos in docstrings.

2006-02-13  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (safe-local-variable-values): New option.
	(hack-local-variables-prop-line): Return a list of variable-value
	pairs if MODE-ONLY is non-nil.
	(hack-local-variables): Construct list of variable-value pairs,
	and apply or reject them in one go.  Ask for confirmation if
	variables are not known safe.
	(hack-local-variables-confirm): Complete rewrite.  Support
	`safe-local-variable-values'.
	(enable-local-variables): Update docstring to reflect new
	behavior.
	(ignored-local-variables): Ignore ignored-local-variables and
	safe-local-variable-values.
	(safe-local-variable-p): New function.
	(risky-local-variable-p): `safe-local-variable' property check
	moved to safe-local-variable-p.
	(hack-one-local-variable): Checks moved to hack-local-variables.

	(byte-compile-dynamic, c-basic-offset, c-file-style)
	(c-indent-level, comment-column, fill-column, fill-prefix)
	(indent-tabs-mode, kept-new-versions, no-byte-compile)
	(no-update-autoloads, outline-regexp, page-delimiter)
	(paragraph-start, paragraph-separate, sentence-end)
	(sentence-end-double-space tab-width, version-control):
	Add `safe-local-variable' property.

	* find-lisp.el: Delete nonexistent `autocompile' file variable.

	* icomplete.el, play/landmark.el: Change nonexistent
	`outline-layout' file variable to `allout-layout'.

2006-02-14  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-watch, gdb-invalidate-registers-1)
	(gdb-get-changed-registers): Test value of gud-minor-mode relative
	to gud-comint-buffer.
	(gdb-speedbar-expand-node, gdb-locals-mode): Use functions in
	gdb-ui.el for gdb-mi.el.
	(gdb-post-prompt, gdb-get-changed-registers): Move test for
	registers buffer to gdb-get-changed-registers.
	(gdb-breakpoint-regexp): New regexp.  Allow toggling and
	deletion of catchpoints (throw and catch).
	(gdb-toggle-breakpoint, gdb-delete-breakpoint)
	(gdb-goto-breakpoint): Use it for both gdb-ui and gdb-mi.
	(gdb-find-file-hook, gdb-set-gud-minor-mode-existing-buffers-1)
	(gdb-var-list-children-1, gdb-info-breakpoints-custom)
	(gdb-var-update-1, gdb-invalidate-locals-1): Use also for gdb-mi.

2006-02-13  Jay Belanger  <belanger@truman.edu>

	* calc/calc-arith.el (math-check-known-matrixp): Make sure
	expression is a symbol before checking that it is bound.

2006-02-13  Richard M. Stallman  <rms@gnu.org>

	* mouse.el (mouse-drag-mode-line-1): Use mouse-drag-move-window-bottom
	for the minibuffer too, but not if resize-mini-windows will interfere.

	* help.el (describe-key-briefly, describe-key): Do all arg-reading
	inside `interactive' spec.
	(describe-key-briefly-internal, describe-key-internal):
	Functions merged back into their callers.

2006-02-13  Martin Rudalics  <rudalics@gmx.at>

	* info.el (info-xref-visited): Inherit from info-xref too.
	(Info-set-mode-line): Replace occurrences of `%' by `%%'
	when propertizing Info-current-file and Info-current-node.

2006-02-13  Juri Linkov  <juri@jurta.org>

	* tumme.el (tumme-thumbnail-storage): Fix docstring.
	(tumme-thumb-name): Fix per-directory format.

2006-02-13  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (substitute-key-definition): Doc fix (hide internal arg).

2006-02-12  Miles Bader  <miles@gnu.org>

	* net/rcirc.el (rcirc-format-response-string): Fix small bugs.

2006-02-13  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el: Remove history section.  If someone needs the it, it
	can always be found in CVS.

2006-02-12  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-thumbnail-storage): Update docstring.  Add info
	about the Thumbnail Managing Standard option.

2006-02-12  Richard M. Stallman  <rms@gnu.org>

	* subr.el (substitute-key-definition): Doc fix.

	* simple.el (blink-matching-paren-dont-ignore-comments): Doc fix.

	* files.el (magic-mode-alist): Don't use `\\s ' in regexps.

	* info.el (Info-mode): Doc fix.

	* progmodes/ebrowse.el (ebrowse-global-prefix-key): Change to C-c C-m.

2006-02-12  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-remote-path): Add "/usr/xpg4/bin" on top,
	because on Solaris a POSIX compatible "id" is needed.  Reported by
	Magnus Henoch <mange@freemail.hu>.

2006-02-12  Juri Linkov  <juri@jurta.org>

	* tumme.el: Remove todo item about Thumbnail Managing Standard.
	(tumme) <defgroup>: Change :group to `multimedia'.
	(tumme-thumbnail-storage): Add choice `standard' for Thumbnail
	Managing Standard.
	(tumme-cmd-create-thumbnail-options): Use %w and %h instead of %s.
	Fix dostring.
	(tumme-cmd-create-temp-image-options): Use %w and %h instead of %x
	and %y.  Fix docstring.
	(tumme-cmd-pngnq-program, tumme-cmd-pngcrush-program)
	(tumme-cmd-create-standard-thumbnail-command): New user options.
	(tumme-thumb-size): Set default to 128 if tumme-thumbnail-storage
	is `standard'.  Fix docstring.
	(tumme-thumb-width, tumme-thumb-height): New user options.
	(tumme-external-viewer): Try to find various viewers.
	(tumme-get-thumbnail-image): Use `create-image' instead of
	constructing the `image' structure.
	(tumme-insert-thumbnail): Use `png' if tumme-thumbnail-storage is
	`standard'.
	(tumme-thumb-name): Add file name generation for standard storage.
	Simplify code for other storages.
	(tumme-thumb-name): Use width %w and height %h instead of size %s.
	Add modification time %m and thumbnail-nq8 %q.
	Use `tumme-cmd-create-standard-thumbnail-command' if
	tumme-thumbnail-storage is `standard'.
	(tumme-dired-insert-marked-thumbs): New autoload command.
	(tumme-dired-after-readin-hook): New function.
	(tumme-line-up-dynamic): Use `tumme-thumb-width' instead of
	`tumme-thumb-size'.
	(tumme-display-image): Replace size-x %x and size-y %y with
	width %w and height %h.

	* dired.el (dired-mode-map): Bind `\C-t\C-t' to
	`tumme-dired-insert-marked-thumbs'.

2006-02-12  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-write-tag): Fix small bug (file name did not
	include path).
	(tumme-mark-tagged-files): Fix bug in regexp used to find rows
	matching tag.

2006-02-12  Miles Bader  <miles@gnu.org>

	* net/rcirc.el (rcirc-nick-abbrevs, rcirc-response-formats):
	New variables.
	(rcirc-abbrev-nick): New function.
	(rcirc-format-response-string): Rewrite to use the formats in
	`rcirc-response-formats' and expand escape sequences therein.
	A text-property `rcirc-text' is added over the actual response
	text to make easy to find inside the returned string.
	(rcirc-print): When filling, just look for the `rcirc-text'
	text-property to find the appropriate fill prefix, instead of
	using hardwired patterns.

2006-02-11  Mathias Dahl  <brakjoller@hotmail.com>

	* tumme.el: Enhance some docstrings.  Add todo item about Thumbnail
	Managing Standard.

2006-02-11  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-buffer-internal): Set mark for ido-insert-buffer.
	Don't use insert-buffer; do insert-buffer-substring directly.
	(ido-file-internal): Set mark for ido-insert-file.  Use insert-file-1.

2006-02-11  Martin Rudalics  <rudalics@gmx.at>

	* files.el (revert-buffer, recover-file): Replace buffer-read-only
	with inhibit-read-only.  Suggested by Stefan Monnier.
	(revert-buffer): Let insert-file-contents discard
	buffer-undo-list.  Simplify code.
	(find-file, find-file-existing, revert-buffer): Doc-string fixes.

2006-02-11  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-select-yank): Add a doc string.

	* help.el (describe-key-briefly): Now a wrapper for
	describe-key-briefly-internal.  Bind enable-disabled-menus-and-buttons
	to t.  Populate yank-menu if empty.
	(describe-key-briefly-internal): Renamed from describe-key-briefly.
	(describe-key): Now a wrapper for describe-key-internal.  Bind
	enable-disabled-menus-and-buttons to t.  Populate yank-menu if empty.
	(describe-key-internal): Renamed from describe-key.

2006-02-11  Milan Zamazal  <pdm@zamazal.org>

	* progmodes/glasses.el (glasses-separator): Doc fix.
	(glasses-original-separator): New defcustom.
	(glasses-make-readable, glasses-convert-to-unreadable): Use it.

2006-02-11  Martin Rudalics  <rudalics@gmx.at>

	* mwheel.el (mouse-wheel-up-event): Doc fix.

2006-02-11  Mathias Dahl  <brakjoller@hotmail.com>

	* tumme.el (tumme-dir): Change default value to "~/.emacs.d/tumme/".
	(tumme-dir): New function.  Copied from thumbs.el.

2006-02-10  Juanma Barranquero  <lekktu@gmail.com>

	* desktop.el (desktop-outvar): Fix typo.
	(desktop-save-buffer-p): Doc fix.

	* subr.el (substitute-key-definition): Fix typo.

2006-02-10  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* frame.el (select-frame-set-input-focus): Call x-focus-frame also
	when window-system is mac.

	* term/mac-win.el (fontset-standard): Rename from "fontset-mac".

2006-02-10  Kim F. Storm  <storm@cua.dk>

	* subr.el (substitute-key-definition-key): Pass t for NOERROR to
	indirect-function instead of using condition-case.

2006-02-10  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-copy-with-exif-file-name): Try to make docstring
	less `colloquial'...

2006-02-09  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el: Add a couple of todo items.

2006-02-09  Lars Hansen  <larsh@soem.dk>

	* hilit-chg.el: Add highlight-changes-mode to desktop-locals-to-save.
	(highlight-changes-mode): Don't change desktop-locals-to-save.

2006-02-09  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-toggle-display): Clear image cache if using
	filename.

2006-02-09  Masatake YAMATO  <jet@gyve.org>

	* dired-x.el (dired-guess-shell-alist-default): Add .man as
	a `dired-man' target.

	* progmodes/autoconf.el (autoconf-font-lock-keywords): Check start
	boundary of symbols.

2006-02-08  Peter Doornbosch  <peter.doornbosch@luminis.nl>  (tiny change)

	* vc-svn.el (vc-svn-print-log): Show recent commits as well.

2006-02-09  Juanma Barranquero  <lekktu@gmail.com>

	* hilit-chg.el (hilit-chg-update-all-buffers): Use `mapc' instead of
	`mapcar'; return nil.

2006-02-08  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-drag-track): Don't change window if we rebind to
	some other event.

2006-02-08  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-startup-channels-alist):
	Add irc.freenode.net and #emacs as defaults.
	(rcirc-ignore-all-activity-flag): Remove variable.
	(rcirc-authinfo): New variable.
	(rcirc-authinfo-filename): Remove variable.
	(rcirc-always-use-server-buffer-flag): New flag.
	(rcirc): M-x rcirc will automatically connect without prompting.
	C-u M-x rcirc will prompt.  Use rcirc-connect to create a
	connection in lisp.
	(rcirc-process-server-response-1): Remove everything but the nick
	portion of the sender so it doesn't need to be done everywhere
	else.  Update related code.
	(global-map): Remove global keybindings.
	(rcirc-get-buffer-create): Make sure rcirc-topic is set.
	(rcirc-send-input): Split into several functions.
	(rcirc-process-input-line, rcirc-process-message)
	(rcirc-process-command): New functions.
	(rcirc-target-buffer): New function to determine where to route
	messages.
	(rcirc-user-nick): Save match data.
	(rcirc-toggle-ignore-buffer-activity)
	(rcirc-update-activity-string): Remove global ignore functionality,
	which can be done now by toggling rcirc-track-minor-mode.
	(rcirc-track-minor-mode-map): New keymap.
	(rcirc-track-minor-mode): New minor-mode.
	(ignore): Make the ignore output nicer.  Always print it when
	adding or removing nicks.
	(rcirc-url-regexp): Improve.
	(rcirc-mangle-text): Remove properties before using text in the
	modeline.
	(rcirc-authenticate): Authentication data comes from
	rcirc-authinfo, not the file pointed to by rcirc-authinfo-file.
	(rcirc-server-prefix): Inherit from rcirc-server.

2006-02-08  Mathias Megyei  <Mathias.Megyei@micronas.com>  (tiny change)

	* Makefile.in (compile): Append "|| true" to the end of the `find'
	command, like compile-always does.

2006-02-08  Sam Steingold  <sds@gnu.org>

	* net/tramp.el (tramp-maybe-open-connection): Do not wait for
	output from a dead connection.

2006-02-07  Mathias Dahl  <brakjoller@hotmail.com>

	* dired.el (dired-mode-map): Add more bindings for tumme.

2006-02-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* wdired.el (wdired-mode-map): Use remap.
	(wdired-get-filename): Massage.
	(wdired-perm-mode-map): Don't copy bindings from wdired-mode-map.
	(wdired-preprocess-perms, wdired-set-bit, wdired-toggle-bit): Use the
	`keymap' property rather than `local-map'.

2006-02-07  Mathias Dahl  <brakjoller@hotmail.com>

	* tumme.el (tumme-get-thumbnail-image): New utility function.
	Suggested by from Chong Yidong.
	(tumme-dired-with-window-configuration): Rename from
	`tumme-dired'.  Add code to save window configuration.
	(tumme-restore-window-configuration): New command to restore the
	window configuration that `tumme-dired-with-window-configuration'
	saves before it changes the window configuration.
	(tumme-show-all-from-dir): New command to display thumbnails for
	all files in a directory entered by the user, like M-x thumbs.
	(tumme-display-thumbs): Call `pop-to-buffer' after all thumbnails
	have been created.
	(tumme-display-thumbnail-original-image): Call `display-buffer'.
	(obsolete-tumme-display-thumbnail-original-image-and-buffer):
	Remove obsolete test function.

2006-02-07  Juanma Barranquero  <lekktu@gmail.com>

	* vc.el (small-temporary-file-directory): Remove defvar; there's
	a defcustom for it in files.el.

	* tumme.el (tumme-get-thumbnail-image): Add missing arg to `error'.
	Fix typo in message.
	(tumme-gallery-generate): Fix typo in `error' message.
	(tumme-display-window-height-correction)
	(tumme-display-window-width-correction, tumme-line-up-dynamic)
	(tumme-line-up-interactive): Dox fixes.
	(tumme-cmd-rotate-original-options, tumme-display-properties-format)
	(tumme-restore-window-configuration, tumme-format-properties-string)
	(tumme-create-thumbs, tumme-display-previous-thumbnail-original):
	Fix typos in docstrings.

2006-02-07  Chris Moore  <christopher.ian.moore@gmail.com>  (tiny change)

	* wdired.el (wdired-get-filename): Fix bug: Don't re-normalize OLD.

2006-02-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-tooltip-mode): Remove autoload cookie.
	User should use hook if desired.

	* progmodes/gdb-ui.el (gdb-post-prompt): Regenerate breakpoints
	buffer if necessary.
	(gdb-delete-frame-or-window): New function.
	(gdb-breakpoints-mode-map): Bind "q" to it.

2006-02-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/nroff-mode.el: Clean up name space.
	(nroff-mode-syntax-table): Remove spurious `1' in the syntax of \n.
	(nroff-mode): Obey the global setting of nroff-electric-mode.
	(nroff-electric-mode): Use define-minor-mode and derived-mode-p.

	* calendar/calendar.el (calendar-increment-month): Typo in last change.

2006-02-06  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc-svn.el (vc-svn-previous-version, vc-svn-next-version): New funcs.

2006-02-06  Lars Hansen  <larsh@soem.dk>

	* generic-x.el (etc-fstab-generic-mode): Add file system types
	cifs and usbdevfs.  Allow special chars in file names.

2006-02-05  Jay Belanger  <belanger@truman.edu>

	Update copyright notices of the files in lisp/calc.

2006-02-05  Romain Francoise  <romain@orebokech.com>

	Update copyright notices of all files in the lisp/play directory.

2006-02-04  Luc Teirlinck  <teirllm@auburn.edu>

	* ldefs-boot.el: Regenerate.

	* emacs-lisp/find-func.el (find-definition-noselect): Minor doc fix.

2006-02-05  Kim F. Storm  <storm@cua.dk>

	* files.el (magic-mode-regexp-match-limit): New defvar.
	(set-auto-mode): Use it to limit magic-mode-alist matching.

2006-02-04  Kevin Rodgers  <ihs_4664@yahoo.com>

	* simple.el (display-message-or-buffer): Compare the number of
	characters to the frame width when determining whether a 1-line
	message string will fit in the echo area.  Count screen lines
	instead of buffer lines when determining whether a multi-line
	message will fit in the echo area/minibuffer window.

2006-02-04  Eli Zaretskii  <eliz@gnu.org>

	* info.el (Info-index, Info-mode): Improve the description of the
	`i' command.

	* ldefs-boot.el: Regenerate.

2006-02-03  Werner Lemberg  <wl@gnu.org>

	* textmodes/nroff-mode.el (nroff-font-lock-keywords): Don't be
	greedy to find the closing bracket in \*[...] and similar
	expressions.  This is a first rough fix -- many additional
	refinements are necessary to make nroff mode really usable with groff.

2006-02-03  Jens Petersen  <petersen@redhat.com>  (tiny change)

	* international/mule-cmds.el (set-locale-environment):
	Add "/usr/share/X11/locale/locale.alias" to search list for xorg-x11
	libX11.

2006-02-03  Joe Wells  <jbw@macs.hw.ac.uk>  (tiny change)

	* arc-mode.el (archive-maybe-copy): Fix the way directories in the
	archive are created in archive-tmpdir.

2006-02-02  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer-compressed-file-name-regexp): New defcustom.
	(ibuffer-fontification-alist): Use it.
	(ibuffer-mode-map): Bind `ibuffer-mark-compressed-file-buffers'
	to "* z" and the Ibuffer Mark menu.

	* ibuf-ext.el (ibuffer-mark-compressed-file-buffers): New command.

2006-02-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/table.el (*table--cell-describe-mode)
	(*table--cell-describe-bindings): Undo last change since
	print-help-return-message is not obsoleted by anything at all.

2006-02-02  Luc Teirlinck  <teirllm@auburn.edu>

	* emulation/cua-base.el (cua-mode): Doc fix.

2006-02-02  Juanma Barranquero  <lekktu@gmail.com>

	* dframe.el (dframe-handle-make-frame-visible)
	(dframe-handle-iconify-frame, dframe-get-focus)
	(dframe-select-attached-frame, dframe-power-click)
	(dframe-frame-mode): Fix typos in docstrings.

	* ezimage.el (ezimage-mail, ezimage-object-out-of-date)
	(ezimage-insert-image-button-maybe, ezimage-insert-over-text):
	Fix typos in docstrings.

	* hi-lock.el (hi-lock-mode, hi-lock-line-face-buffer)
	(hi-lock-face-buffer, hi-lock-font-lock-hook)
	(hi-lock-archaic-interface-message-used)
	(hi-lock-file-patterns-range): Fix typos in docstrings.

	* savehist.el (savehist-loaded, savehist-load, savehist-install)
	(savehist-autosave, savehist-trim-history): Fix typos in docstrings.

	* mail/mailclient.el (mailclient-place-body-on-clipboard-flag):
	Fix typo in docstring.

	* net/newsticker.el (newsticker--decode-iso8601-date)
	(newsticker--set-customvar, newsticker--buffer-insert-item)
	(newsticker--do-run-auto-mark-filter)
	(newsticker--parse-generic-feed): Doc fixes.
	(newsticker--retrieval-timer-list, newsticker-url-list)
	(newsticker-hide-immortal-items-in-echo-area)
	(newsticker-hide-obsolete-items-in-echo-area)
	(newsticker-new-item-face, newsticker--enclosure)
	(newsticker-buffer-update, newsticker-w3m-show-inline-images)
	(newsticker--parse-atom-0.3, newsticker--parse-rss-1.0)
	(newsticker--parse-generic-feed, newsticker--cache-contains)
	(newsticker--stat-num-items, newsticker-download-enclosures):
	Fix typos in docstrings.

	* net/rcirc.el (rcirc-debug): Doc fix.
	(rcirc-fill-column, rcirc-receive-message-hooks)
	(rcirc-browse-url-map, rcirc-read-only-flag, rcirc-prompt)
	(rcirc-mode, rcirc-generate-new-buffer-name)
	(rcirc-startup-channels, rcirc-ignore-update-automatic)
	(rcirc-cmd-ignore, rcirc-browse-url, rcirc-url-regexp):
	Fix typos in docstrings.
	(rcirc-print): "?\ " -> "?\s".
	(rcirc-cmd-join): Improve argument/docstring consistency.

2006-02-01  Mark A. Hershberger  <mah@everybody.org>

	* xml.el (xml-parse-region): Move save-excursion and set-buffer up
	before narrow-to-region.

2006-02-01  Richard M. Stallman  <rms@gnu.org>

	* simple.el (move-beginning-of-line): Scan properly for invis change.

	* replace.el (multi-occur-in-matching-buffers): Fix prev change.

2006-02-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-convert-file-attributes): Set file's gid
	change bit only when id-format is 'integer.  Reported by Matt
	Hodges <M.P.Hodges@rl.ac.uk>.

2006-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* hilit-chg.el (highlight-changes-initial-state)
	(highlight-changes-global-initial-state): Doc fixes.
	(highlight-changes-global-modes, global-highlight-changes):
	Fix typos in docstrings.

2006-02-01  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-mode): Mention that CUA enables
	transient-mark-mode in doc string.

2006-01-31  Richard M. Stallman  <rms@gnu.org>

	* replace.el (multi-occur): Doc fix.
	(multi-occur-in-matching-buffers): Rename from
	multi-occur-by-filename-regexp.  Prefix arg says match
	buffer names instead of file names.

2006-01-31  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el: Allow non-default values of `bs-header-lines-length'.
	(bs--running-in-xemacs): Remove (not needed anymore).
	(bs--set-window-height): Simplify by using `fit-window-to-buffer'
	instead of `shrink-window', thus avoiding having to compute the
	height of the window.
	(bs--up): Wrap around even when there's no header.
	(bs--down): Use `forward-line' instead of `next-line'.

2006-01-30  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-toggle-display): Use file name if possible,
	instead of unnecessarily allocating a (possibly huge) lisp string.

2006-01-30  John Paul Wallington  <jpw@pobox.com>

	* subr.el (toplevel): Define `cl-assertion-failed' condition here
	because the `assert' macro signals it at runtime.

	* emacs-lisp/cl.el (toplevel): Remove definition of
	`cl-assertion-failed' condition.

2006-01-30  Nick Roberts  <nickrob@snap.net.nz>

	* thumbs.el (thumbs-marked-list): Make buffer-local and
	permanent-local.
	(thumbs-insert-thumb): Make help-echo non-sticky.
	(thumbs-file-alist): Use eolp as check for (non)-image.

2006-01-30  Juanma Barranquero  <lekktu@gmail.com>

	* ediff-mult.el (ediff-meta-buffer-keymap-setup-hook)
	(ediff-before-session-group-setup-hooks)
	(ediff-default-filtering-regexp, ediff-meta-mark-equal-files):
	Fix typos in docstrings.

	* window.el (bw-dir, bw-eqdir, balance-windows)
	(split-window-keep-point): Fix typos in docstrings.

	* textmodes/org.el (org-allow-space-in-links, org-closed-string)
	(org-quote-string, org-calendar-to-agenda-key)
	(org-agenda-sorting-strategy, org-agenda-use-time-grid)
	(org-show-following-heading, org-tags-column)
	(org-use-tag-inheritance, org, org-allow-space-in-links)
	(org-usenet-links-prefer-google, org-file-apps-defaults-gnu)
	(org-enable-table-editor, org-calc-default-modes)
	(org-table-allow-automatic-line-recalculation)
	(org-export-html-style, org-export-with-fixed-width)
	(org-export-with-sub-superscripts, org-special-keyword)
	(org-formula, org-time-grid, org-table-may-need-update)
	(org-mode, org-goto-ret, org-goto-left, org-goto-right)
	(org-goto-quit, org-get-indentation, org-end-of-item)
	(org-move-item-down, org-move-item-up)
	(org-renumber-ordered-list, org-todo, org-log-done, org-occur)
	(org-remove-occur-highlights, org-read-date, org-goto-calendar)
	(org-agenda, org-agenda-day-view, org-agenda-previous-date-line)
	(org-agenda-log-mode, org-agenda-toggle-diary)
	(org-agenda-toggle-time-grid, org-agenda-cleanup-fancy-diary)
	(org-agenda-file-to-end, org-agenda-no-heading-message)
	(org-agenda-get-closed, org-format-agenda-item)
	(org-cmp-priority, org-cmp-category, org-cmp-time)
	(org-agenda-change-all-lines, org-agenda-diary-entry)
	(org-scan-tags, org-after-todo-state-change-hook, org-tags-view)
	(org-link-search, org-camel-to-words, org-open-file)
	(org-remember-handler, org-table-convert-region)
	(org-table-move-row-down, org-table-move-row-up)
	(org-table-copy-region, org-table-wrap-region)
	(org-table-toggle-vline-visibility)
	(org-table-get-vertical-vector, org-table-modify-formulas)
	(org-table-get-specials, org-recalc-commands)
	(org-table-rotate-recalc-marks, org-table-eval-formula)
	(orgtbl-make-binding, org-in-invisibility-spec-p, org-cycle)
	(org-level-color-stars-only, org-insert-heading):
	Fix typos in docstrings.
	(last-arg): Add defvar.

	* makefile.w32-in (WINS): Add erc.
	(MH_E_SRC): Update (copied from lisp/Makefile.in).

2006-01-29  Bill Wohler  <wohler@newt.com>

	* Makefile.in (MH_E_SRC): Add mh-compat.el, mh-folder.el,
	mh-letter.el, mh-limit.el, mh-scan.el, mh-show.el, mh-thread.el,
	mh-tool-bar.el, mh-xface.el.  Remove mh-customize.el, mh-init.el.
	(mh-autoloads): Don't use comments on otherwise empty lines.

2006-01-29  Edward O'Connor  <ted@oconnor.cx>

	* emulation/viper.el (viper-major-mode-modifier-list): Add
	insert-state and vi-state entries for erc-mode.
	(viper-go-away, viper-set-hooks): Add and remove
	viper-comint-mode-hook from erc-mode-hook as appropriate.

	* emulation/viper.el (viper-insert-state-mode-list): Add erc-mode.

2006-01-29  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--format-aux): Implement `middle' alignment as
	described in the docstring for `bs-attributes-list'.
	(bs--get-name): Simplify.  Don't pad the buffer name.

2006-01-27  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-find-aspell-dictionaries): If no
	English aspell dictionary is installed, use the first entry of
	ispell-dictionary-alist-1.

2006-01-27  Kevin Rodgers  <ihs_4664@yahoo.com>

	* textmodes/flyspell.el (flyspell-incorrect, flyspell-duplicate):
	Doc fix.

2006-01-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-vc.el (vc-user-login-name): Wrap defadvice with a test
	for `process-file', in order to let it work for older Emacsen too.

2006-01-27  Eli Zaretskii  <eliz@gnu.org>

	* international/latexenc.el: Add a suitable `coding:' tag.
	(latexenc-find-file-coding-system): Undo last change.

2006-01-27  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* international/latexenc.el (latexenc-find-file-coding-system):
	Make sure latexenc-main-file is a regular file and is readable.

2006-01-27  Andre Spiegel  <spiegel@gnu.org>

	* vc-rcs.el (vc-rcs-fetch-master-state, vc-rcs-consult-headers):
	Pass FILE to vc-user-login-name.

	* vc-sccs.el (vc-sccs-state): Pass FILE to vc-user-login-name.

2006-01-27  Nick Roberts  <nickrob@snap.net.nz>

	* thumbs.el (thumbs-do-thumbs-insertion): Suppress message when
	there are no more images to display.
	(thumbs-mark, thumbs-unmark): Revert change so that they move to
	the next image.

2006-01-26  Richard M. Stallman  <rms@gnu.org>

	* cus-edit.el (custom-mode): Doc: Use advertised-widget-backward.

	* wid-edit.el (advertised-widget-backward): New alias.
	(widget-keymap): Use advertised-widget-backward for S-TAB.

	* tumme.el: Correct the keywords.
	(tumme-dir-max-size): Use defvar.
	(tumme-setup-dired-keybindings, tumme-dired): Add autoload cookie.

	* simple.el (move-beginning-of-line): Take account of fields.
	(clone-indirect-buffer-other-window): Take args like
	clone-indirect-buffer, and work like it.

	* help-fns.el (describe-function): Don't pass `nil' as default.

	* files.el (risky-local-variable-p): Follow var aliases.

	* subr.el (lazy-completion-table): Doc fix.

	* mail/rmailsum.el (rmail-make-summary-line-1): Don't set
	global binding of `line'.

2006-01-25  Andre Spiegel  <spiegel@gnu.org>

	* vc-hooks.el (vc-user-login-name): Rewritten to handle access via
	Tramp.

	* vc.el (vc-default-dired-state-info): Pass FILE to
	vc-user-login-name.
	(vc-default-update-changelog): Don't use vc-user-login-name, we
	don't need it here.

	* net/tramp-vc.el (vc-user-login-name): Comment out defadvice, it is
	no longer necessary.

2006-01-25  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (decode-char): Avoid the overhead of
	calling utf-lookup-subst-table-for-decode if
	utf-translate-cjk-mode is nil.
	(encode-char): Avoid the overhead of calling
	utf-lookup-subst-table-for-encode if utf-translate-cjk-mode is
	nil.

2006-01-22  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (make-subsidiary-coding-system): Reset
	`coding-system-define-form' property of subsidiaries to nil.
	Avoid duplicated entry in coding-system-alist.
	(make-coding-system): Avoid duplicated entry in
	coding-system-alist.
	(define-coding-system-alias): Likewise.

2006-01-24  Luc Teirlinck  <teirllm@auburn.edu>

	* completion.el: Minor fixes in introductory comment.
	(completion-def-wrapper): Fix alist.

2006-01-25  Nick Roberts  <nickrob@snap.net.nz>

	* thumbs.el (thumbs-new-image-size): New function.
	(thumbs-increment-image-size-element)
	(thumbs-decrement-image-size-element, thumbs-increment-image-size)
	(thumbs-decrement-image-size): Delete.
	(thumbs-resize-image-1): Rename from thumbs-resize-image.  Keep old
	temp files and use to resize.
	(thumbs-resize-image): Rename from thumbs-resize-image-interactive.
	Use increment argument to enlarge/shrink.  Preserve point.
	(thumbs-shrink-image): Rename from thumbs-resize-image-size-down.
	(thumbs-enlarge-image): Rename from thumbs-resize-image-size-up
	(thumbs-show-thumbs-list): Set thumbs-buffer to current-buffer.
	(thumbs-mark, thumbs-unmark): Preserve point.
	(thumbs-modify-image): Keep old temp files and use to modify.
	Cleanup old temp files at load time.  Preserve point.
	(thumbs-view-image-mode-map): Use new command names.

2006-01-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* log-view.el (log-view-minor-wrap): First rev is the one at point.

	* calendar/cal-menu.el: Avoid macros from calendar.el so as to break
	the nastiest part of the cyclic dependency.
	(cal-menu-update): Use dotimes and calendar-increment-month.

	* calendar/calendar.el: Remove unnecessary leading stars in docstrings.
	(calendar-week-start-day): Add an :initializer.
	(calendar-mode-map): Use suppress-keymap, and command remapping.
	(describe-calendar-mode): Setup xref-stack info for the back button.
	(calendar-star-date): Insert before delete.
	(calendar-set-mode-line): Add file-modified info if applicable.
	(calendar-increment-month): New function.

2006-01-24  Tobias C. Rittweiler  <tcr@freebits.de>  (tiny change)

	* font-lock.el (lisp-font-lock-keywords-2):
	Recognize "& keywords" only at word boundaries.

2006-01-24  Nick Roberts  <nickrob@snap.net.nz>

	* thumbs.el (thumbs-extra-images): New variable.  Make it buffer-local
	and permanent-local.
	(thumbs-max-image-number): New variable.
	(thumbs-do-thumbs-insertion): Use them.
	(thumbs-per-line): Change default to 4.
	(thumbs-marked-list): Rename from thumbs-markedL.
	(thumbs-cleanup-thumbsdir, thumbs-delete-images)
	(thumbs-rename-images): Use -list instead of L for internal variables.
	(thumbs-call-convert): Use call-process instead of shell-command.
	(thumbs-insert-thumb): Add filename as help-echo to each image.
	(thumbs-show-from-dir): Rename from thumbs-show-all-from-dir.
	Give dir to thumbs-show-thumbs-list.
	(thumbs-show-thumbs-list): Set default-directory to that of images.
	(thumbs-dired-show): Rename from thumbs-dired-show-all.
	(thumbs-display-thumbs-buffer, thumbs-show-more-images): New functions.
	(thumbs-mode-map): Bind "+" to thumbs-show-more-images.
	(thumbs-view-image-mode-map): Bind "^" to thumbs-display-thumbs-buffer.

2006-01-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ses.el (ses-read-cell): Provide a default value.

2006-01-23  Juanma Barranquero  <lekktu@gmail.com>

	* term/w32-win.el (image-library-alist): Add additional names for
	GIF library.

2006-01-23  Arne J,Ax(Brgensen  <arne@arnested.dk>

	* international/latexenc.el (latexenc-find-file-coding-system):
	Add file-regular-p check.

2006-01-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (clone-buffer): Don't show the new buffer in the same
	window.

2006-01-23  Juri Linkov  <juri@jurta.org>

	* faces.el (link, link-visited): New faces based on default values
	of `info-xref' and `info-xref-visited'.

	* info.el (info-xref): Inherit from `link'.
	(info-xref-visited): Inherit from `link-visited'.

	* cus-edit.el (custom-buffer-create-internal): Use widget type
	`custom-manual' instead of `info-link' and don't set properties
	`button-face' and `mouse-face' explicitly.
	(custom-browse-group-tag, custom-browse-variable-tag)
	(custom-browse-face-tag): Inherit from widget class
	`custom-group-link' instead of `push-button'.
	(custom-button-unraised): Inherit from `underline' face.
	(custom-link): Inherit from `link' face.  Fix doc and group.
	(custom-add-parent-links, custom-group-value-create): Don't set
	properties `button-face' and `mouse-face' explicitly for
	`custom-group-link' widget.
	(custom-group-link): Add properties `button-face' and `mouse-face'
	to widget definition.
	(custom-field-keymap): New variable.  Put `custom-field-keymap' to
	editable-field's :keymap property.
	(custom-mode): Fix docstring: substitute keybindings for
	`widget-forward' and `widget-backward' from `widget-keymap',
	`widget-complete' from `custom-field-keymap', replace old
	`Custom-move-and-invoke' with `widget-move-and-invoke'.  Untabify.

	* desktop.el (desktop-load-file): Check for `fboundp' before
	calling `symbol-function'.

	* simple.el (clone-buffer, clone-indirect-buffer)
	(clone-indirect-buffer-other-window): Use `read-buffer' instead of
	`read-string'.  Fix prompts.

	* play/doctor.el (doctor-mode-map): Rename from `doc-mode-map'.

2006-01-23  Nick Roberts  <nickrob@snap.net.nz>

	* thumbs.el (thumbs-file-alist): Avoid creating duplicate entries.

2006-01-22  Luc Teirlinck  <teirllm@auburn.edu>

	* startup.el (inhibit-splash-screen, initial-scratch-message):
	Doc fixes.

2006-01-22  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.52.

	* net/tramp.el, net/tramp-ftp.el, net/tramp-util.el,
	net/tramp-vc.el: Add code for unloading Tramp.  See comment before
	`tramp-unload-tramp' for checklist.

	* net/tramp.el: Require `timer-funcs' instead of `timer' if in
	XEmacs.  Contributed by Steve Youngs <steve@sxemacs.org>.
	(tramp-unload-file-name-handler-alist)
	(tramp-unload-tramp): New defuns.
	(tramp-advice-PC-expand-many-files): New defadvice.
	(tramp-save-PC-expand-many-files, tramp-setup-complete) Defuns
	removed.
	(tramp-handle-expand-file-name): Remove double slash.
	(tramp-handle-file-attributes-with-ls): Return t as 9th attribute.
	It doesn't matter, because it will be converted later on.
	(tramp-handle-file-ownership-preserved-p): Rewritten.  The old
	implementation was just heuristic.
	(tramp-post-connection): Set uid and gid properties.
	(tramp-convert-file-attributes): Set file's gid change bit.
	(tramp-get-remote-uid, tramp-get-remote-gid): New defuns.
	(tramp-handle-expand-file-name): Use "~root" for tilde expansion
	in case of su(do)? methods.  The home directory of the local user
	will be taken else.
	(tramp-open-connection-telnet)
	(tramp-open-connection-rsh, tramp-open-connection-su)
	(tramp-open-connection-multi): Set PS1 to "$ ".  Otherwise, a
	local shell prompt could hurt.  Reported by Romain Francoise
	<romain@orebokech.com>.
	(tramp-let-maybe): Add `edebug-form-spec' property.
	(tramp-handle-expand-file-name): Bind `default-directory' locally
	to "/" in order to avoid problems with UNC shares or Cygwin
	mounts.
	(tramp-md5-function): Fix typo in error message.

	* net/tramp-ftp.el (tramp-ftp-enable-ange-ftp): New defun.

	* net/tramp-util.el (top): Apply `ignore' instead of `identity'
	for byte-compiler pacification.

2006-01-22  Andre Spiegel  <spiegel@gnu.org>

	* vc-rcs.el (vc-rcs-state-heuristic): Use file-attributes with
	ID-FORMAT `string'.  This allows us to get rid of
	`vc-user-login-name UID'.

	* vc-sccs.el (vc-sccs-state-heuristic): Likewise.

2006-01-22  John Paul Wallington  <jpw@pobox.com>

	* hl-line.el (hl-line-highlight, hl-line-move): Doc fixes.

2006-01-21  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/find-func.el (find-definition-noselect)
	(find-variable-noselect): Search variables in C source code too.
	(find-function-C-source, find-function-noselect, find-function)
	(find-function-other-frame, find-variable-noselect, find-variable)
	(find-variable-other-frame, find-variable-at-point):
	Fix docstrings.

2006-01-21  Francesco Potorti`  <pot@gnu.org>

	* mail/rmailout.el (rmail-output): Don't use content-type if it is nil.

2006-01-21  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-emacs-popup, flypell-xemacs-popup):
	Default to disabling the "Save affix" question.

2006-01-21  Marien Zwart  <marienz@gentoo.org>  (tiny change)

	* progmodes/python.el (python-mode) <eldoc-mode-hook>: Pass nil as
	the first arg to run-python.

2006-01-21  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (command-line-1): Handle --no-desktop if desktop.el
	is not loaded.

2006-01-20  Jay Belanger  <belanger@truman.edu>

	* calc/calcalg2.el (calc-sum-rec): Fix the sum when the lower
	limit is 0.

	* calc/calc-arith.el (math-add-symb-fancy): Check the length of
	the correct variable.

2006-01-20  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-open-at-point): Fixed bug with matching a
	link.  Fixed buggy argument sequence in call to `org-view-tags'.
	(org-compile-prefix-format): Set `org-prefix-has-tag'.
	(org-prefix-has-tag): New variable.
	(org-format-agenda-item): Remove tags from headline if
	appropriate.
	(org-agenda-remove-tags-when-in-prefix): New option.
	(org-get-tags-at): New function.

2006-01-20  Nick Roberts  <nickrob@snap.net.nz>

	* thumbs.el (thumbs-buffer): New variable.  Make it buffer local.
	(thumbs-find-image): Move image name and number from buffer name
	to mode name.  Set thumbs-buffer.  Preserve point so that large
	images remain visible.
	(thumbs-file-alist): Construct list in thumbs-buffer and reverse
	order.
	(thumbs-show-image-num): Get image from thumbs-file-alist.  Set
	mode name.
	(thumbs-next-image, thumbs-previous-image): Make them work.

2006-01-19  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (custom-buffer-create-internal): State in the text above
	the whole buffer buttons that they do not operate on hidden items.
	(custom-face-menu): Use `custom-face-save' instead of
	`custom-face-save-command'.
	(custom-face-save-command): Make it an alias for `custom-face-save'
	and declare it obsolete.
	(custom-face-save): Doc fix.

	* dired.el (dired-no-confirm): Add quote.
	(dired-subdir-alist-pre-R): Add quote in
	`make-variable-buffer-local' form and remove unbalanced parenthesis.

2006-01-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/table.el (table-mode-indicator): Typo in last change.

2006-01-19  Richard M. Stallman  <rms@gnu.org>

	* outline.el (hide-leaves): Don't call outline-end-of-heading.
	Fixes bug reported in Nov 2005.

	* isearch.el (isearch-forward): Doc fix.

	* dired.el (dired-move-to-filename-regexp): Define as alias.
	(dired-no-confirm): Use defcustom.
	(dired-subdir-alist-pre-R): Put defvar at top level.

	* battery.el (battery-linux-proc-acpi): Handle "last full capacity".

	* textmodes/bibtex.el (bibtex-strings, bibtex-reference-keys):
	Mark as risky.

	* simple.el (set-mark-command): Doc fix.
	(clone-indirect-buffer-other-window):
	Read arg like clone-indirect-buffer.
	(move-beginning-of-line): Skip invisible newlines.

2006-01-19  Masatake YAMATO  <jet@gyve.org>

	* progmodes/cpp.el (cpp-edit-load): Make the order of
	listed conditions in a base C code buffer and its associate
	CPP Edit buffer the same.

2006-01-19  Kenichi Handa  <handa@m17n.org>

	* mail/rmail.el (rmail-enable-mime): Docstring fixed.
	(rmail-mime-feature): Likewise.
	(rmail-require-mime-maybe): Use display-warning to show a warning
	message.

	* international/mule.el (auto-coding-regexp-alist-lookup): New fun.
	(find-auto-coding): Use auto-coding-regexp-alist-lookup.

2006-01-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* array.el: Move defvars out of eval-when-compile.
	(array-make-template): Replace undeclared global var with a local one.
	(array-mode): Inline initialization functions.
	(array-init-local-variables, array-init-max-row)
	(array-init-max-column, array-init-columns-per-line)
	(array-init-field-width, array-init-rows-numbered)
	(array-init-line-length, array-init-lines-per-row): Remove.

	* play/doctor.el: Move defvars out of eval-when-compile.  Use dolist.
	(doc-mode-map): Define explicitly.
	(doctor-txtype): Use mapc.

	* textmodes/table.el: Move defvars out of eval-when-compile.
	Remove harmful code meant to avoid byte-compiler warnings.
	(table-fixed-mode-indicator): Remove.  Use a more complex mode-line
	specification that checks table-fixed-width-mode directly.
	(table-recognize-region, table-recognize-cell):
	Use restore-buffer-modified-p.
	(table-fixed-width-mode): Remove code that refreshes
	table-fixed-mode-indicator.
	(*table--cell-describe-bindings, *table--cell-describe-mode):
	Avoid obsolete name print-help-return-message.
	(table--test-cell-list): Don't use replace-regexp from elisp.
	(table--point-entered-cell-function, table--point-left-cell-function):
	Don't set table-fixed-mode-indicator, use force-mode-line-update.

	* textmodes/org.el: Move defvars out of eval-when-compile.  Move code
	that was after the end of file.  Use buffer-file-name variable.
	(org-timestamp-change): Use with-current-buffer.
	(org-todo-list): Don't unnecessarily define a new buffer-local var.
	(org-agenda-file-to-end, org-agenda-file-to-front): Remove unused arg
	`file'.

	* progmodes/fortran.el: Move defvars out of eval-when-compile.
	(fortran-break-line): Remove unused var `opoint'.
	(fortran-abbrev-start): Obey help-event-list.

2006-01-18  Jesper Harder  <harder@phys.au.dk>

	* mail/smtpmail.el (smtpmail-send-it): Use insert-buffer-substring.

2006-01-18  Masatake YAMATO  <jet@gyve.org>

	* progmodes/make-mode.el (makefile-imake-mode): New mode
	derived from makefile-mode.
	(makefile-imake-mode-syntax-table): New syntax table
	derived from makefile-mode-syntax-table.
	(makefile-mode): Write about makefile-imake-mode in doc string.
	(makefile-mode-map): Bind "\C-c\C-m\C-i" to makefile-imake-mode.
	(makefile-imake-font-lock-keywords): New font lock keywords.

	* files.el (auto-mode-alist): Add Imakefile.

2006-01-17  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (ispell-kill-ispell-hook): Add to the hook when
	loading the file rather than when turning on flyspell-mode.

2006-01-16  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (customize-rogue): Minor doc fix.

2006-01-17  Juri Linkov  <juri@jurta.org>

	* dired-aux.el (dired-diff): Use dired-dwim-target-directory
	instead of the file at the mark as default if the file at the mark
	is the same as the file at point or if dired-dwim-target-directory
	is not the same as the current directory and the mark is not active.

	* log-view.el (log-view-minor-wrap): Use the same logic to get
	revisions as `log-view-diff'.

	* info.el (Info-revert-find-node): Check for Info-current-file
	before preserving new-history.

	* man.el (Man-heading-regexp): Add `/'.

	* textmodes/sgml-mode.el: Add `coding: iso-2022-7bit' cookie.
	(html-mode): Set `sentence-end-base' instead of `sentence-end'.

2006-01-16  Juri Linkov  <juri@jurta.org>

	* faces.el (mode-line-faces): New defgroup.
	(mode-line-highlight): Move definition after new defgroup.
	(mode-line, mode-line-inactive, mode-line-highlight):
	Replace :group `modeline' with `mode-line-faces'.
	(mode-line-buffer-id): New face.
	(modeline-buffer-id): New face alias.
	(vertical-border): Remove :group `modeline'.

	* bindings.el (propertized-buffer-identification): Use face
	`mode-line-buffer-id' instead of `Buffer-menu-buffer'.
	(mode-line-next-buffer, mode-line-previous-buffer): New functions.
	(mode-line-buffer-identification-keymap): For mouse-1 replace
	`mode-line-unbury-buffer' with `mode-line-previous-buffer'.
	Replace `mode-line-bury-buffer' with `mode-line-next-buffer' for
	mouse-3.

	* buff-menu.el (buffer-menu-buffer) <defface>: Renamed from
	Buffer-menu-buffer.  Doc fix.
	(Buffer-menu-buffer): Face alias to buffer-menu-buffer.
	(list-buffers-noselect): Use `buffer-menu-buffer' face instead of
	`Buffer-menu-buffer'.

	* info.el (Info-mode-line-node-keymap): New defvar.
	(Info-set-mode-line): Use `stringp' to check Info-current-file.
	Propertize Info-current-node with `mode-line-buffer-id' and
	`mode-line-highlight' faces and `Info-mode-line-node-keymap'.

	* time.el (display-time-mail-face): Replace :group `faces' with
	`mode-line-faces'.

2006-01-16  Kenichi Handa  <handa@m17n.org>

	* international/code-pages.el: Add autoload cookies for cp125[0345678].

	* language/european.el (cp1252): New alias for windows-1252.

	* international/mule.el (autoload-coding-system): Prepare for EOL
	variants.

2006-01-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-raw-map): Add mapping for insert.
	(term-send-insert): New.
	(term-mode): Make variables local here instead of doing it in
	`term-emulate-terminal'.
	(term-emulate-terminal): Delete incorrect optimization for cr+lf.
	Scroll reverse needs to take into account the scroll region.
	Saving and restoring the cursor should save the color attributes too.
	(term-reset-terminal): Reset the scroll region.
	(term-handle-ansi-escape): Cursor up and down should take into
	account the scroll region.
	(term-set-scroll-region): Rename from `term-scroll-region'.
	Move to 0,0 after setting the region.
	(term-handle-scroll): Handle scroll up.
	(term-down): Fix off by one error.
	(term-delete-lines): Do not delete outside the scroll region.
	(term-insert-lines): Take into account the scroll region.

2006-01-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/ispell.el (ispell-internal-change-dictionary)
	(ispell-change-dictionary): Undo most of last change of 2006-01-13.
	(start, end): Move declaration outside of eval-when-compile.

	* textmodes/flyspell.el (flyspell-kill-ispell-hook): New fun.
	(flyspell-mode-on): Use it.

	* textmodes/ispell.el (ispell-kill-ispell): Run new hook
	ispell-kill-ispell-hook.

2006-01-14  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (Custom-set, Custom-save, Custom-reset-current)
	(Custom-reset-saved): Do not ask for confirmation in single option
	buffers.

2006-01-13  Richard M. Stallman  <rms@gnu.org>

	* font-lock.el (lisp-font-lock-keywords-1): Minor rearrangement.

2006-01-13  Romain Francoise  <romain@orebokech.com>

	* add-log.el (add-change-log-entry, change-log-merge):
	Conditionally use `hard-newline'.

2006-01-13  Martin Rudalics  <rudalics@gmx.at>

	* wid-edit.el (widget-field-end): If the overlay is no longer
	associated with a buffer, behave as if the overlay didn't exist.

	* cus-edit.el (custom-add-see-also, custom-add-parent-links):
	Make sure the links use the `custom-link' face.

2006-01-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/ld-script.el (auto-mode-alist): Use \' rather than $.
	(ld-script-mode): Don't set indent-line-function since we don't
	have one.

2006-01-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-open-file): Use mailcap for selecting an
	application.
	(org-file-apps-defaults-gnu): Use mailcap as the default for
	selecting an application on a UNIX system.
	(org-agenda-show-tags): New command.
	(org-table-insert-hline): Keep cursor in current table line.
	(org-table-convert): Offset effect of modifying
	`org-table-insert-hline'.
	(org-format-agenda-item): New optional argument TAG.
	(org-compile-prefix-format): Handle %T format for the tag.
	(org-expand-wide-chars): New function.
	(org-table-insert-row, org-table-insert-hline):
	Use `org-expand-wide-chars'.
	(org-open-file): Fix bug in program launch.
	(org-get-time-of-day): Fix bug with times before 1am.
	(org-agenda-menu): Add tags commands.

2006-01-13  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el (ispell-init-process): Include the used
	dictionary in ispell process start message.
	(ispell-internal-change-dictionary): When flyspell-mode is active
	and dictionary is changed, make sure ispell process is restarted
	and flyspell word cache cleared out for the current buffer.
	(ispell-change-dictionary): Make sure flyspell word cache is
	cleared out in all buffers with active flyspell mode when
	dictionary is globally changed.
	Call ispell-internal-change-dictionary after dictionary change.

2006-01-13  Eli Zaretskii  <eliz@gnu.org>

	* emacs-lisp/bytecomp.el (batch-byte-recompile-directory): Doc fix.

	* makefile.w32-in (MH_E_SRC): Synchronize with Makefile.in.
	(pre-mh-loaddefs.el-SH, pre-mh-loaddefs.el-CMD): Update Copyright
	years.  Fix small differences wrt Makefile.in.
	(recompile): Use --eval '(batch-byte-recompile-directory 0)', like
	Makefile.in does.

2006-01-12  Bill Wohler  <wohler@newt.com>

	* Makefile.in (MH_E_SRC): Replace mh-index.el and mh-pick.el with
	mh-search.el.

2006-01-12  Masatake YAMATO  <jet@gyve.org>

	* progmodes/ld-script.el: Update copyright year.

2006-01-12  Chong Yidong  <cyd@stupidchicken.com>

	* cus-theme.el (custom-theme-add-variable, custom-theme-add-face):
	Don't add widget if setting undefined.

2006-01-12  John Paul Wallington  <jpw@pobox.com>

	* help-fns.el (describe-variable): Remove newlines from void
	variable output.

2006-01-13  Nick Roberts  <nickrob@snap.net.nz>

	* wdired.el (wdired-mode-map): Add help echo for
	wdired-abort-changes.

	* man.el (Man-file-name-regexp): Adjust for a list of files.

2006-01-12  Masatake YAMATO  <jet@gyve.org>

	* progmodes/ld-script.el (auto-mode-alist): Support
	suffix conventions used in netbsd and eCos.

2006-01-11  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (custom-reset-menu, custom-buffer-create-internal)
	(custom-variable-menu, custom-face-menu, custom-group-menu)
	(Custom-mode-menu): Change names of menu items.  (As discussed on
	emacs-devel.)
	(custom-face-menu): Add "Undo Edits" item.

	* startup.el (init-file-user): defcustom -> defvar.

	* tooltip.el (tooltip-mode): Doc fix.

2006-01-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* reveal.el (reveal-post-command): window-buffer signals an error on
	dead windows rather than returning nil.
	(reveal-open-new-overlays): An overlay might die while we open others.

2006-01-11  Bill Wohler  <wohler@newt.com>

	* cus-dep.el (generated-custom-dependencies-file): Fix typo and
	phrasing in docstring.

	* Makefile.in (MH_E_SRC): Rename from MH-E-SRC since the dashes
	can give some systems gas.  Add new file mh-buffers.el.

2006-01-06  Masatake YAMATO  <jet@gyve.org>

	* font-lock.el (cpp-font-lock-keywords): Font lock keywords for
	C preprocessor forward ported from GNU Emacs 21.2.

	* progmodes/asm-mode.el (asm-font-lock-keywords):
	Use `cpp-font-lock-keywords'.

	* progmodes/ld-script.el (ld-script-font-lock-keywords): Ditto.

	* progmodes/ld-script.el (auto-mode-alist): Use \\> instead
	of $ for "\\.ld[s]?".

2006-01-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/tcl.el (tcl-indent-command): Use indent-for-tab-command.
	(tcl-indent-line): Return `noindent' if inside a string.

	* progmodes/flymake.el (flymake-split-string): Remove more than one
	empty string at beg/end of the result.
	(flymake-find-buildfile, flymake-find-possible-master-files):
	Use expand-file-name.
	(flymake-fix-file-name): Don't replace \ with / and don't remove ./
	since expand-file-name does it for us.  Use directory-file-name.
	(flymake-ler-get-full-file, flymake-ler-get-file, flymake-ler-get-line)
	(flymake-ler-get-type, flymake-ler-get-text)
	(flymake-ler-make-ler): Remove.  Replace by defstruct.  Update callers.
	(flymake-current-line-no): Remove spurious interactive spec.
	(flymake-delete-temp-directory): Remove unused var `slash-pos'.
	(flymake-check-include): Remove arg inc-path merged into inc-name.
	(flymake-check-patch-master-file-buffer): Fit in 80 columns.
	Arg regexp-list replaced by a simple regexp.
	(flymake-master-make-header-init, flymake-master-tex-init):
	Correspondingly replace regexp-list with a regexp.  Fix regexp.

2006-01-10  Simon Josefsson  <jas@extundo.com>

	* mail/smtpmail.el (smtpmail-try-auth-methods): Add comment
	describing AUTH PLAIN fix.

2006-01-10  Thien-Thi Nguyen  <ttn@gnu.org>

	* mail/emacsbug.el (report-emacs-bug-text-prompt): Delete var.
	(report-emacs-bug): Don't record initial prompt text.
	Instead, add text properties to prompting text.
	(report-emacs-bug-hook): Delete prompting text.

2006-01-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/flymake.el (flymake-find-buildfile): Remove invariant arg
	`dirs'.  Adjust callers.

2006-01-09  John Paul Wallington  <jpw@gnu.org>

	* cus-edit.el (custom-comment) <defface>: Add TTY definitions.

2006-01-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* reveal.el (reveal-open-new-overlays): New extracted fun.
	(reveal-close-old-overlays): Idem.  Check overlays's liveness before
	using them.  Simplify the code.
	(reveal-post-command): Use them.  Fix up obsolete windows in
	reveal-open-spots.

	* progmodes/flymake.el: Use `require' rather than autoload for
	XEmacs's overlays.
	(flymake-get-common-file-prefix, flymake-build-relative-filename):
	Delete.  Use file-relative-name instead.
	(flymake-get-syntax-check-program-args, flymake-perl-init):
	Simplify the resulting code.

	* log-view.el (log-view-file-re, log-view-message-re): Add support
	for DaRCS output.

2006-01-09  Alex Schroeder  <alex@gnu.org>

	* mail/rmail.el (rmail-reply-regexp): Also ignore mailing list
	identifiers sometimes added in square brackets at the beginning of
	subject lines.

2006-01-07  Richard M. Stallman  <rms@gnu.org>

	* cus-edit.el (Custom-set, Custom-save): Doc fix.
	(Custom-reset-current, Custom-reset-saved): Change question text.
	(Custom-reset-standard): Likewise.
	(custom-variable-reset-saved): Doc fix.

2006-01-07  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (init-file-user): Doc fix.

2006-01-07  Alex Schroeder  <alex@gnu.org>

	* mail/rmail.el (rmail-current-subject): New function.
	(rmail-current-subject-regexp): New function.
	(rmail-next-same-subject): Use it.

	* mail/rmailsum.el (rmail-summary-by-topic):
	Use rmail-current-subject and rmail-current-subject-regexp.
	(rmail-summary-next-same-subject): Ditto.

	* net/rcirc.el (rcirc-send-input): No longer check whether the
	process is open, since not all commands need an open process.
	(rcirc-send-string): Check whether the process is open before
	sending anything.
	(rcirc-ignore-list): New option.
	(rcirc-ignore-list-automatic): New variable.
	(rcirc-print): Take rcirc-ignore-list into account.
	(rcirc-cmd-ignore): New command.
	(rcirc-ignore-update-automatic): New function.
	(rcirc-handler-PART, rcirc-handler-QUIT): Use it to maintain the
	list if ignored nicks.
	(rcirc-handler-NICK): Ditto, and also ignore the new nick.

2006-01-06  David Reitter  <david.reitter@gmail.com>

	* mail/emacsbug.el (report-emacs-bug): Let explanations correctly
	reflect the address to which the report will be sent.

2006-01-06  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/ld-script.el (auto-mode-alist): Recognize linker
	scripts whose file-name extensions are "\.x[bdsru]?[cn]?$".

2006-01-01  Michael Ernst  <mernst@alum.mit.edu>  (tiny changes)

	* textmodes/tildify.el: Fix typos (misspellings) in the commentary.

	* emacs-lisp/find-func.el (find-definition-noselect): Fix typo in
	the doc string: "functoin" => "function".
	* ldefs-boot.el: Likewise.

	* textmodes/bibtex.el (bibtex-validate-globally): Fix typo in a
	message text: "Duplicat" => "Duplicate".

2006-01-06  Sven Joachim  <svenjoac@gmx.de>  (tiny change)

	* files.el (basic-save-buffer-2): If backing-up failed, reset
	buffer-backed-up to nil.

2006-01-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb-script-skip-to-head)
	(gdb-script-calculate-indentation): Indent for breakpoint command
	lists also.

2006-01-05  Bill Wohler  <wohler@newt.com>

	* Makefile.in (compile-always): Add mh-autoloads dependency.
	(bootstrap): Remove mh-autoloads dependency, as compile dependency
	provides it.
	(updates): Remove mh-autoloads dependency, since it probably has
	already run recently (via recompile).

2006-01-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/flyspell.el (flyspell-accept-buffer-local-defs): Add an
	argument `force' to disable the flyspell-last-buffer optimization.
	(flyspell-mode-on): Use it.

	* progmodes/flymake.el (flymake-get-cleanup-function): Default to
	flymake-simple-cleanup.
	(flymake-allowed-file-name-masks): Use this new default.
	All the functions are now called in the right buffer rather than
	passing the buffer as argument.
	(flymake-process-sentinel): Switch to buffer before calling cleanup.
	(flymake-parse-err-lines): Remove redundant buffer arg.
	(flymake-get-program-dir): Comment out unused function.
	(flymake-start-syntax-check, flymake-start-syntax-check-process):
	Remove redundant buffer argument.
	(flymake-get-real-file-name, flymake-simple-java-cleanup)
	(flymake-simple-cleanup, flymake-master-cleanup): Remove buffer arg.

2006-01-05  Richard M. Stallman  <rms@gnu.org>

	* info.el (Info-find-node): Don't record previous node if have none.
	(info): Go to directory only if history is empty.

	* simple.el (mark): Doc fix.

2006-01-05  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ae-parameter): Don't coerce data if it is
	already of desired type.
	(mac-ae-list): Coerce parameter to "list" type.
	(mac-dispatch-apple-event): Replace cadr part of event with a
	dummy position so that event-start returns it.

2006-01-05  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-end-of-subtree): New function.
	(org-cycle, org-subtree-end-visible-p, org-scan-tags):
	Use `org-end-of-subtree'.
	(org-agenda, org-agenda-convert-date): Protect calls to
	`fit-window-to-buffer'.
	(org-tags-view): Force matching of sublevels when doing a
	todo-only search.  Define the correct redo command, including the
	arguments.
	(org-agenda-redo): Display message.
	(org-check-for-org-mode): New function.
	(org-agenda-type): New variable.
	(org-timeline, org-agenda-list, org-todo-list, org-tags-view):
	Set `org-agenda-type'.
	(org-agenda-check-type): New function.
	(org-agenda-goto-today, org-agenda-later, org-agenda-earlier)
	(org-agenda-week-view, org-agenda-day-view)
	(org-agenda-next-date-line, org-agenda-previous-date-line)
	(org-agenda-log-mode, org-agenda-toggle-diary)
	(org-agenda-toggle-time-grid, org-agenda-date-later)
	(org-agenda-date-prompt, org-agenda-diary-entry)
	(org-agenda-execute-calendar-command, org-agenda-goto-calendar)
	(org-agenda-convert-date, org-agenda-menu):
	Use `org-agenda-check-type'.
	(org-make-overlay, org-delete-overlay)
	(org-detatch-overlay, org-move-overlay, org-overlay-put):
	New compatibility functions.
	(org-calendar-select-mouse): New command.

2006-01-04  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (Custom-reset-current, Custom-reset-saved)
	(Custom-reset-standard): Fix y-or-n-p messages.
	(custom-link): New face for links.
	(custom-buffer-create-internal, custom-manual): Use it.
	(custom-face-save): Push to theme-face before setting face spec.

	* wid-edit.el (widget-default-mouse-face-get): New function.
	(widget-specify-button): Handle mouse-face like button-face.

	* custom.el (load-theme): Clear old theme settings if reloading.

2006-01-03  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (custom-buffer-create-internal): Move whole buffer
	"Erase Customization" button back to same position it occupies in
	the individual State menus.

2006-01-04  Kim F. Storm  <storm@cua.dk>

	* wid-edit.el (key-sequence): Rework widget to read key binding
	using `kbd' syntax.  Use C-q to insert literal key, event, or code.
	(widget-key-sequence-default-value): Default value for empty sequence.
	(widget-key-sequence-map): New map for reading key binding.  Bind C-q.
	(widget-key-sequence-read-event): New command for C-q.
	(widget-key-sequence-validate, widget-key-sequence-value-to-internal)
	(widget-key-sequence-value-to-external): New functions.

2006-01-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/flymake.el (flymake-create-temp-with-folder-structure):
	Use expand-file-name.
	(flymake-delete-temp-directory): Use expand-file-name,
	file-name-directory, and directory-file-name.
	(flymake-strrchr): Delete.
	(flymake-start-syntax-check): Don't pass the redundant buffer argument
	to the init-f function.
	(flymake-save-buffer-in-file, flymake-init-create-temp-buffer-copy)
	(flymake-init-find-buildfile-dir)
	(flymake-init-create-temp-source-and-master-buffer-copy)
	(flymake-simple-make-init-impl, flymake-simple-make-init)
	(flymake-master-make-init, flymake-master-make-header-init)
	(flymake-simple-make-java-init, flymake-simple-ant-java-init)
	(flymake-perl-init, flymake-simple-tex-init, flymake-master-tex-init)
	(flymake-xml-init): Remove corresponding redundant buffer argument.
	(flymake-allowed-file-name-masks): Remove last elems that are equal to
	the default anyway.  Clean up regexps.

	* progmodes/flymake.el (flymake-temp-source-file-name)
	(flymake-master-file-name, flymake-temp-master-file-name)
	(flymake-base-dir): New buffer-local vars.
	(flymake-buffer-data, flymake-get-buffer-value)
	(flymake-set-buffer-value): Replace those hash-tables by the new
	buffer-local vars.  Update callers.

	* progmodes/flymake.el (flymake-check-start-time)
	(flymake-check-was-interrupted, flymake-err-info, flymake-is-running)
	(flymake-last-change-time, flymake-new-err-info, flymake-timer):
	Move definition, so we can remove redundant earlier declaration.
	(flymake-replace-regexp-in-string, flymake-split-string)
	(flymake-get-temp-dir): Use defalias.
	(flymake-popup-menu): Remove `pos' argument.  Use posn-at-point.
	(flymake-xemacs-window-edges): Remove unused function.
	(flymake-get-point-pixel-pos): Move.
	(flymake-pid-to-names, flymake-reg-names)
	(flymake-get-source-buffer-name, flymake-unreg-names): Remove.
	Replace by a simple list flymake-processes and by process-buffer.
	Update callers.  Other than simplify the code, it uses buffers rather
	than buffer-names so it doesn't get confused by uniquify.
	(flymake-buffer-data): The global value should just be nil.

	* emacs-lisp/bytecomp.el (byte-compile-file-form-defalias):
	Optimize the body of a defalias like any other code.

	* font-lock.el (font-lock-fontify-buffer, font-lock-fontify-region):
	Make sure we've setup font-lock's vars.  It may influence which
	function we then call.
	(font-lock-default-fontify-buffer): Don't bother calling set-defaults
	here since it's too late anyway.

2006-01-03  Romain Francoise  <romain@orebokech.com>

	* startup.el (fancy-splash-tail, normal-splash-screen):
	Update copyright year.

2006-01-02  J.D. Smith  <jdsmith@as.arizona.edu>

	* mouse.el (mouse-drag-track): Rename, from
	`mouse-drag-region-1'.  Includes optional argument required to
	enable post-drag event processing (e.g. delete region keys).
	Can be used without this argument to track a mouse region and operate
	on it as soon as the drag completes.
	(mouse-drag-region): Use `mouse-drag-track'.

2006-01-02  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-guess-name-alist, custom-guess-doc-alist):
	Move to `custom-buffer' group.

	* cus-theme.el: Rewrite the Custom New Theme Mode interface.
	(custom-new-theme-mode-map, custom-theme-insert-variable-marker)
	(custom-theme-insert-face-marker, custom-theme-variable-menu)
	(custom-theme-face-menu): New variables.
	(custom-theme-add-variable, custom-theme-variable-action)
	(custom-variable-reset-theme, custom-theme-delete-variable)
	(custom-face-reset-theme, custom-theme-face-action)
	(custom-theme-delete-face, custom-theme-merge-theme)
	(custom-theme-add-face, custom-theme-visit-theme): New functions.

2006-01-01  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el: Move Custom Themes commentary to start of theme code.
	(custom-known-themes): Rename `standard' theme to `changed'.
	(custom-push-theme): Caller no longer specifies what theme to use
	when doing `reset'---the setting is simply removed from the theme.
	Delete MODE from `theme-value' and `theme-settings' properties.
	(custom-declare-theme): Ignore &rest args since we don't use them.

	(custom-loaded-themes): Delete variable.
	(custom-theme-load-themes, custom-theme-loaded-p)
	(custom-theme-value): Delete functions.

	(custom-declare-theme): Signal error on invalid theme names.
	(provide-theme): custom-loaded-themes was deleted.
	(load-theme): Load the file unconditionally.
	(enable-theme): Call `load-theme' if theme is undefined.
	(custom-enabled-themes): Only update value for successful loads.
	(disable-theme): Complete from enabled themes when interactive.
	(custom-variable-theme-value): Calculate theme value directly.

	(custom-theme-reset-variables, custom-reset-variables): Mark as
	XEmacs compatibility functions.  We don't actually use these.

	* cus-edit.el (custom-variable-state-set):
	Use custom-variable-theme-value instead of custom-theme-value.
	(custom-face-state-set): Rename `standard' theme to `changed'.
	(custom-save-variables, custom-save-faces): Delete unneeded
	references to custom-reset-variables.
	(custom-save-resets): Delete function.
	(custom-save-variables, custom-save-faces): MODE argument deleted.
	(custom-save-variables, custom-save-faces): Ignore theme values.

	* cus-face.el (custom-theme-reset-faces): Mark as XEmacs
	compatibility function.

2006-01-01  Richard M. Stallman  <rms@gnu.org>

	* cus-edit.el (Custom-set, Custom-save): Ask for confirmation.
	(Custom-reset-current, Custom-reset-saved): Likewise.
	(Custom-reset-standard): Show message if aborted.
	(custom-mode): Doc fix, describing those commands.

	* mouse.el (mouse-drag-region-1): When following link via mouse-2,
	put on event-kind property.

2005-12-31  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (provide-theme): Ban `user' theme name.
	(custom-enabling-themes): New variable.
	(enable-theme): Don't enable user if custom-enabling-themes is t.
	(custom-enabled-themes): Make it a defcustom.
	(custom-theme-recalc-face): No-op if face is undefined.

	* cus-edit.el (custom-button-mouse): New variable.
	(custom-button-mouse): New face.
	(custom-raised-buttons, custom-mode): Use it.

	* cus-theme.el (custom-new-theme-mode): Use custom-button-mouse.

2005-12-31  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/gud.el (gud-display-line): Support hl-line in the
	source buffer.

2005-12-31  Lennart Borgman  <lennart.borgman.073@student.lu.se>  (tiny change)

	* mouse.el (mouse-drag-window-above): Verify that the found window
	overlaps with the given window in the horizontal dimension.

2005-12-31  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (cvs-update): New target.

	* makefile.w32-in (cvs-update): Ditto.

2005-12-30  Chong Yidong  <cyd@stupidchicken.com>

	* cus-theme.el (custom-new-theme-mode): Use cus-edit faces.
	(custom-new-theme-mode-map): New variable.

2005-12-30  Richard M. Stallman  <rms@gnu.org>

	* custom.el (custom-load-themes): Function deleted.

	* cus-edit.el (custom-save-loaded-themes): Function deleted.
	(custom-save-variables): Don't delete or add custom-load-themes call.

2005-12-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* cus-start.el: Add `visible-cursor'.

	* progmodes/flymake.el (flymake-copy-buffer-to-temp-buffer): Simplify.
	(flymake-parse-output-and-residual): Remove `source-buffer' argument.
	(flymake-process-filter): Switch to buffer before calling it instead.
	(flymake-post-syntax-check, flymake-highlight-err-lines)
	(flymake-delete-own-overlays, flymake-parse-err-lines)
	(flymake-start-syntax-check, flymake-start-syntax-check-process)
	(flymake-count-lines, flymake-parse-residual):
	Remove constant buffer argument.
	(flymake-start-syntax-check-for-current-buffer): Remove.
	Update callers to use flymake-start-syntax-check instead.
	(flymake-display-err-menu-for-current-line):
	Remove unused var `mouse-pos'.
	(flymake-restore-formatting): Comment out unused function.
	(flymake-report-status, flymake-report-fatal-status): Remove buffer
	argument, use current-buffer instead.  Update callers.

2005-12-30  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-mode): Make completion-ignore-case
	buffer-local because choose-completion-delete-max-match requires
	that we set completion-ignore-case (i.e., binding via let is not
	sufficient).
	(bibtex-complete): Always set completion-ignore-case and
	choose-completion-string-functions.  The latter is needed because
	choose-completion-string-functions keeps its value if we quit the
	*Completions* buffer without requesting a completion.

2005-12-30  Andreas Schwab  <schwab@suse.de>

	* progmodes/cc-defs.el: Ignore errors from font-lock-compile-keywords.

2005-12-30  Eli Zaretskii  <eliz@gnu.org>

	* jit-lock.el (jit-lock-chunk-size): Doc fix.

2005-12-30  Juri Linkov  <juri@jurta.org>

	* locate.el (locate-fcodes-file, locate-header-face)
	* progmodes/delphi.el (delphi-other-face)
	* progmodes/glasses.el (glasses-face): Add tag "None" to const nil.

	* paren.el (show-paren-match, show-paren-mismatch): Use existing
	group `paren-showing-faces'.

	* net/goto-addr.el (goto-address-highlight-keymap): Fix docstring.
	(goto-address): Fix docstring.

	* net/webjump.el (webjump-sample-sites): Update URLs.

	* textmodes/fill.el (fill-single-word-nobreak-p): Use `sentence-end'.

	* subr.el (cancel-change-group): Add listp around pending-undo-list.

2005-12-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-compile-keywords): Signal an error when
	font-lock-set-defaults hasn't been called.

2005-12-29  Luc Teirlinck  <teirllm@auburn.edu>

	* subr.el (noreturn, 1value): Doc fixes.

2005-12-29  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-text-in-field-bounds): Handle case
	that assoc-string returns nil.

2005-12-29  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-entry-type-whitespace)
	(bibtex-entry-type-str, bibtex-empty-field-re)
	(bibtex-search-backward-string, bibtex-preamble-prefix)
	(bibtex-search-entry, bibtex-enclosing-entry-maybe-empty-head): Remove.
	(bibtex-any-valid-entry-type): New variable.
	(bibtex-parse-field-name): Simplify.
	(bibtex-parse-string, bibtex-search-forward-string): New arg empty-key.
	(bibtex-preamble-prefix): Include left delimiter.
	(bibtex-search-forward-field, bibtex-search-backward-field):
	Allow unbounded search past entry boundaries (required by bibtex-pop).
	(bibtex-text-in-field-bounds): Use push.
	(bibtex-text-in-field): Do not use bibtex-narrow-to-entry.
	(bibtex-parse-preamble, bibtex-valid-entry)
	(bibtex-beginning-first-field): New functions.
	(bibtex-skip-to-valid-entry): Use bibtex-valid-entry.  Fix regexp.
	(bibtex-map-entries): Fix docstring.
	(bibtex-flash-head): New arg prompt.  Simplify.
	(bibtex-enclosing-field): Include code of bibtex-inside-field.
	(bibtex-insert-kill): Simplify.  Always insert text past the
	current field or entry.
	(bibtex-format-entry): Use bibtex-parse-field.
	(bibtex-pop): Use bibtex-beginning-of-entry and
	bibtex-end-of-entry to initiate the search.  Insert empty field if
	we found ourselves.
	(bibtex-print-help-message): New args field and comma.
	Handle entry keys.
	(bibtex-make-field): Use bibtex-beginning-of-entry.
	(bibtex-end-of-entry): Use bibtex-valid-entry.  Recognize any
	invalid entry.
	(bibtex-validate): Use bibtex-valid-entry and bibtex-parse-string.
	Handle preambles.  Simplify code for thorough test.
	(bibtex-next-field, bibtex-find-text, bibtex-find-text-internal):
	New arg comma.  Handle entry heads.
	(bibtex-remove-OPT-or-ALT, bibtex-remove-delimiters)
	(bibtex-kill-field, bibtex-copy-field-as-kil, bibtex-empty-field):
	New arg comma.
	(bibtex-kill-entry): Use bibtex-any-entry-maybe-empty-head.
	(bibtex-fill-field): Simplify.
	(bibtex-fill-entry): Use bibtex-beginning-first-field and
	bibtex-parse-field.
	(bibtex-convert-alien): Do not wait before calling bibtex-validate.
	(bibtex-complete): Use bibtex-parse-preamble.

2005-12-29  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-tooltip-print, gdb-tooltip-print-1):
	Display name of expression instead of convenience variable.
	(gdb-post-prompt): Only call gdb-get-changed-registers if needed.

	* progmodes/gud.el (gud-tooltip-dereference): Rename from
	toggle-gud-tooltip-dereference.
	(gud-tooltip-print-command): Move concatenation of "*" to expr to...
	(gud-tooltip-tips): ...here when dereferencing.

2005-12-28  Bill Wohler  <wohler@newt.com>

	* simple.el (mh-e-user-agent): Move to mh-e/mh-comp.el and autoload.

2005-12-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-annotate-display): Replace optional arg `color-map' with
	compulsory arg `ratio'.  Inline body of vc-annotate-time-span.
	(vc-annotate-display-autoscale): Adjust call.
	(vc-annotate-display-default): Adjust call.  Make arg compulsory.
	Fix interactive spec.
	(vc-annotate-time-span): Remove.
	(vc-annotate-oldest-in-map): Rename from vc-annotate-car-last-cons.
	(vc-annotate-mode-menu, vc-annotate-display-autoscale)
	(vc-annotate-display-select): Use new name.

	* vc.el (vc-annotate-mode-map): Remove obsolete binding.
	(vc-annotate-mode-menu): Remove left-over redundant declaration.
	Correct the construction of span entries.  Simplify.
	(vc-annotate-display-select): Fix the nil case.
	(vc-annotate): Remove obsolete (and now broken) code.
	(vc-annotate-extract-revision-at-line): Remove obsolete code.
	(vc-annotate-time-span): Remove unused arg `quantize'.  Simplify.

2005-12-28  Luc Teirlinck  <teirllm@auburn.edu>

	* subr.el (lazy-completion-table): Correct typo in docstring.

	* startup.el (command-line): Use `custom-reevaluate-setting' for
	`send-mail-function'.

	* mail/sendmail.el (send-mail-function): Autoload the standard-value.

2005-12-05  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* mail/smtpmail.el (smtpmail-try-auth-methods):
	Send credentials together with "AUTH PLAIN" command.

2005-12-27  Richard M. Stallman  <rms@gnu.org>

	* mouse.el (mouse-drag-region-1): When remapping mouse-1 to
	mouse-2, go back to previously selected window, so it's selected
	when mouse-2 command runs.

2005-12-27  Juri Linkov  <juri@jurta.org>

	* descr-text.el (describe-text-sexp): Use square brackets for
	button [Show] to distinguish it from the property value `show'.
	(describe-property-list): Use `insert-text-button' with
	`help-face' type instead of putting face in quotes, because button
	is not created automatically for a list of faces.
	(describe-text-properties-1): Put button-type value in quotes to
	distinguish from plain text "button".
	(describe-char): Display code point values in hex.  Don't use
	`symbol-name' for `current-input-method' because it is a string.
	Use `insert-text-button' with `help-face' type instead of putting
	hardcoded face in quotes, because button is not created automatically.

2005-12-27  Richard M. Stallman  <rms@gnu.org>

	* progmodes/glasses.el (glasses-face): More specific custom type.

	* files.el (set-visited-file-name): Doc fix.

	* textmodes/flyspell.el (flyspell-external-point-words):
	Use local var buffer-scan-pos to advance scan for next misspelling.
	Advance it only after we find the misspelling.

2005-12-27  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-external-point-words):
	New criteria for finding the misspelling in the buffer.

2005-12-27  Nick Roberts  <nickrob@snap.net.nz>

	* help-mode.el (help-insert-string): Set help-xref-stack-item
	rather than call help-setup-xref.

	* descr-text.el (describe-char): Revert previous changes for
	optional buffer argument.

2005-12-27  Juri Linkov  <juri@jurta.org>

	* help-mode.el (help-insert-string): New function.  Save buffer
	contents in cases where it is impossible to recompute the old contents.

	* descr-text.el (describe-char): Set help-xref-stack-item
	explicitly after buffer has been generated.

2005-12-27  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Add x-gtk-show-hidden-files.

2005-12-26  Richard M. Stallman  <rms@gnu.org>

	* replace.el (perform-replace): Calculate match-again
	before skipping read-only matches.

	* paren.el (paren-showing-faces): New group.
	(show-paren-match, show-paren-mismatch): Move to that group.

	* button.el (button): Put into group `basic-faces'.

	* progmodes/make-mode.el: Remove faces from group `faces'.

	* apropos.el (apropos, apropos-value): Doc fix.
	(apropos-documentation): Doc fix.

2005-12-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (lazy-completion-table): Remove argument `args'.

	* textmodes/bibtex.el (bibtex-strings, bibtex-reference-keys):
	Don't use the `args' argument of lazy-completion-table.

2005-12-26  Nick Roberts  <nickrob@snap.net.nz>

	* descr-text.el (describe-char): Add optional argument for buffer.
	Set buffer appropriately.  Call help-setup-xref.
	Suggested by Stefan Monnier.

2005-12-26  Juri Linkov  <juri@jurta.org>

	* descr-text.el: Require `help-fns' at runtime.  Don't require
	`button' for byte compilation.
	(describe-text-widget): Add `help-echo' for first button.
	Use `help-info' for second.
	(describe-property-list): Use `help-argument-name' instead of `italic'.
	(describe-text-category): Add prompt to interactive spec.
	Call `help-setup-xref'.
	(describe-char): Use `help-character-set'.  Add `help-echo' for
	code point.  Use `help-input-method'.  Remove superfluous insert.

2005-12-25  Richard M. Stallman  <rms@gnu.org>

	* progmodes/cc-defs.el (c-emacs-features): Do parse-partial-sexp
	at point, in case of narrowing.

	* progmodes/delphi.el (delphi-other-face): Allow nil in type.

	* locate.el (locate-header-face): Allow nil in type.

	* progmodes/cpp.el (cpp-face-none-list): Use cpp-face instead of face.

2005-12-25  Romain Francoise  <romain@orebokech.com>

	* battery.el (battery-linux-proc-acpi): Also try
	`/proc/acpi/thermal_zone/THM0/temperature'.

2005-12-24  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (custom-push-theme): Fix docstring.

	* cus-edit.el (custom-variable-set, custom-variable-save)
	(custom-variable-save): Custom-quote widget values.
	(customize-save-variable): Fix custom-push-theme call.

2005-12-24  Eli Zaretskii  <eliz@gnu.org>

	* w32-fns.el (w32-batch-update-autoloads): New function.

	* makefile.w32-in (autoloads, $(lisp)/mh-e/mh-loaddefs.el):
	Use w32-batch-update-autoloads, and don't setq generated-autoload-file
	from the command line.

2005-12-23  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (custom-push-theme): Clarify docstring.  VALUE nil for
	reset means to remove setting from theme entirely.  Don't keep
	expanding theme-settings list; delete old entries if necessary.

	* cus-edit.el (custom-buffer-create-internal): Move "Erase
	customization" button one line up.
	(custom-themed): New face.
	(custom-magic-alist): New value, THEMED, for theme settings.
	(custom-variable-state-set, custom-face-state-set):
	Check theme-value instead of saved-value.
	(custom-variable-reset-standard, custom-face-reset-standard):
	Remove theme setting entirely.  Recalculate new values.
	(custom-variable-set, custom-variable-set)
	(custom-variable-reset-saved, custom-variable-reset-backup)
	(custom-face-set, custom-face-reset-saved): Update `user' theme.
	(custom-variable-save): Fix typos.

2005-12-23  Juri Linkov  <juri@jurta.org>

	* emacs-lisp/edebug.el (edebug-all-defs, edebug-all-forms):
	Add autoload cookies.
	(edebug-outside-d-c-i-n-s-w): New variable.
	(edebug-display, edebug-outside-excursion): Use it to save the
	original value of default-cursor-in-non-selected-windows.
	Set default-cursor-in-non-selected-windows to t while Edebug
	is active.
	(edebug-mode, edebug-eval-mode): Doc fix.

	* mouse.el (mouse-choose-completion): Replace `buffer-substring'
	with `buffer-substring-no-properties' to remove common substring
	highlighting.

	* info.el (info-other-window, info): Rename function argument
	`file' to `file-or-node'.
	(Info-complete-menu-item): Use local variable `complete-nodes' to
	keep the global value of `Info-complete-nodes' unchanged for
	subsequent completions.
	(info-tool-bar-map): Put `Info-index' icon just before `Info-search'.

	* simple.el (get-next-valid-buffer, last-buffer)
	(next-error-buffer-p, next-error-find-buffer)
	(minibuffer-history-sexp-flag): Doc fix.

	* savehist.el (savehist-mode-hook): Add `:group'.

	* log-view.el: Call autoload for vc-find-version.
	(log-view-current-file): Adjust subgroup numbers.
	(log-view-current-tag): Add `length'.

2005-12-23  Richard M. Stallman  <rms@gnu.org>

	* vc.el (vc-annotate-car-last-cons): Defn moved up.

2005-12-23  Juri Linkov  <juri@jurta.org>

	* hi-lock.el (hi-lock-archaic-interface-message-used)
	(hi-lock-archaic-interface-deduce, hi-lock-mode): Doc fix.
	(hi-lock-mode): Display "Hi" in the mode line only when
	hi-lock-interactive-patterns or hi-lock-file-patterns is non-nil.
	(hi-lock-write-interactive-patterns):
	Use hi-lock-file-patterns-prefix instead of hard-coded "Hi-lock".
	(hi-lock-set-pattern, hi-lock-set-file-patterns)
	(hi-lock-font-lock-hook): Set 3rd arg `how' of
	font-lock-add-keywords to t.

2005-12-23  David Koppelman  <koppel@ece.lsu.edu>

	* hi-lock.el (hi-lock-highlight-range): New variable.
	(hi-lock-mode, hi-lock-unface-buffer): Call font-lock-fontify-buffer
	only if font-lock-fontified is non-nil.  Remove overlays.
	(hi-lock-set-pattern): Call font-lock-fontify-buffer if
	font-lock-fontified is non-nil, otherwise use overlays (instead of
	text properties).
	(hi-lock-string-serialize-hash, hi-lock-string-serialize-serial):
	New variables.
	(hi-lock-string-serialize) New function.

2005-12-23  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* menu-bar.el (menu-find-file-existing): New function.
	(menu-bar-file-menu): Use menu-find-file-existing for Open.

	* tool-bar.el (tool-bar-setup): Open changed to menu-find-file-existing.

2005-12-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el: Remove unnecessary leading * in docstrings.
	(vc-annotate-mode-map): Move initialization into declaration.
	(vc-static-header-alist): Nitpick on the regexp.
	(vc-default-init-version): New fun.
	(vc-register): Use it.
	(vc-insert-headers): Use dolist.
	(vc-annotate-get-backend): Remove unused function.
	(vc-annotate-add-menu): Remove.  Build the menu directly at toplevel.
	(vc-annotate-mode): Remove corresponding call.
	(vc-annotate-car-last-cons): Simplify.
	(vc-annotate-buffers): Remove var.
	(vc-annotate-backend): Make it buffer-local.
	(vc-annotate): Move the interaction to the interactive spec.
	Add a `buf' argument.
	(vc-annotate-warp-version): Use this new `buf' argument to avoid
	killing&creating a vc-annotate buffer, which is very disruptive when
	the buffers are shown in dedicated frames.

2005-12-23  Nick Roberts  <nickrob@snap.net.nz>

	* descr-text.el: Add FSF as maintainer.
	(describe-text-mode, describe-text-mode-map)
	(describe-text-mode-hook, describe-text-done): Delete.  Use normal
	help-mode.
	(describe-text-widget, describe-text-sexp)
	(describe-property-list, describe-text-category)
	(describe-text-properties, describe-text-properties-1)
	(describe-char): Use help buttons instead of widgets.
	(describe-char-unicodedata-file): Make URL link in doc string.

2005-12-22  Richard M. Stallman  <rms@gnu.org>

	* cus-edit.el (custom-variable-prompt): Say "variable" in prompt.
	(custom-buffer-create-internal): Reword the top-of-buffer help intro.
	Don't include buttons that write a file when there's no file.
	(custom-variable-menu, custom-face-menu, custom-group-menu):
	Don't include commands that write a file when there's no file.
	(customize-browse): Reword the top-of-buffer help intro.
	(custom-buffer-create-internal): Fix previous change.
	(customize-changed-options-previous-release): Prev release is 21.1.
	(customize-changed-options): Doc fix.
	(customize-changed): New alias.
	(custom-reset-menu, custom-magic-alist, Custom-mode-menu):
	Say "standard values".
	(Custom-reset-standard): Doc fix.
	(custom-face-reset-standard): Doc fix.

2005-12-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-default-fontify-buffer): Try and set-defaults
	even if font-lock-mode is non-nil since it may be t without having
	turned on font-lock-mode-internal.
	(font-lock-choose-keywords): Minor optimization.
	(font-lock-add-keywords, font-lock-remove-keywords)
	(font-lock-set-defaults): Don't call make-local-variable on a variable
	that we know to already be local.

2005-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* emacs-lisp/lisp.el (lisp-complete-symbol): Don't print progress
	messages if in the minibuffer.

2005-12-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/flyspell.el (flyspell-check-word-p): Don't quote - in a RE.
	(tex-mode-flyspell-verify, flyspell-get-word)
	(flyspell-external-point-words): Don't use point-min/max uselessly.

	* emacs-lisp/lisp.el (lisp-complete-symbol): Mostly undo the change
	by Kevin Rodgers.  Instead, just hide the completions buffer if we
	don't need to show it.

2005-12-21  Luc Teirlinck  <teirllm@auburn.edu>

	* wid-edit.el (file, directory): Doc fixes for the `define-widget's.

2005-12-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (lisp-complete-symbol): Don't call
	delete-windows-on with an inexistent buffer.

2005-12-22  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-tooltip-modes, gud-tooltip-display):
	Delete defcustom variable :tag names.

2005-12-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* log-view.el (log-view-file-re, log-view-message-re): Use shy groups.
	(log-view-font-lock-keywords): Ajust subgroup numbers.
	(log-view-current-tag): Don't hard code the number of subgroups.

2005-12-20  Juri Linkov  <juri@jurta.org>

	* tooltip.el (tooltip): Move defgroup before define-minor-mode.
	(tooltip-x-offset, tooltip-y-offset): Doc fix.

	* menu-bar.el (menu-bar-menu-frame-live-and-visible-p)
	(menu-bar-non-minibuffer-window-p): Instead of checking
	display-multi-frame-p, use selected-frame when menu-updating-frame
	is nil.

2005-12-20  Stuart Herring  <herring@lanl.gov>  (tiny change)

	* align.el (align-rules-list): Use [ \t] instead of \s-
	for column separators in text mode.

2005-12-20  Nick Roberts  <nickrob@snap.net.nz>

	* help-mode.el (help-customize-variable, help-customize-face):
	Don't pop help-xref-stack as help-follow no longer pushes
	anything on to it.

2005-12-20  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-custom-commands): New option.
	(org-agenda): Offer custom commands on splash screen.
	(org-make-tags-matcher): Parser for Boolean logic added.
	(org-agenda-set-tags): New command.
	(org-agenda-menu, org-agenda-mode-map): Add `org-agenda-set-tags'.
	(org-set-tags): Efficiency improvements.
	(org-auto-align-tags): New option.
	(org-todo, org-demote, org-promote): Realign tags.
	(org-tags-completion-function): Use also "&" and "|" as separators.
	(org-org-menu): Agenda commands simplified.

2005-12-19  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (customize-apropos, customize-apropos-options):
	Docstring changes.

	* font-lock.el (font-lock): Add tags to the links in the defgroup.

2005-12-19  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-mode): Wrap while widened.
	(longlines-decode-region, longlines-encode-region): Compute max
	just once.

2005-12-19  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* cus-edit.el (mac): New group.

	* cus-start.el (all): Add user options in macterm.c.  Add test for
	Mac-related built-ins.  Fix test for GTK-related built-ins.

	* term/mac-win.el (mac-handle-language-change)
	(mac-ae-open-documents, mac-ae-get-url, mac-services-open-file)
	(mac-services-open-selection, mac-services-mail-selection)
	(mac-services-mail-to, mac-services-insert-text)
	(mac-dispatch-apple-event): Add docstrings.
	(x-get-selection, mac-select-convert-to-string): Select coding
	system from `utf-16be' and `utf-16le' using `byteorder'.

2005-12-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (lazy-completion-table): Don't be fooled if the var holds
	a "list" (lambda ...) rather than a real completion list.

	* emacs-lisp/cl-extra.el (cl-macroexpand-all): Fix code-walk for
	lexical-let when encountering ((lambda (...) ...) ...).

2005-12-17  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/sh-script.el (sh-mode):
	* language/ethio-util.el (ethio-fidel-to-sera-mail-or-marker):
	* textmodes/picture.el (picture-mode): Update docstrings.

2005-12-17  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (autoloads, custom-deps): Warn that parts of
	commands enclosed in $(ARGQUOTE)s should not be split between two
	lines, as that will break with GNU Make >3.80, when sh.exe is used
	and arg quoting is with '..'.
	(autoloads): Don't break the quoted --eval expression between
	several lines.

2005-12-17  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/edebug.el (edebug-safe-prin1-to-string):
	Capture error from printing circular structures.

2005-12-17  Martin Rudalics  <rudalics@gmx.at>

	* wid-edit.el (widget-checkbox-action): Clear undo info.

2005-12-16  Bill Wohler  <wohler@newt.com>

	* menu-bar.el (kill-this-buffer): Set a good example by using menu
	bar, not menubar in comment.

2005-12-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-engine.el (c-after-change-check-<>-operators):
	After-change-functions should not clobber the match data.

2005-12-16  Juri Linkov  <juri@jurta.org>

	* simple.el (choose-completion): Use `buffer-substring-no-properties'
	instead of `buffer-substring'.
	(completion-common-substring): Doc fix.
	(completion-setup-function): Use minibuffer-completion-contents
	instead of minibuffer-contents.  Don't set common-string-length
	initially.  Remove special handling of partial-completion-mode.
	Move computation of completion-base-size into one cond.
	Call completion-base-size-function in mainbuf.  In computation of
	completion-base-size for file name completion don't move point to
	the end of the minibuffer.  Move computation of common-string-length
	into one cond.  Start putting faces only when common-string-length>=0.
	Add condition to put completions-common-part when
	common-string-length>0.

	* complete.el (PC-do-completion): Remove `(equal (point) beg)' to
	place point at the first different character in the minibuffer
	even if this position is at the beginning of the minibuffer.

	* info.el (Info-read-node-name-1): In completion-base-size-function's
	lambda return 1 if common-substring or minibuffer-completion-contents
	starts with (, and 0 otherwise.

	* emacs-lisp/crm.el (crm-minibuffer-completion-help):
	Use `crm-current-element' for second arg of `display-completion-list'.

2005-12-16  Klaus Zeitler  <kzeitler@lucent.com>

	* files.el (set-auto-mode): Look for an interpreter specified on
	the first line also if search for mode specification succeeded,
	but the mode is not known.

2005-12-16  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-tags-match-list-sublevels): New option.
	(org-open-at-point): Implement tag searches as links.
	(org-fit-agenda-window, org-get-buffer-tags, org-get-tags)
	(org-make-tags-matcher, org-scan-tags, org-activate-tags): New funs.
	(org-tags-sparse-tree, org-tags-view, org-set-tags)
	(org-agenda-dispatch): New commands.
	(org-use-tag-inheritance, org-tags-column): New options.
	(org-tab-follows-link, org-return-follows-link): New options.
	(org-tags): New customize group.
	(org-start-icalendar-file): Get local time zone.
	(org-tags-completion-function): New function.
	(org-set-font-lock-defaults): Make sure links will also be
	highlighted inside headlines.

2005-12-16  Mark Plaksin  <happy@usg.edu>  (tiny change)

	* term.el (term-emulate-terminal):
	Let term-handle-ansi-terminal-messages override what Bash says about
	its current directory.

2005-12-16  L$,1 q(Brentey K,Aa(Broly  <lorentey@elte.hu>

	* bindings.el (last-buffer): Move to simple.el.
	* simple.el (last-buffer): Move here.
	(get-next-valid-buffer): New function.
	(next-buffer): Use frame-local buffer list, maintain buried buffer list.
	(prev-buffer): Ditto.  Rename to `previous-buffer'.

	* menu-bar.el (menu-bar-update-buffers): Update uses of `prev-buffer'.
	* bindings.el (global-map): Ditto.

2005-12-15  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el: Introductory comment change.
	(custom-magic-alist): Change message string for the `rogue' state.

2005-12-15  Richard M. Stallman  <rms@gnu.org>

	* tooltip.el: Delete defcustom variable :tag names.

	* complete.el (partial-completion-mode): Doc fix.

	* textmodes/flyspell.el (flyspell-external-point-words):
	Use save-excursion to ensure we don't move backward in the
	search loop, not even one character.
	(flyspell-delete-all-overlays): Use remove-overlays directly.

	* textmodes/ispell.el (ispell-current-personal-dictionary): New var.
	(ispell-start-process): Set that variable.
	Clear ispell-buffer-local-name.
	(ispell-internal-change-dictionary):
	Set ispell-current-dictionary after killing process.
	(ispell-buffer-local-dict):
	Don't set spell-personal-dictionary after killing process.
	(ispell-buffer-local-words): Don't clear out ispell-buffer-local-name.
	(ispell-tex-skip-alists, ispell-html-skip-alists)
	(ispell-skip-region-alist): Mark as risky.

	* net/newsticker.el (newsticker--retrieval-timer-list)
	(newsticker--display-timer, newsticker-running-p)
	(newsticker-ticker-running-p): Definitions moved up.

2005-12-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-many-windows): Echo new state in minibuffer.

2005-12-15  David Ponce  <david@dponce.com>

	* recentf.el (recentf-dialog-goto-first): Fix missing error condition.
	(recentf-edit-list, recentf-open-files): Signal an error when
	there is no recent file.

2005-12-14  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* textmodes/texinfmt.el (texinfo-format-region): Set buffer to
	read-only except for texinfo-format-region evaluation.

2005-12-14  Richard M. Stallman  <rms@gnu.org>

	* vc.el (vc-default-previous-version, vc-default-next-version)
	(vc-do-command): Doc fixes.

2005-12-14  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-expand-strings)
	(bibtex-autokey-expand-string, bibtex-name-part)
	(bibtex-entry-type-whitespace, bibtex-entry-type-str)
	(bibtex-any-entry-maybe-empty-head, bibtex-string-type)
	(bibtex-preamble-prefix, bibtex-string-empty-key): New variables.
	(bibtex-entry-type, bibtex-entry-head): Match only valid entries.
	(bibtex-entry-postfix, bibtex-known-entry-type-re)
	(bibtex-valid-entry-re, bibtex-any-valid-entry-re)
	(bibtex-valid-entry-whitespace-re, bibtex-empty-field-re)
	(bibtex-field-name-for-parsing, bibtex-remove-delimiters-string)
	(bibtex-beginning-of-last-entry): Remove.
	(bibtex-parse-field-name): Use bibtex-field-name.  Issue error
	message if comma is missing but buffer is read-only.
	(bibtex-parse-field-text): Handle whitespaces at the end of field
	text.  Return 3-element list with beginning and end of field text
	and end of field.
	(bibtex-end-of-text-in-field, bibtex-end-of-field): Change accordingly.
	(bibtex-parse-field): Remove arg name.  Use bibtex-field-name.
	(bibtex-search-forward-field, bibtex-search-backward-field):
	Search always delimited by limits of entry.  Use more efficient
	search algorithms.
	(bibtex-name-in-field): Use bibtex-start-of-name-in-field and
	bibtex-end-of-name-in-field.
	(bibtex-text-in-field-bounds): Handle BibTeX strings when
	extracting the content of a field.
	(bibtex-text-in-field): Use search limits.
	(bibtex-parse-string-prefix): Handle empty string keys based on
	bibtex-string-empty-key.
	(bibtex-parse-string): Fix docstring.
	(bibtex-text-in-string): Use bibtex-text-in-field-bounds.
	(bibtex-preamble-prefix, bibtex-strings): New functions.
	(bibtex-skip-to-valid-entry): Include preceding whitespace in
	BibTeX entries (consistent with other BibTeX functions).
	(bibtex-map-entries): Use bibtex-skip-to-valid-entry.
	(bibtex-search-entry): Fix docstring.  Simplify.
	(bibtex-flash-head, bibtex-complete-string-cleanup)
	(bibtex-count-entries, bibtex-sort-buffer): Simplify.
	(bibtex-beginning-of-first-entry): Use bibtex-skip-to-valid-entry.
	(bibtex-parse-entry): New optional arg content.
	(bibtex-format-entry, bibtex-autofill-entry, bibtex-url): Use it.
	Use bibtex-text-in-field-bounds.
	(bibtex-print-help-message): Handle BibTeX strings and preambles.
	(bibtex-end-of-entry): Use bibtex-preamble-prefix and
	bibtex-parse-string-postfix.
	(bibtex-find-text-internal): New function.
	(bibtex-remove-delimiters): Use it.
	(bibtex-find-text): Use it.  New optional arg help.
	(bibtex-complete): Handle BibTeX string and preamble entries.
	(bibtex-Preamble): Fix order of closing delimiters.

2005-12-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-default-revert): New fun.

	* vc-mcvs.el (vc-mcvs-revert): Fix call to vc-default-revert.

2005-12-14  Romain Francoise  <romain@orebokech.com>

	* font-lock.el (font-lock-keywords-alist): Rename `append' to `how'.
	(font-lock-add-keywords, font-lock-update-removed-keyword-alist):
	(font-lock-remove-keywords): Likewise.

2005-12-14  Juri Linkov  <juri@jurta.org>

	* log-view.el (log-view-diff): Doc fix.

	* isearch.el (isearch-query-replace): Use (mark) instead of
	isearch-opoint if mark is active in transient-mark-mode.

2005-12-14  Aaron S. Hawley  <Aaron.Hawley@uvm.edu>

	* isearch.el (isearch-query-replace): Check for isearch-other-end.

2005-12-14  Per Abrahamsen  <abraham@dina.kvl.dk>

	* progmodes/cpp.el (cpp-face): New widget.
	(cpp-known-face, cpp-unknown-face, cpp-edit-list): Use it.

2005-12-14  Juri Linkov  <juri@jurta.org>

	* help-macro.el (make-help-screen): Bind `inhibit-read-only' to t
	around `erase-buffer' and `insert'.

	* descr-text.el (describe-text-properties): Replace buffer name
	"*Help-2*" with "*Help*<2>".
	(describe-char): Add functions print-help-return-message,
	toggle-read-only.  Use help-setup-xref with nil to not store
	describe-char in help-xref-stack.  Use help-make-xrefs to
	make [back] button.

	* desktop.el (desktop-minor-mode-table): Add vc-dired-mode with nil.

	* wdired.el (wdired-old-point): New internal variable.
	(wdired-change-to-wdired-mode): Set it buffer-locally.
	(wdired-abort-changes): Restore point after aborting changes.

2005-12-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-do-command): Add a new value t for okstatus.

	* vc-svn.el (vc-svn-registered): Use it to avoid popping up a spurious
	frame in case of errors.

2005-12-13  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* menu-bar.el (menu-bar-showhide-fringe-menu): Move "On the Right"
	so it comes after "On the Left" in the menu.

2005-12-12  Luc Teirlinck  <teirllm@auburn.edu>

	* cus-edit.el (customize-apropos, customize-apropos-options)
	(customize-apropos-faces, customize-apropos-groups): Doc fixes.

2005-12-12  Bill Wohler  <wohler@newt.com>

	* vc-svn.el (vc-svn-registered): Fix problem of visiting
	non-writable Subversion-controlled files by saving window
	configuration before calling vc-do-command.  vc-do-command calls
	pop-to-buffer on error which is unexpected during registration.

2005-12-12  Jay Belanger  <belanger@truman.edu>

	* calc/README: Update the summary of changes.

2005-12-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* descr-text.el (describe-char): Rework last fix to solve the problem
	is the same way it's solved for everything else in that function
	(i.e. by extracting the info before setting up the *Help* buffer).

2005-12-12  Kim F. Storm  <storm@cua.dk>

	* subr.el (version-regexp-alist): Allow space as separator before
